package org.openxma.dsl.pom;

import static org.openxma.dsl.common.DslConstants.OPENXMA_JSF_POM_FILE_EXTENSION;
import static org.openxma.dsl.common.DslConstants.OPENXMA_XMA_FILE_EXTENSION;

import org.eclipse.xtext.resource.IResourceServiceProvider;
import org.openxma.dsl.core.injection.InjectorAccess;

import com.google.inject.Injector;

/**
 * Initialization support for running Xtext languages without equinox extension registry
 */
public class PomDslStandaloneSetup extends PomDslStandaloneSetupGenerated {

    private static Injector injector;

    public static void doSetup() {
        new PomDslStandaloneSetup().createInjectorAndDoEMFRegistration();
    }

    public Injector createInjector() {
        if (injector == null) {
            injector = super.createInjector();
            InjectorAccess.setInjector(injector);
        }
        return injector;
    }

    @Override
    public void register(Injector injector) {
        super.register(injector);
        IResourceServiceProvider pmlServiceProvider = (IResourceServiceProvider) IResourceServiceProvider.Registry.INSTANCE
                .getExtensionToFactoryMap().get("pml");
        IResourceServiceProvider.Registry.INSTANCE.getExtensionToFactoryMap().put(OPENXMA_JSF_POM_FILE_EXTENSION,
                pmlServiceProvider);
        IResourceServiceProvider.Registry.INSTANCE.getExtensionToFactoryMap().put(OPENXMA_XMA_FILE_EXTENSION,
                pmlServiceProvider);
    }
}
