/**
 * <copyright>
 * </copyright>
 *
 * $Id: PomFactory.java 10819 2013-06-24 13:20:33Z mjohannes $
 */
package org.openxma.dsl.pom;

import org.eclipse.emf.ecore.EFactory;
import org.openxma.dsl.pom.model.AbsoluteSiblingAttachment;
import org.openxma.dsl.pom.model.AlignmentProperty;
import org.openxma.dsl.pom.model.AssignStatement;
import org.openxma.dsl.pom.model.AttachmentPosition;
import org.openxma.dsl.pom.model.AttachmentProperty;
import org.openxma.dsl.pom.model.AttachmentSpecification;
import org.openxma.dsl.pom.model.Button;
import org.openxma.dsl.pom.model.CallStatement;
import org.openxma.dsl.pom.model.CenterProperty;
import org.openxma.dsl.pom.model.CheckBox;
import org.openxma.dsl.pom.model.CollapsedFlag;
import org.openxma.dsl.pom.model.ColumnInfo;
import org.openxma.dsl.pom.model.ColumnOrder;
import org.openxma.dsl.pom.model.CombinedModelElement;
import org.openxma.dsl.pom.model.Combo;
import org.openxma.dsl.pom.model.Command;
import org.openxma.dsl.pom.model.CommandImplementation;
import org.openxma.dsl.pom.model.ComplexElement;
import org.openxma.dsl.pom.model.Component;
import org.openxma.dsl.pom.model.ComposeData;
import org.openxma.dsl.pom.model.ComposedElement;
import org.openxma.dsl.pom.model.Composite;
import org.openxma.dsl.pom.model.ConditionedLogic;
import org.openxma.dsl.pom.model.Content;
import org.openxma.dsl.pom.model.ControlEventMapping;
import org.openxma.dsl.pom.model.CustomizationOfComposite;
import org.openxma.dsl.pom.model.CustomizationOfGuiElement;
import org.openxma.dsl.pom.model.CustomizationOfTabFolder;
import org.openxma.dsl.pom.model.CustomizeComponentModel;
import org.openxma.dsl.pom.model.CustomizeableField;
import org.openxma.dsl.pom.model.DataBindingElement;
import org.openxma.dsl.pom.model.DataMapping;
import org.openxma.dsl.pom.model.DataMappingList;
import org.openxma.dsl.pom.model.DataObjectVariable;
import org.openxma.dsl.pom.model.Definitions;
import org.openxma.dsl.pom.model.DropDownMenu;
import org.openxma.dsl.pom.model.EditableFlag;
import org.openxma.dsl.pom.model.EnabledFlag;
import org.openxma.dsl.pom.model.EnterEventMapping;
import org.openxma.dsl.pom.model.EventFunction;
import org.openxma.dsl.pom.model.EventMapping;
import org.openxma.dsl.pom.model.EventMappingList;
import org.openxma.dsl.pom.model.ExecuteStatement;
import org.openxma.dsl.pom.model.FieldFeature;
import org.openxma.dsl.pom.model.FieldFlag;
import org.openxma.dsl.pom.model.FieldPartSpecification;
import org.openxma.dsl.pom.model.FieldReference;
import org.openxma.dsl.pom.model.FieldVariable;
import org.openxma.dsl.pom.model.GrayLogic;
import org.openxma.dsl.pom.model.GuiElement;
import org.openxma.dsl.pom.model.GuiElementEventMapping;
import org.openxma.dsl.pom.model.GuiElementWithEvent_dummy;
import org.openxma.dsl.pom.model.HeightProperty;
import org.openxma.dsl.pom.model.IAttachmentPosition;
import org.openxma.dsl.pom.model.IComposite;
import org.openxma.dsl.pom.model.IElementOnWhichCanBeAttached;
import org.openxma.dsl.pom.model.IElementWithLayoutData;
import org.openxma.dsl.pom.model.IReferenceableByStatementVariable;
import org.openxma.dsl.pom.model.ITabFolder;
import org.openxma.dsl.pom.model.ITabPage;
import org.openxma.dsl.pom.model.Image;
import org.openxma.dsl.pom.model.ImageProperty;
import org.openxma.dsl.pom.model.ImageUri;
import org.openxma.dsl.pom.model.IncludePanel;
import org.openxma.dsl.pom.model.InitEventMapping;
import org.openxma.dsl.pom.model.IntegerDefinition;
import org.openxma.dsl.pom.model.InvokeStatement;
import org.openxma.dsl.pom.model.Invokeable;
import org.openxma.dsl.pom.model.Label;
import org.openxma.dsl.pom.model.LabelProperty;
import org.openxma.dsl.pom.model.LabelText;
import org.openxma.dsl.pom.model.LayoutDataProperty;
import org.openxma.dsl.pom.model.LeaveEventMapping;
import org.openxma.dsl.pom.model.ListBox;
import org.openxma.dsl.pom.model.LogicBlock;
import org.openxma.dsl.pom.model.LogicItem;
import org.openxma.dsl.pom.model.MandatoryFlag;
import org.openxma.dsl.pom.model.Menu;
import org.openxma.dsl.pom.model.MenuItem;
import org.openxma.dsl.pom.model.ModalityProperty;
import org.openxma.dsl.pom.model.ModelElementSpecification;
import org.openxma.dsl.pom.model.MultiselectionFlag;
import org.openxma.dsl.pom.model.NoneAttachment;
import org.openxma.dsl.pom.model.ObjectProperty;
import org.openxma.dsl.pom.model.Offset;
import org.openxma.dsl.pom.model.PaddingWidth;
import org.openxma.dsl.pom.model.Page;
import org.openxma.dsl.pom.model.PageCustomization;
import org.openxma.dsl.pom.model.PageDefinition;
import org.openxma.dsl.pom.model.PageProperty;
import org.openxma.dsl.pom.model.PagingControl;
import org.openxma.dsl.pom.model.ParentAttachment;
import org.openxma.dsl.pom.model.PropertyJoin;
import org.openxma.dsl.pom.model.Proxy;
import org.openxma.dsl.pom.model.RadioButton;
import org.openxma.dsl.pom.model.ReferencedComposite;
import org.openxma.dsl.pom.model.ReferencedTabFolder;
import org.openxma.dsl.pom.model.ReferencedTabPage;
import org.openxma.dsl.pom.model.ReferencedXMAComposite;
import org.openxma.dsl.pom.model.ReferencedXMAGuiElement;
import org.openxma.dsl.pom.model.ReferencedXMAPage;
import org.openxma.dsl.pom.model.RelativeSiblingAttachment;
import org.openxma.dsl.pom.model.ResizeableProperty;
import org.openxma.dsl.pom.model.SelectedModelElement;
import org.openxma.dsl.pom.model.Seperator;
import org.openxma.dsl.pom.model.SetOfGuiElements;
import org.openxma.dsl.pom.model.SiblingAttachment;
import org.openxma.dsl.pom.model.SimpleElement;
import org.openxma.dsl.pom.model.SplitPanel;
import org.openxma.dsl.pom.model.Statement;
import org.openxma.dsl.pom.model.StatementVariable;
import org.openxma.dsl.pom.model.StatusBarProperty;
import org.openxma.dsl.pom.model.StrictFlag;
import org.openxma.dsl.pom.model.StringDefinition;
import org.openxma.dsl.pom.model.StyleProperty;
import org.openxma.dsl.pom.model.StylePropertyAlignment;
import org.openxma.dsl.pom.model.StylePropertyBackgroundColor;
import org.openxma.dsl.pom.model.StylePropertyBorder;
import org.openxma.dsl.pom.model.StylePropertyBottom;
import org.openxma.dsl.pom.model.StylePropertyBrowseControl;
import org.openxma.dsl.pom.model.StylePropertyCharacterHeight;
import org.openxma.dsl.pom.model.StylePropertyCharacterWidth;
import org.openxma.dsl.pom.model.StylePropertyEnumerationDisplayType;
import org.openxma.dsl.pom.model.StylePropertyEnumerationSortOrder;
import org.openxma.dsl.pom.model.StylePropertyFieldPart;
import org.openxma.dsl.pom.model.StylePropertyFlag;
import org.openxma.dsl.pom.model.StylePropertyFont;
import org.openxma.dsl.pom.model.StylePropertyForegroundColor;
import org.openxma.dsl.pom.model.StylePropertyHeight;
import org.openxma.dsl.pom.model.StylePropertyImage;
import org.openxma.dsl.pom.model.StylePropertyLeft;
import org.openxma.dsl.pom.model.StylePropertyLineWrap;
import org.openxma.dsl.pom.model.StylePropertyMultiLine;
import org.openxma.dsl.pom.model.StylePropertyOther;
import org.openxma.dsl.pom.model.StylePropertyPaging;
import org.openxma.dsl.pom.model.StylePropertyPagingControls;
import org.openxma.dsl.pom.model.StylePropertyPagingCustomizerImage;
import org.openxma.dsl.pom.model.StylePropertyPagingJumpSize;
import org.openxma.dsl.pom.model.StylePropertyPagingPageSize;
import org.openxma.dsl.pom.model.StylePropertyPagingPosition;
import org.openxma.dsl.pom.model.StylePropertyRight;
import org.openxma.dsl.pom.model.StylePropertyScrollable;
import org.openxma.dsl.pom.model.StylePropertyTable;
import org.openxma.dsl.pom.model.StylePropertyTableCustomizer;
import org.openxma.dsl.pom.model.StylePropertyTabulator;
import org.openxma.dsl.pom.model.StylePropertyTop;
import org.openxma.dsl.pom.model.StylePropertyWidgetStyle;
import org.openxma.dsl.pom.model.StylePropertyWidgetVariant;
import org.openxma.dsl.pom.model.StylePropertyWidth;
import org.openxma.dsl.pom.model.StyleSpecification;
import org.openxma.dsl.pom.model.StyleSpecificationProperty;
import org.openxma.dsl.pom.model.TabFolder;
import org.openxma.dsl.pom.model.TabMenu;
import org.openxma.dsl.pom.model.TabPage;
import org.openxma.dsl.pom.model.TabSetting;
import org.openxma.dsl.pom.model.TabableFlag;
import org.openxma.dsl.pom.model.Table;
import org.openxma.dsl.pom.model.TableColumn;
import org.openxma.dsl.pom.model.TableCombo;
import org.openxma.dsl.pom.model.TableCustomizer;
import org.openxma.dsl.pom.model.TabulatorAttachment;
import org.openxma.dsl.pom.model.TabulatorDefinition;
import org.openxma.dsl.pom.model.TabulatorPosition;
import org.openxma.dsl.pom.model.Text;
import org.openxma.dsl.pom.model.TextProperty;
import org.openxma.dsl.pom.model.TitleButtonsProperty;
import org.openxma.dsl.pom.model.TooltipProperty;
import org.openxma.dsl.pom.model.Tree;
import org.openxma.dsl.pom.model.TreeMenu;
import org.openxma.dsl.pom.model.UnitProperty;
import org.openxma.dsl.pom.model.VariableAssignment;
import org.openxma.dsl.pom.model.VariableValue;
import org.openxma.dsl.pom.model.VisibleFlag;
import org.openxma.dsl.pom.model.WidthProperty;
import org.openxma.dsl.pom.model.XMAWidgetEventMapping;
import org.openxma.dsl.pom.model.XMAWidgetGrayLogic;
import org.openxma.dsl.pom.model.XmaVariable;
import org.openxma.dsl.pom.model.XmadslComposite;
import org.openxma.dsl.pom.model.XmadslPage;
import org.openxma.dsl.pom.model.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.openxma.dsl.pom.PomPackage
 * @generated
 */
public interface PomFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	PomFactory eINSTANCE = org.openxma.dsl.pom.model.impl.PomFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Data Binding Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data Binding Element</em>'.
	 * @generated
	 */
	DataBindingElement createDataBindingElement();

	/**
	 * Returns a new object of class '<em>Field Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Field Flag</em>'.
	 * @generated
	 */
	FieldFlag createFieldFlag();

	/**
	 * Returns a new object of class '<em>Enabled Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Enabled Flag</em>'.
	 * @generated
	 */
	EnabledFlag createEnabledFlag();

	/**
	 * Returns a new object of class '<em>Mandatory Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Mandatory Flag</em>'.
	 * @generated
	 */
	MandatoryFlag createMandatoryFlag();

	/**
	 * Returns a new object of class '<em>Visible Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Visible Flag</em>'.
	 * @generated
	 */
	VisibleFlag createVisibleFlag();

	/**
	 * Returns a new object of class '<em>Collapsed Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Collapsed Flag</em>'.
	 * @generated
	 */
	CollapsedFlag createCollapsedFlag();

	/**
	 * Returns a new object of class '<em>Editable Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Editable Flag</em>'.
	 * @generated
	 */
	EditableFlag createEditableFlag();

	/**
	 * Returns a new object of class '<em>Tabable Flag</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tabable Flag</em>'.
	 * @generated
	 */
    TabableFlag createTabableFlag();

    /**
	 * Returns a new object of class '<em>Multiselection Flag</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Multiselection Flag</em>'.
	 * @generated
	 */
    MultiselectionFlag createMultiselectionFlag();

    /**
	 * Returns a new object of class '<em>Strict Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Strict Flag</em>'.
	 * @generated
	 */
	StrictFlag createStrictFlag();

				/**
	 * Returns a new object of class '<em>Label Text</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Label Text</em>'.
	 * @generated
	 */
	LabelText createLabelText();

	/**
	 * Returns a new object of class '<em>Object Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Object Property</em>'.
	 * @generated
	 */
	ObjectProperty createObjectProperty();

	/**
	 * Returns a new object of class '<em>Component</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Component</em>'.
	 * @generated
	 */
	Component createComponent();

	/**
	 * Returns a new object of class '<em>Referenced XMA Gui Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced XMA Gui Element</em>'.
	 * @generated
	 */
	ReferencedXMAGuiElement createReferencedXMAGuiElement();

	/**
	 * Returns a new object of class '<em>Referenced XMA Page</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced XMA Page</em>'.
	 * @generated
	 */
	ReferencedXMAPage createReferencedXMAPage();

	/**
	 * Returns a new object of class '<em>Referenced XMA Composite</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced XMA Composite</em>'.
	 * @generated
	 */
	ReferencedXMAComposite createReferencedXMAComposite();

	/**
	 * Returns a new object of class '<em>Gray Logic</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gray Logic</em>'.
	 * @generated
	 */
	GrayLogic createGrayLogic();

	/**
	 * Returns a new object of class '<em>XMA Widget Gray Logic</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>XMA Widget Gray Logic</em>'.
	 * @generated
	 */
	XMAWidgetGrayLogic createXMAWidgetGrayLogic();

	/**
	 * Returns a new object of class '<em>Data Object Variable</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data Object Variable</em>'.
	 * @generated
	 */
	DataObjectVariable createDataObjectVariable();

	/**
	 * Returns a new object of class '<em>Text Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Text Property</em>'.
	 * @generated
	 */
	TextProperty createTextProperty();

	/**
	 * Returns a new object of class '<em>Label Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Label Property</em>'.
	 * @generated
	 */
	LabelProperty createLabelProperty();

	/**
	 * Returns a new object of class '<em>Tooltip Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tooltip Property</em>'.
	 * @generated
	 */
	TooltipProperty createTooltipProperty();

	/**
	 * Returns a new object of class '<em>Unit Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Unit Property</em>'.
	 * @generated
	 */
	UnitProperty createUnitProperty();

	/**
	 * Returns a new object of class '<em>Field Feature</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Field Feature</em>'.
	 * @generated
	 */
	FieldFeature createFieldFeature();

	/**
	 * Returns a new object of class '<em>Field Reference</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Field Reference</em>'.
	 * @generated
	 */
	FieldReference createFieldReference();

	/**
	 * Returns a new object of class '<em>Customizeable Field</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customizeable Field</em>'.
	 * @generated
	 */
	CustomizeableField createCustomizeableField();

	/**
	 * Returns a new object of class '<em>Field Part Specification</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Field Part Specification</em>'.
	 * @generated
	 */
	FieldPartSpecification createFieldPartSpecification();

	/**
	 * Returns a new object of class '<em>Command</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Command</em>'.
	 * @generated
	 */
	Command createCommand();

	/**
	 * Returns a new object of class '<em>Event Function</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Event Function</em>'.
	 * @generated
	 */
	EventFunction createEventFunction();

	/**
	 * Returns a new object of class '<em>Event Mapping List</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Event Mapping List</em>'.
	 * @generated
	 */
	EventMappingList createEventMappingList();

	/**
	 * Returns a new object of class '<em>Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Event Mapping</em>'.
	 * @generated
	 */
	EventMapping createEventMapping();

	/**
	 * Returns a new object of class '<em>Control Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Control Event Mapping</em>'.
	 * @generated
	 */
	ControlEventMapping createControlEventMapping();

	/**
	 * Returns a new object of class '<em>XMA Widget Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>XMA Widget Event Mapping</em>'.
	 * @generated
	 */
	XMAWidgetEventMapping createXMAWidgetEventMapping();

	/**
	 * Returns a new object of class '<em>Gui Element Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gui Element Event Mapping</em>'.
	 * @generated
	 */
	GuiElementEventMapping createGuiElementEventMapping();

	/**
	 * Returns a new object of class '<em>Init Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Init Event Mapping</em>'.
	 * @generated
	 */
	InitEventMapping createInitEventMapping();

	/**
	 * Returns a new object of class '<em>Enter Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Enter Event Mapping</em>'.
	 * @generated
	 */
	EnterEventMapping createEnterEventMapping();

	/**
	 * Returns a new object of class '<em>Leave Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Leave Event Mapping</em>'.
	 * @generated
	 */
	LeaveEventMapping createLeaveEventMapping();

	/**
	 * Returns a new object of class '<em>Data Mapping List</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data Mapping List</em>'.
	 * @generated
	 */
	DataMappingList createDataMappingList();

	/**
	 * Returns a new object of class '<em>Data Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data Mapping</em>'.
	 * @generated
	 */
	DataMapping createDataMapping();

	/**
	 * Returns a new object of class '<em>Page Definition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Page Definition</em>'.
	 * @generated
	 */
	PageDefinition createPageDefinition();

	/**
	 * Returns a new object of class '<em>Page</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Page</em>'.
	 * @generated
	 */
	Page createPage();

	/**
	 * Returns a new object of class '<em>Xmadsl Page</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Xmadsl Page</em>'.
	 * @generated
	 */
	XmadslPage createXmadslPage();

	/**
	 * Returns a new object of class '<em>Menu</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Menu</em>'.
	 * @generated
	 */
    Menu createMenu();

    /**
	 * Returns a new object of class '<em>Drop Down Menu</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Drop Down Menu</em>'.
	 * @generated
	 */
    DropDownMenu createDropDownMenu();

    /**
	 * Returns a new object of class '<em>Tab Menu</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tab Menu</em>'.
	 * @generated
	 */
    TabMenu createTabMenu();

    /**
	 * Returns a new object of class '<em>Tree Menu</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tree Menu</em>'.
	 * @generated
	 */
    TreeMenu createTreeMenu();

    /**
	 * Returns a new object of class '<em>Menu Item</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Menu Item</em>'.
	 * @generated
	 */
    MenuItem createMenuItem();

    /**
	 * Returns a new object of class '<em>Logic Block</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Logic Block</em>'.
	 * @generated
	 */
    LogicBlock createLogicBlock();

    /**
	 * Returns a new object of class '<em>Conditioned Logic</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Conditioned Logic</em>'.
	 * @generated
	 */
    ConditionedLogic createConditionedLogic();

    /**
	 * Returns a new object of class '<em>Logic Item</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Logic Item</em>'.
	 * @generated
	 */
    LogicItem createLogicItem();

    /**
	 * Returns a new object of class '<em>Column Order</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Column Order</em>'.
	 * @generated
	 */
    ColumnOrder createColumnOrder();

    /**
	 * Returns a new object of class '<em>Tab Setting</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tab Setting</em>'.
	 * @generated
	 */
    TabSetting createTabSetting();

    /**
	 * Returns a new object of class '<em>Column Info</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Column Info</em>'.
	 * @generated
	 */
    ColumnInfo createColumnInfo();

    /**
	 * Returns a new object of class '<em>Page Customization</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Page Customization</em>'.
	 * @generated
	 */
	PageCustomization createPageCustomization();

	/**
	 * Returns a new object of class '<em>Gui Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gui Element</em>'.
	 * @generated
	 */
	GuiElement createGuiElement();

	/**
	 * Returns a new object of class '<em>Composite</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Composite</em>'.
	 * @generated
	 */
	Composite createComposite();

	/**
	 * Returns a new object of class '<em>Composed Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Composed Element</em>'.
	 * @generated
	 */
	ComposedElement createComposedElement();

	/**
	 * Returns a new object of class '<em>Complex Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Complex Element</em>'.
	 * @generated
	 */
	ComplexElement createComplexElement();

	/**
	 * Returns a new object of class '<em>Simple Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Simple Element</em>'.
	 * @generated
	 */
	SimpleElement createSimpleElement();

	/**
	 * Returns a new object of class '<em>Gui Element With Event dummy</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gui Element With Event dummy</em>'.
	 * @generated
	 */
	GuiElementWithEvent_dummy createGuiElementWithEvent_dummy();

	/**
	 * Returns a new object of class '<em>Text</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Text</em>'.
	 * @generated
	 */
	Text createText();

	/**
	 * Returns a new object of class '<em>Combo</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Combo</em>'.
	 * @generated
	 */
	Combo createCombo();

	/**
	 * Returns a new object of class '<em>Check Box</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Check Box</em>'.
	 * @generated
	 */
	CheckBox createCheckBox();

	/**
	 * Returns a new object of class '<em>List Box</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>List Box</em>'.
	 * @generated
	 */
	ListBox createListBox();

	/**
	 * Returns a new object of class '<em>Tree</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tree</em>'.
	 * @generated
	 */
	Tree createTree();

	/**
	 * Returns a new object of class '<em>Include Panel</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Include Panel</em>'.
	 * @generated
	 */
    IncludePanel createIncludePanel();

    /**
	 * Returns a new object of class '<em>Radio Button</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Radio Button</em>'.
	 * @generated
	 */
	RadioButton createRadioButton();

	/**
	 * Returns a new object of class '<em>Seperator</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Seperator</em>'.
	 * @generated
	 */
	Seperator createSeperator();

	/**
	 * Returns a new object of class '<em>Label</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Label</em>'.
	 * @generated
	 */
	Label createLabel();

	/**
	 * Returns a new object of class '<em>Image</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Image</em>'.
	 * @generated
	 */
	Image createImage();

	/**
	 * Returns a new object of class '<em>Button</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Button</em>'.
	 * @generated
	 */
	Button createButton();

	/**
	 * Returns a new object of class '<em>IComposite</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IComposite</em>'.
	 * @generated
	 */
	IComposite createIComposite();

	/**
	 * Returns a new object of class '<em>Xmadsl Composite</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Xmadsl Composite</em>'.
	 * @generated
	 */
	XmadslComposite createXmadslComposite();

	/**
	 * Returns a new object of class '<em>Split Panel</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Split Panel</em>'.
	 * @generated
	 */
	SplitPanel createSplitPanel();

	/**
	 * Returns a new object of class '<em>Referenced Composite</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced Composite</em>'.
	 * @generated
	 */
	ReferencedComposite createReferencedComposite();

	/**
	 * Returns a new object of class '<em>Table Combo</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Table Combo</em>'.
	 * @generated
	 */
    TableCombo createTableCombo();

    /**
	 * Returns a new object of class '<em>Table</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Table</em>'.
	 * @generated
	 */
	Table createTable();

	/**
	 * Returns a new object of class '<em>Table Column</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Table Column</em>'.
	 * @generated
	 */
	TableColumn createTableColumn();

	/**
	 * Returns a new object of class '<em>ITab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ITab Folder</em>'.
	 * @generated
	 */
	ITabFolder createITabFolder();

	/**
	 * Returns a new object of class '<em>Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tab Folder</em>'.
	 * @generated
	 */
	TabFolder createTabFolder();

	/**
	 * Returns a new object of class '<em>Referenced Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced Tab Folder</em>'.
	 * @generated
	 */
	ReferencedTabFolder createReferencedTabFolder();

	/**
	 * Returns a new object of class '<em>ITab Page</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>ITab Page</em>'.
	 * @generated
	 */
	ITabPage createITabPage();

	/**
	 * Returns a new object of class '<em>Tab Page</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tab Page</em>'.
	 * @generated
	 */
	TabPage createTabPage();

	/**
	 * Returns a new object of class '<em>Referenced Tab Page</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced Tab Page</em>'.
	 * @generated
	 */
	ReferencedTabPage createReferencedTabPage();

	/**
	 * Returns a new object of class '<em>Layout Data Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Layout Data Property</em>'.
	 * @generated
	 */
	LayoutDataProperty createLayoutDataProperty();

	/**
	 * Returns a new object of class '<em>Page Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Page Property</em>'.
	 * @generated
	 */
	PageProperty createPageProperty();

	/**
	 * Returns a new object of class '<em>Height Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Height Property</em>'.
	 * @generated
	 */
	HeightProperty createHeightProperty();

	/**
	 * Returns a new object of class '<em>Width Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Width Property</em>'.
	 * @generated
	 */
	WidthProperty createWidthProperty();

	/**
	 * Returns a new object of class '<em>Attachment Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Attachment Property</em>'.
	 * @generated
	 */
	AttachmentProperty createAttachmentProperty();

	/**
	 * Returns a new object of class '<em>Style Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property</em>'.
	 * @generated
	 */
	StyleProperty createStyleProperty();

	/**
	 * Returns a new object of class '<em>Modality Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Modality Property</em>'.
	 * @generated
	 */
	ModalityProperty createModalityProperty();

	/**
	 * Returns a new object of class '<em>Image Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Image Property</em>'.
	 * @generated
	 */
	ImageProperty createImageProperty();

	/**
	 * Returns a new object of class '<em>Title Buttons Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Title Buttons Property</em>'.
	 * @generated
	 */
	TitleButtonsProperty createTitleButtonsProperty();

	/**
	 * Returns a new object of class '<em>Resizeable Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Resizeable Property</em>'.
	 * @generated
	 */
	ResizeableProperty createResizeableProperty();

	/**
	 * Returns a new object of class '<em>Status Bar Property</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Status Bar Property</em>'.
	 * @generated
	 */
    StatusBarProperty createStatusBarProperty();

    /**
	 * Returns a new object of class '<em>Center Property</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Center Property</em>'.
	 * @generated
	 */
    CenterProperty createCenterProperty();

    /**
	 * Returns a new object of class '<em>Alignment Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Alignment Property</em>'.
	 * @generated
	 */
	AlignmentProperty createAlignmentProperty();

	/**
	 * Returns a new object of class '<em>Compose Data</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Compose Data</em>'.
	 * @generated
	 */
	ComposeData createComposeData();

	/**
	 * Returns a new object of class '<em>Padding Width</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Padding Width</em>'.
	 * @generated
	 */
	PaddingWidth createPaddingWidth();

	/**
	 * Returns a new object of class '<em>IAttachment Position</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IAttachment Position</em>'.
	 * @generated
	 */
	IAttachmentPosition createIAttachmentPosition();

	/**
	 * Returns a new object of class '<em>Tabulator Definition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tabulator Definition</em>'.
	 * @generated
	 */
	TabulatorDefinition createTabulatorDefinition();

	/**
	 * Returns a new object of class '<em>String Definition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>String Definition</em>'.
	 * @generated
	 */
	StringDefinition createStringDefinition();

	/**
	 * Returns a new object of class '<em>Integer Definition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Integer Definition</em>'.
	 * @generated
	 */
	IntegerDefinition createIntegerDefinition();

	/**
	 * Returns a new object of class '<em>Image Uri</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Image Uri</em>'.
	 * @generated
	 */
	ImageUri createImageUri();

	/**
	 * Returns a new object of class '<em>Definitions</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Definitions</em>'.
	 * @generated
	 */
	Definitions createDefinitions();

	/**
	 * Returns a new object of class '<em>Tabulator Position</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tabulator Position</em>'.
	 * @generated
	 */
	TabulatorPosition createTabulatorPosition();

	/**
	 * Returns a new object of class '<em>Attachment Position</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Attachment Position</em>'.
	 * @generated
	 */
	AttachmentPosition createAttachmentPosition();

	/**
	 * Returns a new object of class '<em>Content</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Content</em>'.
	 * @generated
	 */
	Content createContent();

	/**
	 * Returns a new object of class '<em>Set Of Gui Elements</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Set Of Gui Elements</em>'.
	 * @generated
	 */
	SetOfGuiElements createSetOfGuiElements();

	/**
	 * Returns a new object of class '<em>Attachment Specification</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Attachment Specification</em>'.
	 * @generated
	 */
	AttachmentSpecification createAttachmentSpecification();

	/**
	 * Returns a new object of class '<em>None Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>None Attachment</em>'.
	 * @generated
	 */
	NoneAttachment createNoneAttachment();

	/**
	 * Returns a new object of class '<em>Parent Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Parent Attachment</em>'.
	 * @generated
	 */
	ParentAttachment createParentAttachment();

	/**
	 * Returns a new object of class '<em>IElement On Which Can Be Attached</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IElement On Which Can Be Attached</em>'.
	 * @generated
	 */
	IElementOnWhichCanBeAttached createIElementOnWhichCanBeAttached();

	/**
	 * Returns a new object of class '<em>Sibling Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sibling Attachment</em>'.
	 * @generated
	 */
	SiblingAttachment createSiblingAttachment();

	/**
	 * Returns a new object of class '<em>Absolute Sibling Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Absolute Sibling Attachment</em>'.
	 * @generated
	 */
	AbsoluteSiblingAttachment createAbsoluteSiblingAttachment();

	/**
	 * Returns a new object of class '<em>Relative Sibling Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Relative Sibling Attachment</em>'.
	 * @generated
	 */
	RelativeSiblingAttachment createRelativeSiblingAttachment();

	/**
	 * Returns a new object of class '<em>Tabulator Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tabulator Attachment</em>'.
	 * @generated
	 */
	TabulatorAttachment createTabulatorAttachment();

	/**
	 * Returns a new object of class '<em>Offset</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Offset</em>'.
	 * @generated
	 */
	Offset createOffset();

	/**
	 * Returns a new object of class '<em>Field Variable</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Field Variable</em>'.
	 * @generated
	 */
	FieldVariable createFieldVariable();

	/**
	 * Returns a new object of class '<em>Xma Variable</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Xma Variable</em>'.
	 * @generated
	 */
	XmaVariable createXmaVariable();

	/**
	 * Returns a new object of class '<em>Customize Component Model</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customize Component Model</em>'.
	 * @generated
	 */
	CustomizeComponentModel createCustomizeComponentModel();

	/**
	 * Returns a new object of class '<em>Customization Of Gui Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customization Of Gui Element</em>'.
	 * @generated
	 */
	CustomizationOfGuiElement createCustomizationOfGuiElement();

	/**
	 * Returns a new object of class '<em>Customization Of Composite</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customization Of Composite</em>'.
	 * @generated
	 */
	CustomizationOfComposite createCustomizationOfComposite();

	/**
	 * Returns a new object of class '<em>Customization Of Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customization Of Tab Folder</em>'.
	 * @generated
	 */
	CustomizationOfTabFolder createCustomizationOfTabFolder();

	/**
	 * Returns a new object of class '<em>IElement With Layout Data</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IElement With Layout Data</em>'.
	 * @generated
	 */
	IElementWithLayoutData createIElementWithLayoutData();

	/**
	 * Returns a new object of class '<em>Style Specification</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Specification</em>'.
	 * @generated
	 */
	StyleSpecification createStyleSpecification();

	/**
	 * Returns a new object of class '<em>Model Element Specification</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Model Element Specification</em>'.
	 * @generated
	 */
	ModelElementSpecification createModelElementSpecification();

	/**
	 * Returns a new object of class '<em>Selected Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Selected Model Element</em>'.
	 * @generated
	 */
	SelectedModelElement createSelectedModelElement();

	/**
	 * Returns a new object of class '<em>Combined Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Combined Model Element</em>'.
	 * @generated
	 */
	CombinedModelElement createCombinedModelElement();

	/**
	 * Returns a new object of class '<em>Style Specification Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Specification Property</em>'.
	 * @generated
	 */
	StyleSpecificationProperty createStyleSpecificationProperty();

	/**
	 * Returns a new object of class '<em>Style Property Field Part</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Field Part</em>'.
	 * @generated
	 */
	StylePropertyFieldPart createStylePropertyFieldPart();

	/**
	 * Returns a new object of class '<em>Style Property Left</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Left</em>'.
	 * @generated
	 */
	StylePropertyLeft createStylePropertyLeft();

	/**
	 * Returns a new object of class '<em>Style Property Right</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Right</em>'.
	 * @generated
	 */
	StylePropertyRight createStylePropertyRight();

	/**
	 * Returns a new object of class '<em>Style Property Top</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Top</em>'.
	 * @generated
	 */
	StylePropertyTop createStylePropertyTop();

	/**
	 * Returns a new object of class '<em>Style Property Bottom</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Bottom</em>'.
	 * @generated
	 */
	StylePropertyBottom createStylePropertyBottom();

	/**
	 * Returns a new object of class '<em>Style Property Width</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Width</em>'.
	 * @generated
	 */
	StylePropertyWidth createStylePropertyWidth();

	/**
	 * Returns a new object of class '<em>Style Property Height</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Height</em>'.
	 * @generated
	 */
	StylePropertyHeight createStylePropertyHeight();

	/**
	 * Returns a new object of class '<em>Style Property Tabulator</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Tabulator</em>'.
	 * @generated
	 */
	StylePropertyTabulator createStylePropertyTabulator();

	/**
	 * Returns a new object of class '<em>Style Property Border</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Border</em>'.
	 * @generated
	 */
	StylePropertyBorder createStylePropertyBorder();

	/**
	 * Returns a new object of class '<em>Style Property Foreground Color</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Foreground Color</em>'.
	 * @generated
	 */
	StylePropertyForegroundColor createStylePropertyForegroundColor();

	/**
	 * Returns a new object of class '<em>Style Property Background Color</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Background Color</em>'.
	 * @generated
	 */
	StylePropertyBackgroundColor createStylePropertyBackgroundColor();

	/**
	 * Returns a new object of class '<em>Style Property Widget Variant</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Widget Variant</em>'.
	 * @generated
	 */
	StylePropertyWidgetVariant createStylePropertyWidgetVariant();

	/**
	 * Returns a new object of class '<em>Style Property Widget Style</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Widget Style</em>'.
	 * @generated
	 */
	StylePropertyWidgetStyle createStylePropertyWidgetStyle();

	/**
	 * Returns a new object of class '<em>Style Property Image</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Image</em>'.
	 * @generated
	 */
	StylePropertyImage createStylePropertyImage();

	/**
	 * Returns a new object of class '<em>Style Property Alignment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Alignment</em>'.
	 * @generated
	 */
	StylePropertyAlignment createStylePropertyAlignment();

	/**
	 * Returns a new object of class '<em>Style Property Table</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Table</em>'.
	 * @generated
	 */
	StylePropertyTable createStylePropertyTable();

	/**
	 * Returns a new object of class '<em>Style Property Font</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Font</em>'.
	 * @generated
	 */
	StylePropertyFont createStylePropertyFont();

	/**
	 * Returns a new object of class '<em>Style Property Character Width</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Character Width</em>'.
	 * @generated
	 */
	StylePropertyCharacterWidth createStylePropertyCharacterWidth();

	/**
	 * Returns a new object of class '<em>Style Property Character Height</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Character Height</em>'.
	 * @generated
	 */
    StylePropertyCharacterHeight createStylePropertyCharacterHeight();

    /**
	 * Returns a new object of class '<em>Style Property Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Flag</em>'.
	 * @generated
	 */
	StylePropertyFlag createStylePropertyFlag();

	/**
	 * Returns a new object of class '<em>Style Property Line Wrap</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Line Wrap</em>'.
	 * @generated
	 */
    StylePropertyLineWrap createStylePropertyLineWrap();

    /**
	 * Returns a new object of class '<em>Style Property Multi Line</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Multi Line</em>'.
	 * @generated
	 */
    StylePropertyMultiLine createStylePropertyMultiLine();

    /**
	 * Returns a new object of class '<em>Style Property Browse Control</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Browse Control</em>'.
	 * @generated
	 */
    StylePropertyBrowseControl createStylePropertyBrowseControl();

    /**
	 * Returns a new object of class '<em>Style Property Paging</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Paging</em>'.
	 * @generated
	 */
	StylePropertyPaging createStylePropertyPaging();

	/**
	 * Returns a new object of class '<em>Style Property Paging Controls</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Paging Controls</em>'.
	 * @generated
	 */
	StylePropertyPagingControls createStylePropertyPagingControls();

	/**
	 * Returns a new object of class '<em>Style Property Paging Page Size</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Paging Page Size</em>'.
	 * @generated
	 */
	StylePropertyPagingPageSize createStylePropertyPagingPageSize();

	/**
	 * Returns a new object of class '<em>Style Property Paging Jump Size</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Paging Jump Size</em>'.
	 * @generated
	 */
	StylePropertyPagingJumpSize createStylePropertyPagingJumpSize();

	/**
	 * Returns a new object of class '<em>Style Property Paging Position</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Paging Position</em>'.
	 * @generated
	 */
	StylePropertyPagingPosition createStylePropertyPagingPosition();

	/**
	 * Returns a new object of class '<em>Style Property Paging Customizer Image</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Paging Customizer Image</em>'.
	 * @generated
	 */
    StylePropertyPagingCustomizerImage createStylePropertyPagingCustomizerImage();

    /**
	 * Returns a new object of class '<em>Paging Control</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Paging Control</em>'.
	 * @generated
	 */
	PagingControl createPagingControl();

	/**
	 * Returns a new object of class '<em>Style Property Table Customizer</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Table Customizer</em>'.
	 * @generated
	 */
	StylePropertyTableCustomizer createStylePropertyTableCustomizer();

	/**
	 * Returns a new object of class '<em>Style Property Scrollable</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Scrollable</em>'.
	 * @generated
	 */
    StylePropertyScrollable createStylePropertyScrollable();

    /**
	 * Returns a new object of class '<em>Style Property Enumeration Display Type</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Enumeration Display Type</em>'.
	 * @generated
	 */
    StylePropertyEnumerationDisplayType createStylePropertyEnumerationDisplayType();

    /**
	 * Returns a new object of class '<em>Style Property Enumeration Sort Order</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Enumeration Sort Order</em>'.
	 * @generated
	 */
    StylePropertyEnumerationSortOrder createStylePropertyEnumerationSortOrder();

    /**
	 * Returns a new object of class '<em>Style Property Other</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style Property Other</em>'.
	 * @generated
	 */
    StylePropertyOther createStylePropertyOther();

    /**
	 * Returns a new object of class '<em>Table Customizer</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Table Customizer</em>'.
	 * @generated
	 */
	TableCustomizer createTableCustomizer();

	/**
	 * Returns a new object of class '<em>Command Implementation</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Command Implementation</em>'.
	 * @generated
	 */
	CommandImplementation createCommandImplementation();

	/**
	 * Returns a new object of class '<em>Statement</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Statement</em>'.
	 * @generated
	 */
	Statement createStatement();

	/**
	 * Returns a new object of class '<em>Statement Variable</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Statement Variable</em>'.
	 * @generated
	 */
	StatementVariable createStatementVariable();

	/**
	 * Returns a new object of class '<em>IReferenceable By Statement Variable</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>IReferenceable By Statement Variable</em>'.
	 * @generated
	 */
	IReferenceableByStatementVariable createIReferenceableByStatementVariable();

	/**
	 * Returns a new object of class '<em>Assign Statement</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Assign Statement</em>'.
	 * @generated
	 */
	AssignStatement createAssignStatement();

	/**
	 * Returns a new object of class '<em>Variable Assignment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Variable Assignment</em>'.
	 * @generated
	 */
	VariableAssignment createVariableAssignment();

	/**
	 * Returns a new object of class '<em>Variable Value</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Variable Value</em>'.
	 * @generated
	 */
	VariableValue createVariableValue();

	/**
	 * Returns a new object of class '<em>Proxy</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Proxy</em>'.
	 * @generated
	 */
	Proxy createProxy();

	/**
	 * Returns a new object of class '<em>Property Join</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Property Join</em>'.
	 * @generated
	 */
	PropertyJoin createPropertyJoin();

	/**
	 * Returns a new object of class '<em>Invokeable</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Invokeable</em>'.
	 * @generated
	 */
	Invokeable createInvokeable();

	/**
	 * Returns a new object of class '<em>Execute Statement</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Execute Statement</em>'.
	 * @generated
	 */
	ExecuteStatement createExecuteStatement();

	/**
	 * Returns a new object of class '<em>Invoke Statement</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Invoke Statement</em>'.
	 * @generated
	 */
	InvokeStatement createInvokeStatement();

	/**
	 * Returns a new object of class '<em>Call Statement</em>'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return a new object of class '<em>Call Statement</em>'.
	 * @generated
	 */
    CallStatement createCallStatement();

    /**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	PomPackage getPomPackage();

} //PresentationFactory
