/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.openxma.dsl.pom;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;
import org.openxma.dsl.core.CorePackage;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.openxma.dsl.pom.PomFactory
 * @model kind="package"
 * @generated
 */
public interface PomPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "pom";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.openxma.org/dsl/pom/PomDsl";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "pom";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	PomPackage eINSTANCE = org.openxma.dsl.pom.model.impl.PomPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.FieldFlagImpl <em>Field Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.FieldFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldFlag()
	 * @generated
	 */
	int FIELD_FLAG = 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EnabledFlagImpl <em>Enabled Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EnabledFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEnabledFlag()
	 * @generated
	 */
	int ENABLED_FLAG = 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.MandatoryFlagImpl <em>Mandatory Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.MandatoryFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getMandatoryFlag()
	 * @generated
	 */
	int MANDATORY_FLAG = 5;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.VisibleFlagImpl <em>Visible Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.VisibleFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVisibleFlag()
	 * @generated
	 */
	int VISIBLE_FLAG = 6;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CollapsedFlagImpl <em>Collapsed Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CollapsedFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCollapsedFlag()
	 * @generated
	 */
	int COLLAPSED_FLAG = 7;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EditableFlagImpl <em>Editable Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EditableFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEditableFlag()
	 * @generated
	 */
	int EDITABLE_FLAG = 8;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.LabelTextImpl <em>Label Text</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.LabelTextImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLabelText()
	 * @generated
	 */
	int LABEL_TEXT = 12;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ObjectPropertyImpl <em>Object Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ObjectPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getObjectProperty()
	 * @generated
	 */
	int OBJECT_PROPERTY = 13;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ComponentImpl <em>Component</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ComponentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComponent()
	 * @generated
	 */
	int COMPONENT = 14;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMAGuiElementImpl <em>Referenced XMA Gui Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedXMAGuiElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAGuiElement()
	 * @generated
	 */
	int REFERENCED_XMA_GUI_ELEMENT = 15;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMAPageImpl <em>Referenced XMA Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedXMAPageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAPage()
	 * @generated
	 */
	int REFERENCED_XMA_PAGE = 16;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMACompositeImpl <em>Referenced XMA Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedXMACompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAComposite()
	 * @generated
	 */
	int REFERENCED_XMA_COMPOSITE = 17;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.GrayLogicImpl <em>Gray Logic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.GrayLogicImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGrayLogic()
	 * @generated
	 */
	int GRAY_LOGIC = 18;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.XMAWidgetGrayLogicImpl <em>XMA Widget Gray Logic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.XMAWidgetGrayLogicImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXMAWidgetGrayLogic()
	 * @generated
	 */
	int XMA_WIDGET_GRAY_LOGIC = 19;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.DataObjectVariableImpl <em>Data Object Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.DataObjectVariableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataObjectVariable()
	 * @generated
	 */
	int DATA_OBJECT_VARIABLE = 20;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IFieldImpl <em>IField</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IFieldImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIField()
	 * @generated
	 */
	int IFIELD = 25;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.FieldFeatureImpl <em>Field Feature</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.FieldFeatureImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldFeature()
	 * @generated
	 */
	int FIELD_FEATURE = 26;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.FieldReferenceImpl <em>Field Reference</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.FieldReferenceImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldReference()
	 * @generated
	 */
	int FIELD_REFERENCE = 27;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl <em>Customizeable Field</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizeableField()
	 * @generated
	 */
	int CUSTOMIZEABLE_FIELD = 28;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.FieldPartSpecificationImpl <em>Field Part Specification</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.FieldPartSpecificationImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldPartSpecification()
	 * @generated
	 */
	int FIELD_PART_SPECIFICATION = 29;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CommandImpl <em>Command</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CommandImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCommand()
	 * @generated
	 */
	int COMMAND = 30;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EventFunctionImpl <em>Event Function</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EventFunctionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventFunction()
	 * @generated
	 */
	int EVENT_FUNCTION = 31;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EventMappingListImpl <em>Event Mapping List</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EventMappingListImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventMappingList()
	 * @generated
	 */
	int EVENT_MAPPING_LIST = 32;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EventMappingImpl <em>Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventMapping()
	 * @generated
	 */
	int EVENT_MAPPING = 33;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ControlEventMappingImpl <em>Control Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ControlEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getControlEventMapping()
	 * @generated
	 */
	int CONTROL_EVENT_MAPPING = 34;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.XMAWidgetEventMappingImpl <em>XMA Widget Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.XMAWidgetEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXMAWidgetEventMapping()
	 * @generated
	 */
	int XMA_WIDGET_EVENT_MAPPING = 35;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.GuiElementEventMappingImpl <em>Gui Element Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.GuiElementEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElementEventMapping()
	 * @generated
	 */
	int GUI_ELEMENT_EVENT_MAPPING = 36;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.InitEventMappingImpl <em>Init Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.InitEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getInitEventMapping()
	 * @generated
	 */
	int INIT_EVENT_MAPPING = 37;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.EnterEventMappingImpl <em>Enter Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.EnterEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEnterEventMapping()
	 * @generated
	 */
	int ENTER_EVENT_MAPPING = 38;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.LeaveEventMappingImpl <em>Leave Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.LeaveEventMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLeaveEventMapping()
	 * @generated
	 */
	int LEAVE_EVENT_MAPPING = 39;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.DataMappingListImpl <em>Data Mapping List</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.DataMappingListImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataMappingList()
	 * @generated
	 */
	int DATA_MAPPING_LIST = 40;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.DataMappingImpl <em>Data Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.DataMappingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataMapping()
	 * @generated
	 */
	int DATA_MAPPING = 41;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.DataBindingElementImpl <em>Data Binding Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.DataBindingElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataBindingElement()
	 * @generated
	 */
	int DATA_BINDING_ELEMENT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabableFlagImpl <em>Tabable Flag</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabableFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabableFlag()
	 * @generated
	 */
    int TABABLE_FLAG = 9;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IReferenceableByStatementVariableImpl <em>IReferenceable By Statement Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IReferenceableByStatementVariableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIReferenceableByStatementVariable()
	 * @generated
	 */
	int IREFERENCEABLE_BY_STATEMENT_VARIABLE = 171;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TextPropertyImpl <em>Text Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TextPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTextProperty()
	 * @generated
	 */
	int TEXT_PROPERTY = 21;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.LabelPropertyImpl <em>Label Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.LabelPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLabelProperty()
	 * @generated
	 */
	int LABEL_PROPERTY = 22;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TooltipPropertyImpl <em>Tooltip Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TooltipPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTooltipProperty()
	 * @generated
	 */
	int TOOLTIP_PROPERTY = 23;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.UnitPropertyImpl <em>Unit Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.UnitPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getUnitProperty()
	 * @generated
	 */
	int UNIT_PROPERTY = 24;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PageDefinitionImpl <em>Page Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PageDefinitionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageDefinition()
	 * @generated
	 */
	int PAGE_DEFINITION = 42;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PageImpl <em>Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPage()
	 * @generated
	 */
	int PAGE = 43;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.XmadslPageImpl <em>Xmadsl Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.XmadslPageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmadslPage()
	 * @generated
	 */
	int XMADSL_PAGE = 44;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.MenuImpl <em>Menu</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.MenuImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getMenu()
	 * @generated
	 */
    int MENU = 45;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.DropDownMenuImpl <em>Drop Down Menu</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.DropDownMenuImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDropDownMenu()
	 * @generated
	 */
    int DROP_DOWN_MENU = 47;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabMenuImpl <em>Tab Menu</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabMenuImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabMenu()
	 * @generated
	 */
    int TAB_MENU = 46;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TreeMenuImpl <em>Tree Menu</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TreeMenuImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTreeMenu()
	 * @generated
	 */
    int TREE_MENU = 48;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.MenuItemImpl <em>Menu Item</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.MenuItemImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getMenuItem()
	 * @generated
	 */
    int MENU_ITEM = 49;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.LogicBlockImpl <em>Logic Block</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.LogicBlockImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLogicBlock()
	 * @generated
	 */
    int LOGIC_BLOCK = 50;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ConditionedLogicImpl <em>Conditioned Logic</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ConditionedLogicImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getConditionedLogic()
	 * @generated
	 */
    int CONDITIONED_LOGIC = 51;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.LogicItemImpl <em>Logic Item</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.LogicItemImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLogicItem()
	 * @generated
	 */
    int LOGIC_ITEM = 52;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ColumnOrderImpl <em>Column Order</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ColumnOrderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getColumnOrder()
	 * @generated
	 */
    int COLUMN_ORDER = 53;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabSettingImpl <em>Tab Setting</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabSettingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabSetting()
	 * @generated
	 */
    int TAB_SETTING = 54;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ColumnInfoImpl <em>Column Info</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ColumnInfoImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getColumnInfo()
	 * @generated
	 */
    int COLUMN_INFO = 55;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PageCustomizationImpl <em>Page Customization</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PageCustomizationImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageCustomization()
	 * @generated
	 */
	int PAGE_CUSTOMIZATION = 56;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.GuiElementImpl <em>Gui Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.GuiElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElement()
	 * @generated
	 */
	int GUI_ELEMENT = 57;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CompositeImpl <em>Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposite()
	 * @generated
	 */
	int COMPOSITE = 58;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ComposedElementImpl <em>Composed Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ComposedElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposedElement()
	 * @generated
	 */
	int COMPOSED_ELEMENT = 59;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ComplexElementImpl <em>Complex Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ComplexElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComplexElement()
	 * @generated
	 */
	int COMPLEX_ELEMENT = 60;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.SimpleElementImpl <em>Simple Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.SimpleElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSimpleElement()
	 * @generated
	 */
	int SIMPLE_ELEMENT = 61;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IGuiElementWithEventImpl <em>IGui Element With Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IGuiElementWithEventImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIGuiElementWithEvent()
	 * @generated
	 */
	int IGUI_ELEMENT_WITH_EVENT = 0;

	/**
	 * The number of structural features of the '<em>IGui Element With Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT = 0;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.GuiElementWithEvent_dummyImpl <em>Gui Element With Event dummy</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.GuiElementWithEvent_dummyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElementWithEvent_dummy()
	 * @generated
	 */
	int GUI_ELEMENT_WITH_EVENT_DUMMY = 62;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TextImpl <em>Text</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TextImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getText()
	 * @generated
	 */
	int TEXT = 63;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ComboImpl <em>Combo</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ComboImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCombo()
	 * @generated
	 */
	int COMBO = 64;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CheckBoxImpl <em>Check Box</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CheckBoxImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCheckBox()
	 * @generated
	 */
	int CHECK_BOX = 65;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ListBoxImpl <em>List Box</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ListBoxImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getListBox()
	 * @generated
	 */
	int LIST_BOX = 66;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IncludePanelImpl <em>Include Panel</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IncludePanelImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIncludePanel()
	 * @generated
	 */
    int INCLUDE_PANEL = 67;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TreeImpl <em>Tree</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TreeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTree()
	 * @generated
	 */
	int TREE = 68;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.RadioButtonImpl <em>Radio Button</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.RadioButtonImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRadioButton()
	 * @generated
	 */
	int RADIO_BUTTON = 69;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.SeperatorImpl <em>Seperator</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.SeperatorImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSeperator()
	 * @generated
	 */
	int SEPERATOR = 70;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.LabelImpl <em>Label</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.LabelImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLabel()
	 * @generated
	 */
	int LABEL = 71;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ImageImpl <em>Image</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ImageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getImage()
	 * @generated
	 */
	int IMAGE = 72;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ButtonImpl <em>Button</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ButtonImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getButton()
	 * @generated
	 */
	int BUTTON = 73;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ICompositeImpl <em>IComposite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ICompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIComposite()
	 * @generated
	 */
	int ICOMPOSITE = 74;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.XmadslCompositeImpl <em>Xmadsl Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.XmadslCompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmadslComposite()
	 * @generated
	 */
	int XMADSL_COMPOSITE = 75;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.SplitPanelImpl <em>Split Panel</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.SplitPanelImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSplitPanel()
	 * @generated
	 */
	int SPLIT_PANEL = 76;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedCompositeImpl <em>Referenced Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedCompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedComposite()
	 * @generated
	 */
	int REFERENCED_COMPOSITE = 77;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TableImpl <em>Table</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTable()
	 * @generated
	 */
	int TABLE = 79;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TableColumnImpl <em>Table Column</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TableColumnImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTableColumn()
	 * @generated
	 */
	int TABLE_COLUMN = 80;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ITabFolderImpl <em>ITab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ITabFolderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getITabFolder()
	 * @generated
	 */
	int ITAB_FOLDER = 81;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabFolderImpl <em>Tab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabFolderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabFolder()
	 * @generated
	 */
	int TAB_FOLDER = 82;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedTabFolderImpl <em>Referenced Tab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedTabFolderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedTabFolder()
	 * @generated
	 */
	int REFERENCED_TAB_FOLDER = 83;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ITabPageImpl <em>ITab Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ITabPageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getITabPage()
	 * @generated
	 */
	int ITAB_PAGE = 84;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabPageImpl <em>Tab Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabPageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabPage()
	 * @generated
	 */
	int TAB_PAGE = 85;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ReferencedTabPageImpl <em>Referenced Tab Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ReferencedTabPageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedTabPage()
	 * @generated
	 */
	int REFERENCED_TAB_PAGE = 86;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.LayoutDataPropertyImpl <em>Layout Data Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.LayoutDataPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLayoutDataProperty()
	 * @generated
	 */
	int LAYOUT_DATA_PROPERTY = 87;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PagePropertyImpl <em>Page Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PagePropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageProperty()
	 * @generated
	 */
	int PAGE_PROPERTY = 88;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.HeightPropertyImpl <em>Height Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.HeightPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getHeightProperty()
	 * @generated
	 */
	int HEIGHT_PROPERTY = 89;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.WidthPropertyImpl <em>Width Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.WidthPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getWidthProperty()
	 * @generated
	 */
	int WIDTH_PROPERTY = 90;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.AttachmentPropertyImpl <em>Attachment Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.AttachmentPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentProperty()
	 * @generated
	 */
	int ATTACHMENT_PROPERTY = 111;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyImpl <em>Style Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleProperty()
	 * @generated
	 */
	int STYLE_PROPERTY = 91;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ModalityPropertyImpl <em>Modality Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ModalityPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getModalityProperty()
	 * @generated
	 */
	int MODALITY_PROPERTY = 92;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ImagePropertyImpl <em>Image Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ImagePropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getImageProperty()
	 * @generated
	 */
	int IMAGE_PROPERTY = 93;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TitleButtonsPropertyImpl <em>Title Buttons Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TitleButtonsPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTitleButtonsProperty()
	 * @generated
	 */
	int TITLE_BUTTONS_PROPERTY = 94;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ResizeablePropertyImpl <em>Resizeable Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ResizeablePropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getResizeableProperty()
	 * @generated
	 */
	int RESIZEABLE_PROPERTY = 95;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StatusBarPropertyImpl <em>Status Bar Property</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StatusBarPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStatusBarProperty()
	 * @generated
	 */
    int STATUS_BAR_PROPERTY = 96;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CenterPropertyImpl <em>Center Property</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CenterPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCenterProperty()
	 * @generated
	 */
    int CENTER_PROPERTY = 97;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.AlignmentPropertyImpl <em>Alignment Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.AlignmentPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAlignmentProperty()
	 * @generated
	 */
	int ALIGNMENT_PROPERTY = 98;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ComposeDataImpl <em>Compose Data</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ComposeDataImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposeData()
	 * @generated
	 */
	int COMPOSE_DATA = 99;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PaddingWidthImpl <em>Padding Width</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PaddingWidthImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPaddingWidth()
	 * @generated
	 */
	int PADDING_WIDTH = 100;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IAttachmentPositionImpl <em>IAttachment Position</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IAttachmentPositionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIAttachmentPosition()
	 * @generated
	 */
	int IATTACHMENT_POSITION = 101;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IElementOnWhichCanBeAttachedImpl <em>IElement On Which Can Be Attached</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IElementOnWhichCanBeAttachedImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIElementOnWhichCanBeAttached()
	 * @generated
	 */
	int IELEMENT_ON_WHICH_CAN_BE_ATTACHED = 115;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabulatorPositionImpl <em>Tabulator Position</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabulatorPositionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorPosition()
	 * @generated
	 */
	int TABULATOR_POSITION = 107;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.AttachmentPositionImpl <em>Attachment Position</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.AttachmentPositionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentPosition()
	 * @generated
	 */
	int ATTACHMENT_POSITION = 108;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ContentImpl <em>Content</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ContentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getContent()
	 * @generated
	 */
	int CONTENT = 109;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.AttachmentSpecificationImpl <em>Attachment Specification</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.AttachmentSpecificationImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentSpecification()
	 * @generated
	 */
	int ATTACHMENT_SPECIFICATION = 112;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ParentAttachmentImpl <em>Parent Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ParentAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getParentAttachment()
	 * @generated
	 */
	int PARENT_ATTACHMENT = 114;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabulatorDefinitionImpl <em>Tabulator Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabulatorDefinitionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorDefinition()
	 * @generated
	 */
	int TABULATOR_DEFINITION = 102;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StringDefinitionImpl <em>String Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StringDefinitionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStringDefinition()
	 * @generated
	 */
	int STRING_DEFINITION = 103;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IntegerDefinitionImpl <em>Integer Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IntegerDefinitionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIntegerDefinition()
	 * @generated
	 */
	int INTEGER_DEFINITION = 104;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ImageUriImpl <em>Image Uri</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ImageUriImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getImageUri()
	 * @generated
	 */
	int IMAGE_URI = 105;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.DefinitionsImpl <em>Definitions</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.DefinitionsImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDefinitions()
	 * @generated
	 */
	int DEFINITIONS = 106;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.SetOfGuiElementsImpl <em>Set Of Gui Elements</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.SetOfGuiElementsImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSetOfGuiElements()
	 * @generated
	 */
	int SET_OF_GUI_ELEMENTS = 110;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.NoneAttachmentImpl <em>None Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.NoneAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getNoneAttachment()
	 * @generated
	 */
	int NONE_ATTACHMENT = 113;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.SiblingAttachmentImpl <em>Sibling Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.SiblingAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSiblingAttachment()
	 * @generated
	 */
	int SIBLING_ATTACHMENT = 116;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.AbsoluteSiblingAttachmentImpl <em>Absolute Sibling Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.AbsoluteSiblingAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAbsoluteSiblingAttachment()
	 * @generated
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT = 117;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.RelativeSiblingAttachmentImpl <em>Relative Sibling Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.RelativeSiblingAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRelativeSiblingAttachment()
	 * @generated
	 */
	int RELATIVE_SIBLING_ATTACHMENT = 118;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TabulatorAttachmentImpl <em>Tabulator Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TabulatorAttachmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorAttachment()
	 * @generated
	 */
	int TABULATOR_ATTACHMENT = 119;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.OffsetImpl <em>Offset</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.OffsetImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getOffset()
	 * @generated
	 */
	int OFFSET = 120;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.FieldVariableImpl <em>Field Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.FieldVariableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldVariable()
	 * @generated
	 */
	int FIELD_VARIABLE = 121;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.XmaVariableImpl <em>Xma Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.XmaVariableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmaVariable()
	 * @generated
	 */
	int XMA_VARIABLE = 122;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizeComponentModelImpl <em>Customize Component Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizeComponentModelImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizeComponentModel()
	 * @generated
	 */
	int CUSTOMIZE_COMPONENT_MODEL = 123;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfGuiElementImpl <em>Customization Of Gui Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizationOfGuiElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfGuiElement()
	 * @generated
	 */
	int CUSTOMIZATION_OF_GUI_ELEMENT = 124;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfCompositeImpl <em>Customization Of Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizationOfCompositeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfComposite()
	 * @generated
	 */
	int CUSTOMIZATION_OF_COMPOSITE = 125;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfTabFolderImpl <em>Customization Of Tab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CustomizationOfTabFolderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfTabFolder()
	 * @generated
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER = 126;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.IElementWithLayoutDataImpl <em>IElement With Layout Data</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.IElementWithLayoutDataImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIElementWithLayoutData()
	 * @generated
	 */
	int IELEMENT_WITH_LAYOUT_DATA = 1;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_LAYOUT_DATA__LAYOUT_PROPERTIES = 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_LAYOUT_DATA__FIELD_FLAGS = 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_LAYOUT_DATA__TABABLE_FLAG = 2;

	/**
	 * The number of structural features of the '<em>IElement With Layout Data</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT = 3;

	/**
	 * The number of structural features of the '<em>Data Binding Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BINDING_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FLAG__EXPRESSION = 0;

	/**
	 * The number of structural features of the '<em>Field Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FLAG_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENABLED_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Enabled Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENABLED_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANDATORY_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Mandatory Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANDATORY_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISIBLE_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Visible Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISIBLE_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLLAPSED_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The feature id for the '<em><b>Available Specified</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int COLLAPSED_FLAG__AVAILABLE_SPECIFIED = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Collapsed Flag</em>' class.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int COLLAPSED_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITABLE_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Editable Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITABLE_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABABLE_FLAG__VALUE = 0;

	/**
	 * The number of structural features of the '<em>Tabable Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABABLE_FLAG_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.MultiselectionFlagImpl <em>Multiselection Flag</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.MultiselectionFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getMultiselectionFlag()
	 * @generated
	 */
    int MULTISELECTION_FLAG = 10;

    /**
	 * The feature id for the '<em><b>Multi Selection</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int MULTISELECTION_FLAG__MULTI_SELECTION = 0;

    /**
	 * The number of structural features of the '<em>Multiselection Flag</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int MULTISELECTION_FLAG_FEATURE_COUNT = 1;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StrictFlagImpl <em>Strict Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StrictFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStrictFlag()
	 * @generated
	 */
	int STRICT_FLAG = 11;

				/**
	 * The feature id for the '<em><b>Strict</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRICT_FLAG__STRICT = 0;

				/**
	 * The number of structural features of the '<em>Strict Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRICT_FLAG_FEATURE_COUNT = 1;

				/**
	 * The feature id for the '<em><b>Label</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int LABEL_TEXT__LABEL = 0;

	/**
	 * The feature id for the '<em><b>Referenced Label String</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_TEXT__REFERENCED_LABEL_STRING = 1;

	/**
	 * The number of structural features of the '<em>Label Text</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_TEXT_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int OBJECT_PROPERTY__TXT_DESCRIPTION = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Public</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY__PUBLIC = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY__TYPE = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY__NAME = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Default Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY__DEFAULT_VALUE = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Read Only</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY__READ_ONLY = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Required</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY__REQUIRED = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Object Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OBJECT_PROPERTY_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__TXT_DESCRIPTION = CorePackage.MODEL_ELEMENT__TXT_DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__NAME = CorePackage.MODEL_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Xma Component</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__XMA_COMPONENT = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Style Property</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__STYLE_PROPERTY = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Default Page</b></em>' reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int COMPONENT__DEFAULT_PAGE = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int COMPONENT__DEPENDENCIES = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Component Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__COMPONENT_PROPERTIES = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__DATAOBJECTS = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__COMMANDS = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__EVENTS = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__CONDITIONS_BLOCK = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Pages</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__PAGES = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__DEFINITIONS = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The number of structural features of the '<em>Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_FEATURE_COUNT = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The number of structural features of the '<em>Referenced XMA Gui Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__CONTENT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int REFERENCED_XMA_PAGE__TXT_DESCRIPTION = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int REFERENCED_XMA_PAGE__COMPOSE_LAYOUT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__DATAOBJECTS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__DATA_MAPPING = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__COMMANDS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__EVENTS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__CONDITIONS_BLOCK = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__DEFINITIONS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Xma Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__XMA_PAGE = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__FIELD_FLAGS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__DEPENDENCIES = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Logic Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int REFERENCED_XMA_PAGE__LOGIC_BLOCK = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Gray Logic</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int REFERENCED_XMA_PAGE__GRAY_LOGIC = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The number of structural features of the '<em>Referenced XMA Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE_FEATURE_COUNT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__CONTENT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xma Composite</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__XMA_COMPOSITE = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__FIELD_FLAGS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int REFERENCED_XMA_COMPOSITE__TABABLE_FLAG = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Referencing Page Composite</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int REFERENCED_XMA_COMPOSITE__REFERENCING_PAGE_COMPOSITE = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Horizontal Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__HORIZONTAL_PARTITIONING = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Vertical Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__VERTICAL_PARTITIONING = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Referenced XMA Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE_FEATURE_COUNT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Widget Gray Logic</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAY_LOGIC__WIDGET_GRAY_LOGIC = 0;

	/**
	 * The number of structural features of the '<em>Gray Logic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAY_LOGIC_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Xma Widget</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_GRAY_LOGIC__XMA_WIDGET = 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_GRAY_LOGIC__FIELD_FLAGS = 1;

	/**
	 * The number of structural features of the '<em>XMA Widget Gray Logic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_GRAY_LOGIC_FEATURE_COUNT = 2;

	/**
	 * The number of structural features of the '<em>IReferenceable By Statement Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERENCEABLE_BY_STATEMENT_VARIABLE_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int DATA_OBJECT_VARIABLE__TXT_DESCRIPTION = IREFERENCEABLE_BY_STATEMENT_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE__TYPE = IREFERENCEABLE_BY_STATEMENT_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Is Collection</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE__IS_COLLECTION = IREFERENCEABLE_BY_STATEMENT_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE__NAME = IREFERENCEABLE_BY_STATEMENT_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Data Object Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE_FEATURE_COUNT = IREFERENCEABLE_BY_STATEMENT_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Text Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTY_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_PROPERTY__LABEL_TEXT = TEXT_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Referenced Label String</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_PROPERTY__REFERENCED_LABEL_STRING = TEXT_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Label Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_PROPERTY_FEATURE_COUNT = TEXT_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Tooltip Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOLTIP_PROPERTY__TOOLTIP_TEXT = TEXT_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Referenced Tooltip String</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOLTIP_PROPERTY__REFERENCED_TOOLTIP_STRING = TEXT_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Tooltip Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TOOLTIP_PROPERTY_FEATURE_COUNT = TEXT_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Unit Label Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNIT_PROPERTY__UNIT_LABEL_TEXT = TEXT_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Referenced Unit Label String</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNIT_PROPERTY__REFERENCED_UNIT_LABEL_STRING = TEXT_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Unit Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int UNIT_PROPERTY_FEATURE_COUNT = TEXT_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IFIELD__OBJECT = 0;

	/**
	 * The feature id for the '<em><b>Feature</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IFIELD__FEATURE = 1;

	/**
	 * The number of structural features of the '<em>IField</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IFIELD_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Feature</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FEATURE__FEATURE = 0;

	/**
	 * The feature id for the '<em><b>Sub Feature</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FEATURE__SUB_FEATURE = 1;

	/**
	 * The number of structural features of the '<em>Field Feature</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FEATURE_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_REFERENCE__OBJECT = IFIELD__OBJECT;

	/**
	 * The feature id for the '<em><b>Feature</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_REFERENCE__FEATURE = IFIELD__FEATURE;

	/**
	 * The number of structural features of the '<em>Field Reference</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_REFERENCE_FEATURE_COUNT = IFIELD_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__OBJECT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Feature</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__FEATURE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int CUSTOMIZEABLE_FIELD__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int CUSTOMIZEABLE_FIELD__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Control Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int CUSTOMIZEABLE_FIELD__CONTROL_TYPE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Parts</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__PARTS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Multi Line</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__MULTI_LINE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__CONSTRAINTS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__FORMAT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 10;

	/**
	 * The number of structural features of the '<em>Customizeable Field</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Part</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_PART_SPECIFICATION__PART = 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_PART_SPECIFICATION__LAYOUT_PROPERTIES = 1;

	/**
	 * The number of structural features of the '<em>Field Part Specification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_PART_SPECIFICATION_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int COMMAND__TXT_DESCRIPTION = CorePackage.IDOCUMENTABLE__TXT_DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND__DOC = CorePackage.IDOCUMENTABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Client Only</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND__CLIENT_ONLY = CorePackage.IDOCUMENTABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND__NAME = CorePackage.IDOCUMENTABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Implementation</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND__IMPLEMENTATION = CorePackage.IDOCUMENTABLE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Command</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND_FEATURE_COUNT = CorePackage.IDOCUMENTABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Command</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_FUNCTION__COMMAND = 0;

	/**
	 * The feature id for the '<em><b>Predefined Command</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_FUNCTION__PREDEFINED_COMMAND = 1;

	/**
	 * The number of structural features of the '<em>Event Function</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_FUNCTION_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Mapping</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING_LIST__MAPPING = 0;

	/**
	 * The number of structural features of the '<em>Event Mapping List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING_LIST_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING__EVENT_FUNCTIONS = 0;

	/**
	 * The number of structural features of the '<em>Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROL_EVENT_MAPPING__EVENT_FUNCTIONS = EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The feature id for the '<em><b>Event</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROL_EVENT_MAPPING__EVENT = EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Control Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROL_EVENT_MAPPING_FEATURE_COUNT = EVENT_MAPPING_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING__EVENT_FUNCTIONS = CONTROL_EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The feature id for the '<em><b>Event</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING__EVENT = CONTROL_EVENT_MAPPING__EVENT;

	/**
	 * The feature id for the '<em><b>Control</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING__CONTROL = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>XMA Widget Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING_FEATURE_COUNT = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING__EVENT_FUNCTIONS = CONTROL_EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The feature id for the '<em><b>Event</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING__EVENT = CONTROL_EVENT_MAPPING__EVENT;

	/**
	 * The feature id for the '<em><b>Control</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING__CONTROL = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Gui Element Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING_FEATURE_COUNT = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INIT_EVENT_MAPPING__EVENT_FUNCTIONS = EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The number of structural features of the '<em>Init Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INIT_EVENT_MAPPING_FEATURE_COUNT = EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTER_EVENT_MAPPING__EVENT_FUNCTIONS = EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The number of structural features of the '<em>Enter Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTER_EVENT_MAPPING_FEATURE_COUNT = EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Event Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEAVE_EVENT_MAPPING__EVENT_FUNCTIONS = EVENT_MAPPING__EVENT_FUNCTIONS;

	/**
	 * The number of structural features of the '<em>Leave Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LEAVE_EVENT_MAPPING_FEATURE_COUNT = EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Mapping</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING_LIST__MAPPING = 0;

	/**
	 * The number of structural features of the '<em>Data Mapping List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING_LIST_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Control</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING__CONTROL = 0;

	/**
	 * The feature id for the '<em><b>Binding Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING__BINDING_ELEMENT = 1;

	/**
	 * The feature id for the '<em><b>Field</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING__FIELD = 2;

	/**
	 * The number of structural features of the '<em>Data Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING_FEATURE_COUNT = 3;

	/**
	 * The number of structural features of the '<em>Page Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_DEFINITION_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__CONTENT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int PAGE__TXT_DESCRIPTION = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int PAGE__COMPOSE_LAYOUT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__DATAOBJECTS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__DATA_MAPPING = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__COMMANDS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__EVENTS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__CONDITIONS_BLOCK = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__DEFINITIONS = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 8;

	/**
	 * The number of structural features of the '<em>Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_FEATURE_COUNT = CorePackage.REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__CONTENT = PAGE__CONTENT;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int XMADSL_PAGE__TXT_DESCRIPTION = PAGE__TXT_DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int XMADSL_PAGE__COMPOSE_LAYOUT = PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__DATAOBJECTS = PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__DATA_MAPPING = PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__COMMANDS = PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__EVENTS = PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__CONDITIONS_BLOCK = PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__DEFINITIONS = PAGE__DEFINITIONS;

	/**
	 * The feature id for the '<em><b>Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__ABSTRACT = PAGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__NAME = PAGE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__LABEL_TEXT = PAGE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Page Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__PAGE_PROPERTY = PAGE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Template</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__TEMPLATE = PAGE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__DEPENDENCIES = PAGE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Page Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__PAGE_PROPERTIES = PAGE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Menus</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int XMADSL_PAGE__MENUS = PAGE_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Logic Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__LOGIC_BLOCK = PAGE_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Extensions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int XMADSL_PAGE__EXTENSIONS = PAGE_FEATURE_COUNT + 9;

	/**
	 * The number of structural features of the '<em>Xmadsl Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE_FEATURE_COUNT = PAGE_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Menu Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MENU__MENU_ITEMS = 0;

	/**
	 * The number of structural features of the '<em>Menu</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MENU_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Menu Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_MENU__MENU_ITEMS = MENU__MENU_ITEMS;

	/**
	 * The feature id for the '<em><b>Panel</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_MENU__PANEL = MENU_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Alignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_MENU__ALIGNMENT = MENU_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Defaultselection</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_MENU__DEFAULTSELECTION = MENU_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Tab Menu</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_MENU_FEATURE_COUNT = MENU_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Menu Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DROP_DOWN_MENU__MENU_ITEMS = MENU__MENU_ITEMS;

	/**
	 * The number of structural features of the '<em>Drop Down Menu</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DROP_DOWN_MENU_FEATURE_COUNT = MENU_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Menu Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREE_MENU__MENU_ITEMS = MENU__MENU_ITEMS;

	/**
	 * The feature id for the '<em><b>Panel</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREE_MENU__PANEL = MENU_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Tree Menu</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREE_MENU_FEATURE_COUNT = MENU_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MENU_ITEM__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Label</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MENU_ITEM__LABEL = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Accelerator</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MENU_ITEM__ACCELERATOR = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Image</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MENU_ITEM__IMAGE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Defaultselection</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MENU_ITEM__DEFAULTSELECTION = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Enabled</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MENU_ITEM__ENABLED = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Menu Item</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MENU_ITEM__MENU_ITEM = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Menu Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MENU_ITEM_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Logic Item</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOGIC_BLOCK__LOGIC_ITEM = 0;

	/**
	 * The feature id for the '<em><b>Conditioned Logic</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOGIC_BLOCK__CONDITIONED_LOGIC = 1;

	/**
	 * The number of structural features of the '<em>Logic Block</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOGIC_BLOCK_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Status Flag</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITIONED_LOGIC__STATUS_FLAG = 0;

	/**
	 * The feature id for the '<em><b>Default</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITIONED_LOGIC__DEFAULT = 1;

	/**
	 * The feature id for the '<em><b>Logic Item</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITIONED_LOGIC__LOGIC_ITEM = 2;

	/**
	 * The number of structural features of the '<em>Conditioned Logic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITIONED_LOGIC_FEATURE_COUNT = 3;

	/**
	 * The feature id for the '<em><b>Gui Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOGIC_ITEM__GUI_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOGIC_ITEM__FIELD_FLAGS = 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOGIC_ITEM__TABABLE_FLAG = 2;

	/**
	 * The feature id for the '<em><b>Column Order</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOGIC_ITEM__COLUMN_ORDER = 3;

	/**
	 * The feature id for the '<em><b>Tab Settings</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOGIC_ITEM__TAB_SETTINGS = 4;

	/**
	 * The number of structural features of the '<em>Logic Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOGIC_ITEM_FEATURE_COUNT = 5;

	/**
	 * The feature id for the '<em><b>Column Infos</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN_ORDER__COLUMN_INFOS = 0;

	/**
	 * The number of structural features of the '<em>Column Order</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN_ORDER_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Ordered Elements</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_SETTING__ORDERED_ELEMENTS = 0;

	/**
	 * The number of structural features of the '<em>Tab Setting</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_SETTING_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Columns</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN_INFO__COLUMNS = 0;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN_INFO__WIDTH = 1;

	/**
	 * The feature id for the '<em><b>Relative Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN_INFO__RELATIVE_WIDTH = 2;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN_INFO__LABEL_TEXT = 3;

	/**
	 * The number of structural features of the '<em>Column Info</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN_INFO_FEATURE_COUNT = 4;

	/**
	 * The feature id for the '<em><b>Page To Customize</b></em>' reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int PAGE_CUSTOMIZATION__PAGE_TO_CUSTOMIZE = PAGE_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Composites</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int PAGE_CUSTOMIZATION__COMPOSITES = PAGE_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Page Customization</em>' class.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int PAGE_CUSTOMIZATION_FEATURE_COUNT = PAGE_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Gui Element</em>' class.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int GUI_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int COMPOSITE__CONTENT = GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Composite</em>' class.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int COMPOSITE_FEATURE_COUNT = GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Composed Element</em>' class.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int COMPOSED_ELEMENT_FEATURE_COUNT = GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Complex Element</em>' class.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int COMPLEX_ELEMENT_FEATURE_COUNT = COMPOSED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_ELEMENT__LAYOUT_PROPERTIES = IELEMENT_WITH_LAYOUT_DATA__LAYOUT_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_ELEMENT__FIELD_FLAGS = IELEMENT_WITH_LAYOUT_DATA__FIELD_FLAGS;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_ELEMENT__TABABLE_FLAG = IELEMENT_WITH_LAYOUT_DATA__TABABLE_FLAG;

	/**
	 * The number of structural features of the '<em>Simple Element</em>' class.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int SIMPLE_ELEMENT_FEATURE_COUNT = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Dummy Property</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int GUI_ELEMENT_WITH_EVENT_DUMMY__DUMMY_PROPERTY = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Gui Element With Event dummy</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_WITH_EVENT_DUMMY_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TEXT__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TEXT__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TEXT__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TEXT__ALIGNMENT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Multi Line</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__MULTI_LINE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__CONSTRAINTS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__FORMAT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__TYPE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__TEXT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 9;

	/**
	 * The number of structural features of the '<em>Text</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int COMBO__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int COMBO__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int COMBO__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int COMBO__CONSTRAINTS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO__FORMAT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO__TYPE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Strict Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO__STRICT_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO__TEXT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 8;

	/**
	 * The number of structural features of the '<em>Combo</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBO_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int CHECK_BOX__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int CHECK_BOX__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int CHECK_BOX__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int CHECK_BOX__LABEL_TEXT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX__CONSTRAINTS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX__FORMAT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX__TEXT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Check Box</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHECK_BOX_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int LIST_BOX__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int LIST_BOX__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LIST_BOX__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int LIST_BOX__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Multiselection Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int LIST_BOX__MULTISELECTION_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

    /**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int LIST_BOX__TEXT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>List Box</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LIST_BOX_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_PANEL__LAYOUT_PROPERTIES = SIMPLE_ELEMENT__LAYOUT_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_PANEL__FIELD_FLAGS = SIMPLE_ELEMENT__FIELD_FLAGS;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_PANEL__TABABLE_FLAG = SIMPLE_ELEMENT__TABABLE_FLAG;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_PANEL__NAME = SIMPLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xma Component</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_PANEL__XMA_COMPONENT = SIMPLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Component</b></em>' reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int INCLUDE_PANEL__COMPONENT = SIMPLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Embedded Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_PANEL__EMBEDDED_PAGE = SIMPLE_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xmadsl Page</b></em>' reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int INCLUDE_PANEL__XMADSL_PAGE = SIMPLE_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Include Panel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_PANEL_FEATURE_COUNT = SIMPLE_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TREE__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TREE__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREE__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TREE__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TREE__TEXT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Tree</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TREE_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int RADIO_BUTTON__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int RADIO_BUTTON__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int RADIO_BUTTON__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int RADIO_BUTTON__LABEL_TEXT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON__CONSTRAINTS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON__FORMAT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON__TEXT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Radio Button</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RADIO_BUTTON_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int SEPERATOR__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int SEPERATOR__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPERATOR__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int SEPERATOR__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Orientation</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int SEPERATOR__ORIENTATION = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Seperator</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPERATOR_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int LABEL__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int LABEL__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int LABEL__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int LABEL__LABEL_TEXT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Image Uri</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int LABEL__IMAGE_URI = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Image Uri Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int LABEL__IMAGE_URI_REFERENCE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Alignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int LABEL__ALIGNMENT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Label</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int IMAGE__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int IMAGE__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int IMAGE__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Image Uri</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int IMAGE__IMAGE_URI = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Image Uri Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE__IMAGE_URI_REFERENCE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Image</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int BUTTON__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int BUTTON__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int BUTTON__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int BUTTON__LABEL_TEXT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Image Uri</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__IMAGE_URI = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Image Uri Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__IMAGE_URI_REFERENCE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Alignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__ALIGNMENT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Toggle</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__TOGGLE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 8;

	/**
	 * The number of structural features of the '<em>Button</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPOSITE__CONTENT = COMPOSITE__CONTENT;

	/**
	 * The number of structural features of the '<em>IComposite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPOSITE_FEATURE_COUNT = COMPOSITE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int XMADSL_COMPOSITE__LAYOUT_PROPERTIES = IELEMENT_WITH_LAYOUT_DATA__LAYOUT_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int XMADSL_COMPOSITE__FIELD_FLAGS = IELEMENT_WITH_LAYOUT_DATA__FIELD_FLAGS;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__TABABLE_FLAG = IELEMENT_WITH_LAYOUT_DATA__TABABLE_FLAG;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__CONTENT = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int XMADSL_COMPOSITE__NAME = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int XMADSL_COMPOSITE__LABEL_TEXT = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Scrollable</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int XMADSL_COMPOSITE__SCROLLABLE = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Horizontal Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int XMADSL_COMPOSITE__HORIZONTAL_PARTITIONING = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Vertical Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int XMADSL_COMPOSITE__VERTICAL_PARTITIONING = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Xmadsl Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE_FEATURE_COUNT = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int SPLIT_PANEL__LAYOUT_PROPERTIES = XMADSL_COMPOSITE__LAYOUT_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int SPLIT_PANEL__FIELD_FLAGS = XMADSL_COMPOSITE__FIELD_FLAGS;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPLIT_PANEL__TABABLE_FLAG = XMADSL_COMPOSITE__TABABLE_FLAG;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPLIT_PANEL__CONTENT = XMADSL_COMPOSITE__CONTENT;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int SPLIT_PANEL__NAME = XMADSL_COMPOSITE__NAME;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int SPLIT_PANEL__LABEL_TEXT = XMADSL_COMPOSITE__LABEL_TEXT;

	/**
	 * The feature id for the '<em><b>Scrollable</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int SPLIT_PANEL__SCROLLABLE = XMADSL_COMPOSITE__SCROLLABLE;

	/**
	 * The feature id for the '<em><b>Horizontal Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int SPLIT_PANEL__HORIZONTAL_PARTITIONING = XMADSL_COMPOSITE__HORIZONTAL_PARTITIONING;

	/**
	 * The feature id for the '<em><b>Vertical Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int SPLIT_PANEL__VERTICAL_PARTITIONING = XMADSL_COMPOSITE__VERTICAL_PARTITIONING;

	/**
	 * The feature id for the '<em><b>Split Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPLIT_PANEL__SPLIT_POSITION = XMADSL_COMPOSITE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Orientation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPLIT_PANEL__ORIENTATION = XMADSL_COMPOSITE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>First Panel</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPLIT_PANEL__FIRST_PANEL = XMADSL_COMPOSITE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Second Panel</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPLIT_PANEL__SECOND_PANEL = XMADSL_COMPOSITE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Split Panel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPLIT_PANEL_FEATURE_COUNT = XMADSL_COMPOSITE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_COMPOSITE__CONTENT = ICOMPOSITE__CONTENT;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_COMPOSITE__REFERENCE = ICOMPOSITE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Referenced Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_COMPOSITE_FEATURE_COUNT = ICOMPOSITE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TableComboImpl <em>Table Combo</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TableComboImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTableCombo()
	 * @generated
	 */
    int TABLE_COMBO = 78;

    /**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE_COMBO__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

    /**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE_COMBO__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

    /**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE_COMBO__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

    /**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE_COMBO__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

    /**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE_COMBO__OBJECT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

    /**
	 * The feature id for the '<em><b>Key</b></em>' reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE_COMBO__KEY = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

    /**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COMBO__TEXT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

				/**
	 * The feature id for the '<em><b>Columns</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE_COMBO__COLUMNS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 7;

    /**
	 * The number of structural features of the '<em>Table Combo</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE_COMBO_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 8;

    /**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__LAYOUT_PROPERTIES = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__FIELD_FLAGS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__TABABLE_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE__NAME = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__OBJECT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Key</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__KEY = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Column Min Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__COLUMN_MIN_WIDTH = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Multiselection Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE__MULTISELECTION_FLAG = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 7;

    /**
	 * The feature id for the '<em><b>Oneway</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__ONEWAY = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Gridvisible</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__GRIDVISIBLE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Sortindicator</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__SORTINDICATOR = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Pageable</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__PAGEABLE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Filterable</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__FILTERABLE = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Check Selection</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__CHECK_SELECTION = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Collapsed</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__COLLAPSED = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Columns</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__COLUMNS = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 15;

	/**
	 * The number of structural features of the '<em>Table</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__OBJECT = 0;

	/**
	 * The feature id for the '<em><b>Feature</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__FEATURE = 1;

	/**
	 * The feature id for the '<em><b>Column Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__COLUMN_NAME = 2;

	/**
	 * The feature id for the '<em><b>Visible</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__VISIBLE = 3;

	/**
	 * The feature id for the '<em><b>Label</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__LABEL = 4;

	/**
	 * The feature id for the '<em><b>Style Property</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE_COLUMN__STYLE_PROPERTY = 5;

	/**
	 * The feature id for the '<em><b>Align</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TABLE_COLUMN__ALIGN = 6;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__WIDTH = 7;

	/**
	 * The feature id for the '<em><b>Relative Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__RELATIVE_WIDTH = 8;

	/**
	 * The feature id for the '<em><b>Min Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__MIN_WIDTH = 9;

	/**
	 * The feature id for the '<em><b>Max Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__MAX_WIDTH = 10;

	/**
	 * The number of structural features of the '<em>Table Column</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN_FEATURE_COUNT = 11;

	/**
	 * The feature id for the '<em><b>Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_FOLDER__TAB_ITEMS = COMPLEX_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ITab Folder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_FOLDER_FEATURE_COUNT = COMPLEX_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Layout Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TAB_FOLDER__LAYOUT_PROPERTIES = IELEMENT_WITH_LAYOUT_DATA__LAYOUT_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TAB_FOLDER__FIELD_FLAGS = IELEMENT_WITH_LAYOUT_DATA__FIELD_FLAGS;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_FOLDER__TABABLE_FLAG = IELEMENT_WITH_LAYOUT_DATA__TABABLE_FLAG;

	/**
	 * The feature id for the '<em><b>Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_FOLDER__TAB_ITEMS = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TAB_FOLDER__NAME = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Tab Folder</em>' class.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TAB_FOLDER_FEATURE_COUNT = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_FOLDER__TAB_ITEMS = ITAB_FOLDER__TAB_ITEMS;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_FOLDER__REFERENCE = ITAB_FOLDER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Referenced Tab Folder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_FOLDER_FEATURE_COUNT = ITAB_FOLDER_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__CONTENT = PAGE__CONTENT;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int ITAB_PAGE__TXT_DESCRIPTION = PAGE__TXT_DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int ITAB_PAGE__COMPOSE_LAYOUT = PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__DATAOBJECTS = PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__DATA_MAPPING = PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__COMMANDS = PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__EVENTS = PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__CONDITIONS_BLOCK = PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__DEFINITIONS = PAGE__DEFINITIONS;

	/**
	 * The number of structural features of the '<em>ITab Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE_FEATURE_COUNT = PAGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__CONTENT = ITAB_PAGE__CONTENT;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TAB_PAGE__TXT_DESCRIPTION = ITAB_PAGE__TXT_DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TAB_PAGE__COMPOSE_LAYOUT = ITAB_PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__DATAOBJECTS = ITAB_PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__DATA_MAPPING = ITAB_PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__COMMANDS = ITAB_PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__EVENTS = ITAB_PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__CONDITIONS_BLOCK = ITAB_PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__DEFINITIONS = ITAB_PAGE__DEFINITIONS;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__NAME = ITAB_PAGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__LABEL_TEXT = ITAB_PAGE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Scrollable</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__SCROLLABLE = ITAB_PAGE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Style Property</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TAB_PAGE__STYLE_PROPERTY = ITAB_PAGE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TAB_PAGE__FIELD_FLAGS = ITAB_PAGE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TAB_PAGE__TABABLE_FLAG = ITAB_PAGE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Page Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TAB_PAGE__PAGE_PROPERTIES = ITAB_PAGE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Logic Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TAB_PAGE__LOGIC_BLOCK = ITAB_PAGE_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Tab Page</em>' class.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TAB_PAGE_FEATURE_COUNT = ITAB_PAGE_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__CONTENT = ITAB_PAGE__CONTENT;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int REFERENCED_TAB_PAGE__TXT_DESCRIPTION = ITAB_PAGE__TXT_DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int REFERENCED_TAB_PAGE__COMPOSE_LAYOUT = ITAB_PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__DATAOBJECTS = ITAB_PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__DATA_MAPPING = ITAB_PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__COMMANDS = ITAB_PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__EVENTS = ITAB_PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__CONDITIONS_BLOCK = ITAB_PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__DEFINITIONS = ITAB_PAGE__DEFINITIONS;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__REFERENCE = ITAB_PAGE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Referenced Tab Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE_FEATURE_COUNT = ITAB_PAGE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Layout Data Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAYOUT_DATA_PROPERTY_FEATURE_COUNT = 0;

	/**
	 * The number of structural features of the '<em>Page Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_PROPERTY_FEATURE_COUNT = 0;

    /**
	 * The feature id for the '<em><b>Height In Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int HEIGHT_PROPERTY__HEIGHT_IN_CHAR = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 0;

    /**
	 * The feature id for the '<em><b>Negative</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int HEIGHT_PROPERTY__NEGATIVE = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HEIGHT_PROPERTY__HEIGHT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Height Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HEIGHT_PROPERTY_FEATURE_COUNT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Width In Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int WIDTH_PROPERTY__WIDTH_IN_CHAR = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Negative</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIDTH_PROPERTY__NEGATIVE = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int WIDTH_PROPERTY__WIDTH = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Width Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WIDTH_PROPERTY_FEATURE_COUNT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Styles</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY__STYLES = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FEATURE_COUNT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Modality</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODALITY_PROPERTY__MODALITY = PAGE_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Modality Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODALITY_PROPERTY_FEATURE_COUNT = PAGE_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Image Uri</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE_PROPERTY__IMAGE_URI = PAGE_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Image Uri Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE_PROPERTY__IMAGE_URI_REFERENCE = PAGE_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Image Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE_PROPERTY_FEATURE_COUNT = PAGE_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Button</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TITLE_BUTTONS_PROPERTY__BUTTON = PAGE_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Title Buttons Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TITLE_BUTTONS_PROPERTY_FEATURE_COUNT = PAGE_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Resizeable</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RESIZEABLE_PROPERTY__RESIZEABLE = PAGE_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Resizeable Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RESIZEABLE_PROPERTY_FEATURE_COUNT = PAGE_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Status Bar</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATUS_BAR_PROPERTY__STATUS_BAR = PAGE_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Status Bar Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATUS_BAR_PROPERTY_FEATURE_COUNT = PAGE_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Center</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CENTER_PROPERTY__CENTER = PAGE_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Center Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CENTER_PROPERTY_FEATURE_COUNT = PAGE_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>HAlignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ALIGNMENT_PROPERTY__HALIGNMENT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>VAlignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ALIGNMENT_PROPERTY__VALIGNMENT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Alignment Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ALIGNMENT_PROPERTY_FEATURE_COUNT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Tabulators</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__TABULATORS = 0;

	/**
	 * The feature id for the '<em><b>Referenced Tabulator</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__REFERENCED_TABULATOR = 1;

	/**
	 * The feature id for the '<em><b>Cell Widths</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__CELL_WIDTHS = 2;

	/**
	 * The feature id for the '<em><b>Cell Widths Count</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__CELL_WIDTHS_COUNT = 3;

	/**
	 * The feature id for the '<em><b>Cell Heights</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__CELL_HEIGHTS = 4;

	/**
	 * The feature id for the '<em><b>Spacing</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__SPACING = 5;

	/**
	 * The feature id for the '<em><b>Margin</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__MARGIN = 6;

	/**
	 * The number of structural features of the '<em>Compose Data</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA_FEATURE_COUNT = 7;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PADDING_WIDTH__WIDTH = 0;

	/**
	 * The number of structural features of the '<em>Padding Width</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PADDING_WIDTH_FEATURE_COUNT = 1;

	/**
	 * The number of structural features of the '<em>IElement On Which Can Be Attached</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__NAME = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__WIDTH = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Width In Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int IATTACHMENT_POSITION__WIDTH_IN_CHAR = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Negative After Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__NEGATIVE_AFTER_CHAR = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Relative</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int IATTACHMENT_POSITION__RELATIVE = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__OFFSET = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Referenced Position</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__REFERENCED_POSITION = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Additional Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION__ADDITIONAL_OFFSET = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>IAttachment Position</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IATTACHMENT_POSITION_FEATURE_COUNT = IELEMENT_ON_WHICH_CAN_BE_ATTACHED_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_DEFINITION__NAME = 0;

	/**
	 * The feature id for the '<em><b>Tabulators</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_DEFINITION__TABULATORS = 1;

	/**
	 * The number of structural features of the '<em>Tabulator Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_DEFINITION_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_DEFINITION__NAME = 0;

	/**
	 * The feature id for the '<em><b>Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_DEFINITION__TEXT = 1;

	/**
	 * The number of structural features of the '<em>String Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_DEFINITION_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_DEFINITION__NAME = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_DEFINITION__VALUE = 1;

	/**
	 * The number of structural features of the '<em>Integer Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_DEFINITION_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE_URI__NAME = 0;

	/**
	 * The feature id for the '<em><b>Source</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE_URI__SOURCE = 1;

	/**
	 * The number of structural features of the '<em>Image Uri</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMAGE_URI_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Strings</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS__STRINGS = 0;

	/**
	 * The feature id for the '<em><b>Integers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS__INTEGERS = 1;

	/**
	 * The feature id for the '<em><b>Image Sources</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS__IMAGE_SOURCES = 2;

	/**
	 * The feature id for the '<em><b>Positions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS__POSITIONS = 3;

	/**
	 * The feature id for the '<em><b>Tabulators</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS__TABULATORS = 4;

	/**
	 * The number of structural features of the '<em>Definitions</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFINITIONS_FEATURE_COUNT = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__NAME = IATTACHMENT_POSITION__NAME;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__WIDTH = IATTACHMENT_POSITION__WIDTH;

	/**
	 * The feature id for the '<em><b>Width In Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABULATOR_POSITION__WIDTH_IN_CHAR = IATTACHMENT_POSITION__WIDTH_IN_CHAR;

	/**
	 * The feature id for the '<em><b>Negative After Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__NEGATIVE_AFTER_CHAR = IATTACHMENT_POSITION__NEGATIVE_AFTER_CHAR;

	/**
	 * The feature id for the '<em><b>Relative</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int TABULATOR_POSITION__RELATIVE = IATTACHMENT_POSITION__RELATIVE;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__OFFSET = IATTACHMENT_POSITION__OFFSET;

	/**
	 * The feature id for the '<em><b>Referenced Position</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__REFERENCED_POSITION = IATTACHMENT_POSITION__REFERENCED_POSITION;

	/**
	 * The feature id for the '<em><b>Additional Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__ADDITIONAL_OFFSET = IATTACHMENT_POSITION__ADDITIONAL_OFFSET;

	/**
	 * The feature id for the '<em><b>Floating Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__FLOATING_POSITION = IATTACHMENT_POSITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Filling Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__FILLING_POSITION = IATTACHMENT_POSITION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Delta Specification</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__DELTA_SPECIFICATION = IATTACHMENT_POSITION_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Tabulator Position</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION_FEATURE_COUNT = IATTACHMENT_POSITION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__NAME = IATTACHMENT_POSITION__NAME;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__WIDTH = IATTACHMENT_POSITION__WIDTH;

	/**
	 * The feature id for the '<em><b>Width In Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int ATTACHMENT_POSITION__WIDTH_IN_CHAR = IATTACHMENT_POSITION__WIDTH_IN_CHAR;

	/**
	 * The feature id for the '<em><b>Negative After Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__NEGATIVE_AFTER_CHAR = IATTACHMENT_POSITION__NEGATIVE_AFTER_CHAR;

	/**
	 * The feature id for the '<em><b>Relative</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int ATTACHMENT_POSITION__RELATIVE = IATTACHMENT_POSITION__RELATIVE;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__OFFSET = IATTACHMENT_POSITION__OFFSET;

	/**
	 * The feature id for the '<em><b>Referenced Position</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__REFERENCED_POSITION = IATTACHMENT_POSITION__REFERENCED_POSITION;

	/**
	 * The feature id for the '<em><b>Additional Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION__ADDITIONAL_OFFSET = IATTACHMENT_POSITION__ADDITIONAL_OFFSET;

	/**
	 * The number of structural features of the '<em>Attachment Position</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_POSITION_FEATURE_COUNT = IATTACHMENT_POSITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Widget Set Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT__WIDGET_SET_ITEMS = 0;

	/**
	 * The feature id for the '<em><b>Container Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT__CONTAINER_ITEMS = 1;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT__ELEMENTS = 2;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT__COMPOSE_LAYOUT = 3;

	/**
	 * The number of structural features of the '<em>Content</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT_FEATURE_COUNT = 4;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int SET_OF_GUI_ELEMENTS__FIELD_FLAGS = 0;

	/**
	 * The feature id for the '<em><b>Tabable Flag</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_OF_GUI_ELEMENTS__TABABLE_FLAG = 1;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int SET_OF_GUI_ELEMENTS__ELEMENTS = 2;

	/**
	 * The number of structural features of the '<em>Set Of Gui Elements</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_OF_GUI_ELEMENTS_FEATURE_COUNT = 3;

	/**
	 * The feature id for the '<em><b>Own Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_PROPERTY__OWN_POSITION = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Attachment Specification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_PROPERTY__ATTACHMENT_SPECIFICATION = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Attachment Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_PROPERTY_FEATURE_COUNT = LAYOUT_DATA_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Attachment Specification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_SPECIFICATION_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>None</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NONE_ATTACHMENT__NONE = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>None Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NONE_ATTACHMENT_FEATURE_COUNT = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Distance In Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__DISTANCE_IN_CHAR = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Negative</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__NEGATIVE = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Distance</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__DISTANCE = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Relative</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__RELATIVE = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__OFFSET = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Parent Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT_FEATURE_COUNT = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Sibling Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT__SIBLING_POSITION = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT__OFFSET = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Sibling Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT_FEATURE_COUNT = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Sibling Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT__SIBLING_POSITION = SIBLING_ATTACHMENT__SIBLING_POSITION;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT__OFFSET = SIBLING_ATTACHMENT__OFFSET;

	/**
	 * The feature id for the '<em><b>Sibling</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT__SIBLING = SIBLING_ATTACHMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Field Part</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT__FIELD_PART = SIBLING_ATTACHMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Absolute Sibling Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSOLUTE_SIBLING_ATTACHMENT_FEATURE_COUNT = SIBLING_ATTACHMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Sibling Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_SIBLING_ATTACHMENT__SIBLING_POSITION = SIBLING_ATTACHMENT__SIBLING_POSITION;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_SIBLING_ATTACHMENT__OFFSET = SIBLING_ATTACHMENT__OFFSET;

	/**
	 * The feature id for the '<em><b>Relative Sibling</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_SIBLING_ATTACHMENT__RELATIVE_SIBLING = SIBLING_ATTACHMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Relative Sibling Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_SIBLING_ATTACHMENT_FEATURE_COUNT = SIBLING_ATTACHMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tab Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_ATTACHMENT__TAB_INDEX = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Sibling</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_ATTACHMENT__SIBLING = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_ATTACHMENT__OFFSET = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Tabulator Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_ATTACHMENT_FEATURE_COUNT = ATTACHMENT_SPECIFICATION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Negative Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int OFFSET__NEGATIVE_CHAR = 0;

	/**
	 * The feature id for the '<em><b>Value In Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OFFSET__VALUE_IN_CHAR = 1;

	/**
	 * The feature id for the '<em><b>Negative</b></em>' attribute.
	 * <!-- begin-user-doc -->
* <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
int OFFSET__NEGATIVE = 2;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OFFSET__VALUE = 3;

	/**
	 * The number of structural features of the '<em>Offset</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OFFSET_FEATURE_COUNT = 4;

	/**
	 * The feature id for the '<em><b>Field</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_VARIABLE__FIELD = CorePackage.VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_VARIABLE__ACCESS = CorePackage.VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Field Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_VARIABLE_FEATURE_COUNT = CorePackage.VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_VARIABLE__REFERENCE = CorePackage.VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_VARIABLE__ACCESS = CorePackage.VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Xma Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_VARIABLE_FEATURE_COUNT = CorePackage.VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Imports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL__IMPORTS = 0;

	/**
	 * The feature id for the '<em><b>Component</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL__COMPONENT = 1;

	/**
	 * The feature id for the '<em><b>Customizations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL__CUSTOMIZATIONS = 2;

	/**
	 * The number of structural features of the '<em>Customize Component Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL_FEATURE_COUNT = 3;

	/**
	 * The feature id for the '<em><b>Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_GUI_ELEMENT__PAGE = 0;

	/**
	 * The number of structural features of the '<em>Customization Of Gui Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__PAGE = CUSTOMIZATION_OF_GUI_ELEMENT__PAGE;

	/**
	 * The feature id for the '<em><b>Composite</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__COMPOSITE = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__COMPOSE_LAYOUT = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Added Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__ADDED_ELEMENTS = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Vertical Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__VERTICAL_PARTITIONING = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Horizontal Partitioning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__HORIZONTAL_PARTITIONING = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Added Widget Set Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__ADDED_WIDGET_SET_ITEMS = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Customization Of Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE_FEATURE_COUNT = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER__PAGE = CUSTOMIZATION_OF_GUI_ELEMENT__PAGE;

	/**
	 * The feature id for the '<em><b>Tab Folder</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER__TAB_FOLDER = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Added Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER__ADDED_TAB_ITEMS = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Customization Of Tab Folder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER_FEATURE_COUNT = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StyleSpecificationImpl <em>Style Specification</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StyleSpecificationImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSpecification()
	 * @generated
	 */
	int STYLE_SPECIFICATION = 127;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_SPECIFICATION__TXT_DESCRIPTION = CorePackage.STYLE__TXT_DESCRIPTION;

    /**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION__NAME = CorePackage.STYLE__NAME;

	/**
	 * The feature id for the '<em><b>Model Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION__MODEL_ELEMENTS = CorePackage.STYLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Propagation</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION__PROPAGATION = CorePackage.STYLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Super Styles</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION__SUPER_STYLES = CorePackage.STYLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Style Property</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION__STYLE_PROPERTY = CorePackage.STYLE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Style Specification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION_FEATURE_COUNT = CorePackage.STYLE_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ModelElementSpecificationImpl <em>Model Element Specification</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ModelElementSpecificationImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getModelElementSpecification()
	 * @generated
	 */
	int MODEL_ELEMENT_SPECIFICATION = 128;

	/**
	 * The feature id for the '<em><b>Model Element</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_ELEMENT_SPECIFICATION__MODEL_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>Combined Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_ELEMENT_SPECIFICATION__COMBINED_ELEMENTS = 1;

	/**
	 * The number of structural features of the '<em>Model Element Specification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_ELEMENT_SPECIFICATION_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.SelectedModelElementImpl <em>Selected Model Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.SelectedModelElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSelectedModelElement()
	 * @generated
	 */
	int SELECTED_MODEL_ELEMENT = 129;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SELECTED_MODEL_ELEMENT__TYPE = 0;

	/**
	 * The feature id for the '<em><b>Simple Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SELECTED_MODEL_ELEMENT__SIMPLE_TYPE = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SELECTED_MODEL_ELEMENT__NAME = 2;

	/**
	 * The feature id for the '<em><b>Pseudo Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SELECTED_MODEL_ELEMENT__PSEUDO_CLASS = 3;

	/**
	 * The number of structural features of the '<em>Selected Model Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SELECTED_MODEL_ELEMENT_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CombinedModelElementImpl <em>Combined Model Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CombinedModelElementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCombinedModelElement()
	 * @generated
	 */
	int COMBINED_MODEL_ELEMENT = 130;

	/**
	 * The feature id for the '<em><b>Child</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_MODEL_ELEMENT__CHILD = 0;

	/**
	 * The feature id for the '<em><b>Next</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_MODEL_ELEMENT__NEXT = 1;

	/**
	 * The feature id for the '<em><b>Model Element</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_MODEL_ELEMENT__MODEL_ELEMENT = 2;

	/**
	 * The number of structural features of the '<em>Combined Model Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMBINED_MODEL_ELEMENT_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StyleSpecificationPropertyImpl <em>Style Specification Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StyleSpecificationPropertyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSpecificationProperty()
	 * @generated
	 */
	int STYLE_SPECIFICATION_PROPERTY = 131;

	/**
	 * The number of structural features of the '<em>Style Specification Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyFieldPartImpl <em>Style Property Field Part</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyFieldPartImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyFieldPart()
	 * @generated
	 */
	int STYLE_PROPERTY_FIELD_PART = 132;

	/**
	 * The feature id for the '<em><b>Parts</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FIELD_PART__PARTS = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Field Part</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FIELD_PART_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyLeftImpl <em>Style Property Left</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyLeftImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyLeft()
	 * @generated
	 */
	int STYLE_PROPERTY_LEFT = 133;

	/**
	 * The feature id for the '<em><b>Attachment Specification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_LEFT__ATTACHMENT_SPECIFICATION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Left</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_LEFT_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyRightImpl <em>Style Property Right</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyRightImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyRight()
	 * @generated
	 */
	int STYLE_PROPERTY_RIGHT = 134;

	/**
	 * The feature id for the '<em><b>Attachment Specification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_RIGHT__ATTACHMENT_SPECIFICATION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Right</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_RIGHT_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTopImpl <em>Style Property Top</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyTopImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTop()
	 * @generated
	 */
	int STYLE_PROPERTY_TOP = 135;

	/**
	 * The feature id for the '<em><b>Attachment Specification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TOP__ATTACHMENT_SPECIFICATION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Top</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TOP_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBottomImpl <em>Style Property Bottom</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyBottomImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBottom()
	 * @generated
	 */
	int STYLE_PROPERTY_BOTTOM = 136;

	/**
	 * The feature id for the '<em><b>Attachment Specification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BOTTOM__ATTACHMENT_SPECIFICATION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Bottom</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BOTTOM_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyWidthImpl <em>Style Property Width</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyWidthImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyWidth()
	 * @generated
	 */
	int STYLE_PROPERTY_WIDTH = 137;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_WIDTH__WIDTH = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Width In Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_WIDTH__WIDTH_IN_CHAR = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

    /**
	 * The feature id for the '<em><b>Negative After Char</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_WIDTH__NEGATIVE_AFTER_CHAR = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

    /**
	 * The number of structural features of the '<em>Style Property Width</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_WIDTH_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyHeightImpl <em>Style Property Height</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyHeightImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyHeight()
	 * @generated
	 */
	int STYLE_PROPERTY_HEIGHT = 138;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_HEIGHT__HEIGHT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Height</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_HEIGHT_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTabulatorImpl <em>Style Property Tabulator</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyTabulatorImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTabulator()
	 * @generated
	 */
	int STYLE_PROPERTY_TABULATOR = 139;

	/**
	 * The feature id for the '<em><b>Tabulators</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TABULATOR__TABULATORS = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Tabulator</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TABULATOR_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBorderImpl <em>Style Property Border</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyBorderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBorder()
	 * @generated
	 */
	int STYLE_PROPERTY_BORDER = 140;

	/**
	 * The feature id for the '<em><b>None Border</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BORDER__NONE_BORDER = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Solid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BORDER__SOLID = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Style Property Border</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BORDER_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyForegroundColorImpl <em>Style Property Foreground Color</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyForegroundColorImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyForegroundColor()
	 * @generated
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR = 141;

	/**
	 * The feature id for the '<em><b>Red</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR__RED = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Green</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR__GREEN = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Blue</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR__BLUE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Color ID</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR__COLOR_ID = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Style Property Foreground Color</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FOREGROUND_COLOR_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBackgroundColorImpl <em>Style Property Background Color</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyBackgroundColorImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBackgroundColor()
	 * @generated
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR = 142;

	/**
	 * The feature id for the '<em><b>Red</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR__RED = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Green</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR__GREEN = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Blue</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR__BLUE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Color ID</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR__COLOR_ID = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Style Property Background Color</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_BACKGROUND_COLOR_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyWidgetVariantImpl <em>Style Property Widget Variant</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyWidgetVariantImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyWidgetVariant()
	 * @generated
	 */
	int STYLE_PROPERTY_WIDGET_VARIANT = 143;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_WIDGET_VARIANT__NAME = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Widget Variant</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_WIDGET_VARIANT_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyWidgetStyleImpl <em>Style Property Widget Style</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyWidgetStyleImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyWidgetStyle()
	 * @generated
	 */
	int STYLE_PROPERTY_WIDGET_STYLE = 144;

	/**
	 * The feature id for the '<em><b>Widget Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_WIDGET_STYLE__WIDGET_STYLE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Predefined Widget Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_WIDGET_STYLE__PREDEFINED_WIDGET_STYLE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Style Property Widget Style</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_WIDGET_STYLE_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyImageImpl <em>Style Property Image</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyImageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyImage()
	 * @generated
	 */
	int STYLE_PROPERTY_IMAGE = 145;

	/**
	 * The feature id for the '<em><b>Image Uri</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_IMAGE__IMAGE_URI = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Image Uri Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_IMAGE__IMAGE_URI_REFERENCE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Style Property Image</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_IMAGE_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyAlignmentImpl <em>Style Property Alignment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyAlignmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyAlignment()
	 * @generated
	 */
	int STYLE_PROPERTY_ALIGNMENT = 146;

	/**
	 * The feature id for the '<em><b>Alignment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_ALIGNMENT__ALIGNMENT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Alignment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_ALIGNMENT_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTableImpl <em>Style Property Table</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyTableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTable()
	 * @generated
	 */
	int STYLE_PROPERTY_TABLE = 147;

	/**
	 * The feature id for the '<em><b>One Way</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TABLE__ONE_WAY = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Grid Visible</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TABLE__GRID_VISIBLE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Style Property Table</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TABLE_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyFontImpl <em>Style Property Font</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyFontImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyFont()
	 * @generated
	 */
	int STYLE_PROPERTY_FONT = 148;

	/**
	 * The feature id for the '<em><b>Styles</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FONT__STYLES = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FONT__SIZE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FONT__NAME = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Style Property Font</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FONT_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyCharacterWidthImpl <em>Style Property Character Width</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyCharacterWidthImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyCharacterWidth()
	 * @generated
	 */
	int STYLE_PROPERTY_CHARACTER_WIDTH = 149;

	/**
	 * The feature id for the '<em><b>Char Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_CHARACTER_WIDTH__CHAR_WIDTH = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Character Width</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_CHARACTER_WIDTH_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyCharacterHeightImpl <em>Style Property Character Height</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyCharacterHeightImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyCharacterHeight()
	 * @generated
	 */
    int STYLE_PROPERTY_CHARACTER_HEIGHT = 150;

    /**
	 * The feature id for the '<em><b>Char Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_CHARACTER_HEIGHT__CHAR_HEIGHT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

    /**
	 * The number of structural features of the '<em>Style Property Character Height</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_CHARACTER_HEIGHT_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyFlagImpl <em>Style Property Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyFlagImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyFlag()
	 * @generated
	 */
	int STYLE_PROPERTY_FLAG = 151;

	/**
	 * The feature id for the '<em><b>Enabled Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FLAG__ENABLED_EXPRESSION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Mandatory Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FLAG__MANDATORY_EXPRESSION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Visible Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FLAG__VISIBLE_EXPRESSION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Collapsed Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FLAG__COLLAPSED_EXPRESSION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Available Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_FLAG__AVAILABLE_EXPRESSION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 4;

    /**
	 * The feature id for the '<em><b>Editable Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FLAG__EDITABLE_EXPRESSION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Tabable Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_FLAG__TABABLE_EXPRESSION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 6;

    /**
	 * The number of structural features of the '<em>Style Property Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_FLAG_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyLineWrapImpl <em>Style Property Line Wrap</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyLineWrapImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyLineWrap()
	 * @generated
	 */
    int STYLE_PROPERTY_LINE_WRAP = 152;

    /**
	 * The feature id for the '<em><b>Wrap</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_LINE_WRAP__WRAP = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

    /**
	 * The number of structural features of the '<em>Style Property Line Wrap</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_LINE_WRAP_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyMultiLineImpl <em>Style Property Multi Line</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyMultiLineImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyMultiLine()
	 * @generated
	 */
    int STYLE_PROPERTY_MULTI_LINE = 153;

    /**
	 * The feature id for the '<em><b>Multi</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_MULTI_LINE__MULTI = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

    /**
	 * The number of structural features of the '<em>Style Property Multi Line</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_MULTI_LINE_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBrowseControlImpl <em>Style Property Browse Control</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyBrowseControlImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBrowseControl()
	 * @generated
	 */
    int STYLE_PROPERTY_BROWSE_CONTROL = 154;

    /**
	 * The feature id for the '<em><b>Control Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_BROWSE_CONTROL__CONTROL_TYPE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

    /**
	 * The number of structural features of the '<em>Style Property Browse Control</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_BROWSE_CONTROL_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingImpl <em>Style Property Paging</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPaging()
	 * @generated
	 */
	int STYLE_PROPERTY_PAGING = 155;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING__STYLE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Default</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING__DEFAULT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Style Property Paging</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingControlsImpl <em>Style Property Paging Controls</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingControlsImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPagingControls()
	 * @generated
	 */
	int STYLE_PROPERTY_PAGING_CONTROLS = 156;

	/**
	 * The feature id for the '<em><b>Controls</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING_CONTROLS__CONTROLS = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Paging Controls</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING_CONTROLS_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingPageSizeImpl <em>Style Property Paging Page Size</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingPageSizeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPagingPageSize()
	 * @generated
	 */
	int STYLE_PROPERTY_PAGING_PAGE_SIZE = 157;

	/**
	 * The feature id for the '<em><b>Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING_PAGE_SIZE__SIZE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Max Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING_PAGE_SIZE__MAX_SIZE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Style Property Paging Page Size</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING_PAGE_SIZE_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingJumpSizeImpl <em>Style Property Paging Jump Size</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingJumpSizeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPagingJumpSize()
	 * @generated
	 */
	int STYLE_PROPERTY_PAGING_JUMP_SIZE = 158;

	/**
	 * The feature id for the '<em><b>Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING_JUMP_SIZE__SIZE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Paging Jump Size</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING_JUMP_SIZE_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingPositionImpl <em>Style Property Paging Position</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingPositionImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPagingPosition()
	 * @generated
	 */
	int STYLE_PROPERTY_PAGING_POSITION = 159;

	/**
	 * The feature id for the '<em><b>Top</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING_POSITION__TOP = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Bottom</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING_POSITION__BOTTOM = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Style Property Paging Position</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_PAGING_POSITION_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingCustomizerImageImpl <em>Style Property Paging Customizer Image</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingCustomizerImageImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPagingCustomizerImage()
	 * @generated
	 */
    int STYLE_PROPERTY_PAGING_CUSTOMIZER_IMAGE = 160;

    /**
	 * The feature id for the '<em><b>Image Uri</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_PAGING_CUSTOMIZER_IMAGE__IMAGE_URI = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

    /**
	 * The feature id for the '<em><b>Image Uri Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_PAGING_CUSTOMIZER_IMAGE__IMAGE_URI_REFERENCE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

    /**
	 * The number of structural features of the '<em>Style Property Paging Customizer Image</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_PAGING_CUSTOMIZER_IMAGE_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PagingControlImpl <em>Paging Control</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PagingControlImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPagingControl()
	 * @generated
	 */
	int PAGING_CONTROL = 161;

	/**
	 * The feature id for the '<em><b>Control</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGING_CONTROL__CONTROL = 0;

	/**
	 * The feature id for the '<em><b>End</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGING_CONTROL__END = 1;

	/**
	 * The feature id for the '<em><b>Next</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGING_CONTROL__NEXT = 2;

	/**
	 * The feature id for the '<em><b>Customize</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGING_CONTROL__CUSTOMIZE = 3;

	/**
	 * The feature id for the '<em><b>Export</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int PAGING_CONTROL__EXPORT = 4;

    /**
	 * The number of structural features of the '<em>Paging Control</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGING_CONTROL_FEATURE_COUNT = 5;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTableCustomizerImpl <em>Style Property Table Customizer</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyTableCustomizerImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTableCustomizer()
	 * @generated
	 */
	int STYLE_PROPERTY_TABLE_CUSTOMIZER = 162;

	/**
	 * The feature id for the '<em><b>Table Customizer</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TABLE_CUSTOMIZER__TABLE_CUSTOMIZER = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Style Property Table Customizer</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_TABLE_CUSTOMIZER_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyScrollableImpl <em>Style Property Scrollable</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyScrollableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyScrollable()
	 * @generated
	 */
    int STYLE_PROPERTY_SCROLLABLE = 163;

    /**
	 * The feature id for the '<em><b>Not Scrollable</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_SCROLLABLE__NOT_SCROLLABLE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

    /**
	 * The feature id for the '<em><b>Orientations</b></em>' attribute list.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_SCROLLABLE__ORIENTATIONS = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

    /**
	 * The number of structural features of the '<em>Style Property Scrollable</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_SCROLLABLE_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyEnumerationDisplayTypeImpl <em>Style Property Enumeration Display Type</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyEnumerationDisplayTypeImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyEnumerationDisplayType()
	 * @generated
	 */
    int STYLE_PROPERTY_ENUMERATION_DISPLAY_TYPE = 164;

    /**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_ENUMERATION_DISPLAY_TYPE__TYPE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

    /**
	 * The number of structural features of the '<em>Style Property Enumeration Display Type</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_ENUMERATION_DISPLAY_TYPE_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyEnumerationSortOrderImpl <em>Style Property Enumeration Sort Order</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyEnumerationSortOrderImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyEnumerationSortOrder()
	 * @generated
	 */
    int STYLE_PROPERTY_ENUMERATION_SORT_ORDER = 165;

    /**
	 * The feature id for the '<em><b>Sortorder</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_ENUMERATION_SORT_ORDER__SORTORDER = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

    /**
	 * The number of structural features of the '<em>Style Property Enumeration Sort Order</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_ENUMERATION_SORT_ORDER_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyOtherImpl <em>Style Property Other</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StylePropertyOtherImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyOther()
	 * @generated
	 */
    int STYLE_PROPERTY_OTHER = 166;

    /**
	 * The feature id for the '<em><b>Dynamic Tab Page</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_OTHER__DYNAMIC_TAB_PAGE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 0;

    /**
	 * The feature id for the '<em><b>Thousand Seperator</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_OTHER__THOUSAND_SEPERATOR = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 1;

    /**
	 * The feature id for the '<em><b>Spacing</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_OTHER__SPACING = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 2;

    /**
	 * The feature id for the '<em><b>Margin</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_OTHER__MARGIN = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 3;

    /**
	 * The feature id for the '<em><b>Customization</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_OTHER__CUSTOMIZATION = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 4;

				/**
	 * The feature id for the '<em><b>Toggle</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_OTHER__TOGGLE = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 5;

				/**
	 * The feature id for the '<em><b>Widget Effects</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_PROPERTY_OTHER__WIDGET_EFFECTS = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 6;

				/**
	 * The number of structural features of the '<em>Style Property Other</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int STYLE_PROPERTY_OTHER_FEATURE_COUNT = STYLE_SPECIFICATION_PROPERTY_FEATURE_COUNT + 7;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.TableCustomizerImpl <em>Table Customizer</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.TableCustomizerImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTableCustomizer()
	 * @generated
	 */
	int TABLE_CUSTOMIZER = 167;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int TABLE_CUSTOMIZER__TXT_DESCRIPTION = CorePackage.MODEL_ELEMENT__TXT_DESCRIPTION;

    /**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_CUSTOMIZER__NAME = CorePackage.MODEL_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Instance Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_CUSTOMIZER__INSTANCE_TYPE = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Table Customizer</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_CUSTOMIZER_FEATURE_COUNT = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CommandImplementationImpl <em>Command Implementation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CommandImplementationImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCommandImplementation()
	 * @generated
	 */
	int COMMAND_IMPLEMENTATION = 168;

	/**
	 * The feature id for the '<em><b>Statements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND_IMPLEMENTATION__STATEMENTS = 0;

	/**
	 * The number of structural features of the '<em>Command Implementation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND_IMPLEMENTATION_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StatementImpl <em>Statement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StatementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStatement()
	 * @generated
	 */
	int STATEMENT = 169;

	/**
	 * The number of structural features of the '<em>Statement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.StatementVariableImpl <em>Statement Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.StatementVariableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStatementVariable()
	 * @generated
	 */
	int STATEMENT_VARIABLE = 170;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATEMENT_VARIABLE__REFERENCE = 0;

	/**
	 * The number of structural features of the '<em>Statement Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATEMENT_VARIABLE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.AssignStatementImpl <em>Assign Statement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.AssignStatementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAssignStatement()
	 * @generated
	 */
	int ASSIGN_STATEMENT = 172;

	/**
	 * The feature id for the '<em><b>Variable Assignments</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASSIGN_STATEMENT__VARIABLE_ASSIGNMENTS = STATEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Assign Statement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASSIGN_STATEMENT_FEATURE_COUNT = STATEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.VariableAssignmentImpl <em>Variable Assignment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.VariableAssignmentImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVariableAssignment()
	 * @generated
	 */
	int VARIABLE_ASSIGNMENT = 173;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_ASSIGNMENT__LEFT = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_ASSIGNMENT__VALUE = 1;

	/**
	 * The feature id for the '<em><b>Service Call</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_ASSIGNMENT__SERVICE_CALL = 2;

	/**
	 * The number of structural features of the '<em>Variable Assignment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_ASSIGNMENT_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.VariableValueImpl <em>Variable Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.VariableValueImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVariableValue()
	 * @generated
	 */
	int VARIABLE_VALUE = 174;

	/**
	 * The feature id for the '<em><b>Variable</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_VALUE__VARIABLE = 0;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_VALUE__ACCESS = 1;

	/**
	 * The feature id for the '<em><b>String Literal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_VALUE__STRING_LITERAL = 2;

	/**
	 * The feature id for the '<em><b>Integer Literal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_VALUE__INTEGER_LITERAL = 3;

	/**
	 * The number of structural features of the '<em>Variable Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_VALUE_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ProxyImpl <em>Proxy</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ProxyImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getProxy()
	 * @generated
	 */
	int PROXY = 179;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.PropertyJoinImpl <em>Property Join</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.PropertyJoinImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPropertyJoin()
	 * @generated
	 */
	int PROPERTY_JOIN = 180;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.InvokeableImpl <em>Invokeable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.InvokeableImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getInvokeable()
	 * @generated
	 */
	int INVOKEABLE = 178;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.ExecuteStatementImpl <em>Execute Statement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.ExecuteStatementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getExecuteStatement()
	 * @generated
	 */
	int EXECUTE_STATEMENT = 175;

	/**
	 * The feature id for the '<em><b>Service</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXECUTE_STATEMENT__SERVICE = STATEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Operation</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXECUTE_STATEMENT__OPERATION = STATEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Delegate Operation</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXECUTE_STATEMENT__DELEGATE_OPERATION = STATEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Parameter Values</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXECUTE_STATEMENT__PARAMETER_VALUES = STATEMENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Execute Statement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXECUTE_STATEMENT_FEATURE_COUNT = STATEMENT_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.InvokeStatementImpl <em>Invoke Statement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.InvokeStatementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getInvokeStatement()
	 * @generated
	 */
	int INVOKE_STATEMENT = 176;

	/**
	 * The feature id for the '<em><b>Invoke Able</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVOKE_STATEMENT__INVOKE_ABLE = STATEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Target Panel</b></em>' reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int INVOKE_STATEMENT__TARGET_PANEL = STATEMENT_FEATURE_COUNT + 1;

    /**
	 * The feature id for the '<em><b>Property Join</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int INVOKE_STATEMENT__PROPERTY_JOIN = STATEMENT_FEATURE_COUNT + 2;

    /**
	 * The number of structural features of the '<em>Invoke Statement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVOKE_STATEMENT_FEATURE_COUNT = STATEMENT_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.impl.CallStatementImpl <em>Call Statement</em>}' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.impl.CallStatementImpl
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCallStatement()
	 * @generated
	 */
    int CALL_STATEMENT = 177;

    /**
	 * The feature id for the '<em><b>Command</b></em>' reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int CALL_STATEMENT__COMMAND = STATEMENT_FEATURE_COUNT + 0;

    /**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int CALL_STATEMENT__LEFT = STATEMENT_FEATURE_COUNT + 1;

    /**
	 * The feature id for the '<em><b>Java Command</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int CALL_STATEMENT__JAVA_COMMAND = STATEMENT_FEATURE_COUNT + 2;

    /**
	 * The feature id for the '<em><b>Parameter Values</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int CALL_STATEMENT__PARAMETER_VALUES = STATEMENT_FEATURE_COUNT + 3;

    /**
	 * The number of structural features of the '<em>Call Statement</em>' class.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int CALL_STATEMENT_FEATURE_COUNT = STATEMENT_FEATURE_COUNT + 4;

    /**
	 * The number of structural features of the '<em>Invokeable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INVOKEABLE_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Txt Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int PROXY__TXT_DESCRIPTION = CorePackage.MODEL_ELEMENT__TXT_DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROXY__NAME = CorePackage.MODEL_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Url</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int PROXY__URL = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 0;

    /**
	 * The feature id for the '<em><b>Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROXY__PROPERTIES = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Proxy</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROXY_FEATURE_COUNT = CorePackage.MODEL_ELEMENT_FEATURE_COUNT + 2;

    /**
	 * The feature id for the '<em><b>Variable</b></em>' containment reference.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int PROPERTY_JOIN__VARIABLE = 0;

    /**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int PROPERTY_JOIN__ACCESS = 1;

    /**
	 * The feature id for the '<em><b>String Literal</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int PROPERTY_JOIN__STRING_LITERAL = 2;

    /**
	 * The feature id for the '<em><b>Integer Literal</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int PROPERTY_JOIN__INTEGER_LITERAL = 3;

    /**
	 * The feature id for the '<em><b>Join Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
    int PROPERTY_JOIN__JOIN_DIRECTION = 4;

	/**
	 * The feature id for the '<em><b>Property</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_JOIN__PROPERTY = 5;

	/**
	 * The number of structural features of the '<em>Property Join</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_JOIN_FEATURE_COUNT = 6;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.EventType <em>Event Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.EventType
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventType()
	 * @generated
	 */
	int EVENT_TYPE = 181;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.PredefinedCommand <em>Predefined Command</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.PredefinedCommand
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPredefinedCommand()
	 * @generated
	 */
	int PREDEFINED_COMMAND = 182;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.AttachmentOwnPosition <em>Attachment Own Position</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.AttachmentOwnPosition
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentOwnPosition()
	 * @generated
	 */
	int ATTACHMENT_OWN_POSITION = 183;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.RelativeSibling <em>Relative Sibling</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.RelativeSibling
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRelativeSibling()
	 * @generated
	 */
	int RELATIVE_SIBLING = 184;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.AttachmentSiblingPosition <em>Attachment Sibling Position</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.AttachmentSiblingPosition
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentSiblingPosition()
	 * @generated
	 */
	int ATTACHMENT_SIBLING_POSITION = 185;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.ContentAlignment <em>Content Alignment</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.ContentAlignment
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getContentAlignment()
	 * @generated
	 */
	int CONTENT_ALIGNMENT = 186;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.TabAlignment <em>Tab Alignment</em>}' enum.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.TabAlignment
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabAlignment()
	 * @generated
	 */
    int TAB_ALIGNMENT = 187;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.HorizontalAlignment <em>Horizontal Alignment</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.HorizontalAlignment
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getHorizontalAlignment()
	 * @generated
	 */
	int HORIZONTAL_ALIGNMENT = 188;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.VerticalAlignment <em>Vertical Alignment</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.VerticalAlignment
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVerticalAlignment()
	 * @generated
	 */
	int VERTICAL_ALIGNMENT = 189;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.Orientation <em>Orientation</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.Orientation
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getOrientation()
	 * @generated
	 */
	int ORIENTATION = 190;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.ControlType <em>Control Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.ControlType
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getControlType()
	 * @generated
	 */
	int CONTROL_TYPE = 191;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.FieldPart <em>Field Part</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.FieldPart
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldPart()
	 * @generated
	 */
	int FIELD_PART = 192;


	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.TitleButton <em>Title Button</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.TitleButton
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTitleButton()
	 * @generated
	 */
	int TITLE_BUTTON = 193;


	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.JoinDirection <em>Join Direction</em>}' enum.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.JoinDirection
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getJoinDirection()
	 * @generated
	 */
    int JOIN_DIRECTION = 194;

    /**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.StyleSelectorType <em>Style Selector Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.StyleSelectorType
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSelectorType()
	 * @generated
	 */
	int STYLE_SELECTOR_TYPE = 195;


	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.BrowseControlType <em>Browse Control Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.BrowseControlType
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getBrowseControlType()
	 * @generated
	 */
	int BROWSE_CONTROL_TYPE = 196;


	/**
	 * The meta object id for the '{@link org.openxma.dsl.pom.model.PredefinedWidgetStyle <em>Predefined Widget Style</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.pom.model.PredefinedWidgetStyle
	 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPredefinedWidgetStyle()
	 * @generated
	 */
	int PREDEFINED_WIDGET_STYLE = 197;


	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.DataBindingElement <em>Data Binding Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Binding Element</em>'.
	 * @see org.openxma.dsl.pom.model.DataBindingElement
	 * @generated
	 */
	EClass getDataBindingElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.FieldFlag <em>Field Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Flag</em>'.
	 * @see org.openxma.dsl.pom.model.FieldFlag
	 * @generated
	 */
	EClass getFieldFlag();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.FieldFlag#getExpression <em>Expression</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Expression</em>'.
	 * @see org.openxma.dsl.pom.model.FieldFlag#getExpression()
	 * @see #getFieldFlag()
	 * @generated
	 */
    EReference getFieldFlag_Expression();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EnabledFlag <em>Enabled Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Enabled Flag</em>'.
	 * @see org.openxma.dsl.pom.model.EnabledFlag
	 * @generated
	 */
	EClass getEnabledFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.MandatoryFlag <em>Mandatory Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mandatory Flag</em>'.
	 * @see org.openxma.dsl.pom.model.MandatoryFlag
	 * @generated
	 */
	EClass getMandatoryFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.VisibleFlag <em>Visible Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Visible Flag</em>'.
	 * @see org.openxma.dsl.pom.model.VisibleFlag
	 * @generated
	 */
	EClass getVisibleFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CollapsedFlag <em>Collapsed Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Collapsed Flag</em>'.
	 * @see org.openxma.dsl.pom.model.CollapsedFlag
	 * @generated
	 */
	EClass getCollapsedFlag();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CollapsedFlag#isAvailableSpecified <em>Available Specified</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Available Specified</em>'.
	 * @see org.openxma.dsl.pom.model.CollapsedFlag#isAvailableSpecified()
	 * @see #getCollapsedFlag()
	 * @generated
	 */
    EAttribute getCollapsedFlag_AvailableSpecified();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EditableFlag <em>Editable Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Editable Flag</em>'.
	 * @see org.openxma.dsl.pom.model.EditableFlag
	 * @generated
	 */
	EClass getEditableFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabableFlag <em>Tabable Flag</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tabable Flag</em>'.
	 * @see org.openxma.dsl.pom.model.TabableFlag
	 * @generated
	 */
    EClass getTabableFlag();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TabableFlag#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Value</em>'.
	 * @see org.openxma.dsl.pom.model.TabableFlag#getValue()
	 * @see #getTabableFlag()
	 * @generated
	 */
    EReference getTabableFlag_Value();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.MultiselectionFlag <em>Multiselection Flag</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Multiselection Flag</em>'.
	 * @see org.openxma.dsl.pom.model.MultiselectionFlag
	 * @generated
	 */
    EClass getMultiselectionFlag();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.MultiselectionFlag#getMultiSelection <em>Multi Selection</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Multi Selection</em>'.
	 * @see org.openxma.dsl.pom.model.MultiselectionFlag#getMultiSelection()
	 * @see #getMultiselectionFlag()
	 * @generated
	 */
    EReference getMultiselectionFlag_MultiSelection();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StrictFlag <em>Strict Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Strict Flag</em>'.
	 * @see org.openxma.dsl.pom.model.StrictFlag
	 * @generated
	 */
	EClass getStrictFlag();

				/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StrictFlag#getStrict <em>Strict</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Strict</em>'.
	 * @see org.openxma.dsl.pom.model.StrictFlag#getStrict()
	 * @see #getStrictFlag()
	 * @generated
	 */
	EReference getStrictFlag_Strict();

				/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.LabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.LabelText
	 * @generated
	 */
	EClass getLabelText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.LabelText#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label</em>'.
	 * @see org.openxma.dsl.pom.model.LabelText#getLabel()
	 * @see #getLabelText()
	 * @generated
	 */
	EAttribute getLabelText_Label();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.LabelText#getReferencedLabelString <em>Referenced Label String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Label String</em>'.
	 * @see org.openxma.dsl.pom.model.LabelText#getReferencedLabelString()
	 * @see #getLabelText()
	 * @generated
	 */
	EReference getLabelText_ReferencedLabelString();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ObjectProperty <em>Object Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Object Property</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty
	 * @generated
	 */
	EClass getObjectProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ObjectProperty#isPublic <em>Public</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Public</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty#isPublic()
	 * @see #getObjectProperty()
	 * @generated
	 */
	EAttribute getObjectProperty_Public();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ObjectProperty#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Type</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty#getType()
	 * @see #getObjectProperty()
	 * @generated
	 */
	EReference getObjectProperty_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ObjectProperty#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty#getName()
	 * @see #getObjectProperty()
	 * @generated
	 */
	EAttribute getObjectProperty_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ObjectProperty#getDefaultValue <em>Default Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Default Value</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty#getDefaultValue()
	 * @see #getObjectProperty()
	 * @generated
	 */
	EAttribute getObjectProperty_DefaultValue();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ObjectProperty#getReadOnly <em>Read Only</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Read Only</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty#getReadOnly()
	 * @see #getObjectProperty()
	 * @generated
	 */
	EReference getObjectProperty_ReadOnly();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ObjectProperty#getRequired <em>Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Required</em>'.
	 * @see org.openxma.dsl.pom.model.ObjectProperty#getRequired()
	 * @see #getObjectProperty()
	 * @generated
	 */
	EReference getObjectProperty_Required();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Component <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component</em>'.
	 * @see org.openxma.dsl.pom.model.Component
	 * @generated
	 */
	EClass getComponent();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Component#getXmaComponent <em>Xma Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Component</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getXmaComponent()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_XmaComponent();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Component#getStyleProperty <em>Style Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Style Property</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getStyleProperty()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_StyleProperty();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Component#getDefaultPage <em>Default Page</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Default Page</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getDefaultPage()
	 * @see #getComponent()
	 * @generated
	 */
    EReference getComponent_DefaultPage();

    /**
	 * Returns the meta object for the reference list '{@link org.openxma.dsl.pom.model.Component#getDependencies <em>Dependencies</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Dependencies</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getDependencies()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Dependencies();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Component#getComponentProperties <em>Component Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Component Properties</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getComponentProperties()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_ComponentProperties();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Component#getDataobjects <em>Dataobjects</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Dataobjects</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getDataobjects()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Dataobjects();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Component#getCommands <em>Commands</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Commands</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getCommands()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Commands();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Component#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Events</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getEvents()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Events();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Component#getConditionsBlock <em>Conditions Block</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Conditions Block</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getConditionsBlock()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_ConditionsBlock();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Component#getPages <em>Pages</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Pages</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getPages()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Pages();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Component#getDefinitions <em>Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Definitions</em>'.
	 * @see org.openxma.dsl.pom.model.Component#getDefinitions()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Definitions();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedXMAGuiElement <em>Referenced XMA Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced XMA Gui Element</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAGuiElement
	 * @generated
	 */
	EClass getReferencedXMAGuiElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedXMAPage <em>Referenced XMA Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced XMA Page</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage
	 * @generated
	 */
	EClass getReferencedXMAPage();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ReferencedXMAPage#getXmaPage <em>Xma Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Page</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage#getXmaPage()
	 * @see #getReferencedXMAPage()
	 * @generated
	 */
	EReference getReferencedXMAPage_XmaPage();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ReferencedXMAPage#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage#getFieldFlags()
	 * @see #getReferencedXMAPage()
	 * @generated
	 */
	EReference getReferencedXMAPage_FieldFlags();

	/**
	 * Returns the meta object for the reference list '{@link org.openxma.dsl.pom.model.ReferencedXMAPage#getDependencies <em>Dependencies</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Dependencies</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage#getDependencies()
	 * @see #getReferencedXMAPage()
	 * @generated
	 */
	EReference getReferencedXMAPage_Dependencies();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ReferencedXMAPage#getLogicBlock <em>Logic Block</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Logic Block</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage#getLogicBlock()
	 * @see #getReferencedXMAPage()
	 * @generated
	 */
    EReference getReferencedXMAPage_LogicBlock();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ReferencedXMAPage#getGrayLogic <em>Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Gray Logic</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAPage#getGrayLogic()
	 * @see #getReferencedXMAPage()
	 * @generated
	 */
	EReference getReferencedXMAPage_GrayLogic();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite <em>Referenced XMA Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced XMA Composite</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite
	 * @generated
	 */
	EClass getReferencedXMAComposite();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite#isReferencingPageComposite <em>Referencing Page Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Referencing Page Composite</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite#isReferencingPageComposite()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
	EAttribute getReferencedXMAComposite_ReferencingPageComposite();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite#isVerticalPartitioning <em>Vertical Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Vertical Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite#isVerticalPartitioning()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
	EAttribute getReferencedXMAComposite_VerticalPartitioning();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite#isHorizontalPartitioning <em>Horizontal Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Horizontal Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite#isHorizontalPartitioning()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
	EAttribute getReferencedXMAComposite_HorizontalPartitioning();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite#getXmaComposite <em>Xma Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Composite</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite#getXmaComposite()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
	EReference getReferencedXMAComposite_XmaComposite();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite#getFieldFlags()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
	EReference getReferencedXMAComposite_FieldFlags();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ReferencedXMAComposite#getTabableFlag <em>Tabable Flag</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Tabable Flag</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedXMAComposite#getTabableFlag()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
    EReference getReferencedXMAComposite_TabableFlag();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.GrayLogic <em>Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gray Logic</em>'.
	 * @see org.openxma.dsl.pom.model.GrayLogic
	 * @generated
	 */
	EClass getGrayLogic();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.GrayLogic#getWidgetGrayLogic <em>Widget Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Widget Gray Logic</em>'.
	 * @see org.openxma.dsl.pom.model.GrayLogic#getWidgetGrayLogic()
	 * @see #getGrayLogic()
	 * @generated
	 */
	EReference getGrayLogic_WidgetGrayLogic();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.XMAWidgetGrayLogic <em>XMA Widget Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>XMA Widget Gray Logic</em>'.
	 * @see org.openxma.dsl.pom.model.XMAWidgetGrayLogic
	 * @generated
	 */
	EClass getXMAWidgetGrayLogic();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.XMAWidgetGrayLogic#getXmaWidget <em>Xma Widget</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Widget</em>'.
	 * @see org.openxma.dsl.pom.model.XMAWidgetGrayLogic#getXmaWidget()
	 * @see #getXMAWidgetGrayLogic()
	 * @generated
	 */
	EReference getXMAWidgetGrayLogic_XmaWidget();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.XMAWidgetGrayLogic#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.XMAWidgetGrayLogic#getFieldFlags()
	 * @see #getXMAWidgetGrayLogic()
	 * @generated
	 */
	EReference getXMAWidgetGrayLogic_FieldFlags();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.DataObjectVariable <em>Data Object Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Object Variable</em>'.
	 * @see org.openxma.dsl.pom.model.DataObjectVariable
	 * @generated
	 */
	EClass getDataObjectVariable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.DataObjectVariable#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Type</em>'.
	 * @see org.openxma.dsl.pom.model.DataObjectVariable#getType()
	 * @see #getDataObjectVariable()
	 * @generated
	 */
	EReference getDataObjectVariable_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.DataObjectVariable#isIsCollection <em>Is Collection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Collection</em>'.
	 * @see org.openxma.dsl.pom.model.DataObjectVariable#isIsCollection()
	 * @see #getDataObjectVariable()
	 * @generated
	 */
	EAttribute getDataObjectVariable_IsCollection();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.DataObjectVariable#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.DataObjectVariable#getName()
	 * @see #getDataObjectVariable()
	 * @generated
	 */
	EAttribute getDataObjectVariable_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TextProperty <em>Text Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Text Property</em>'.
	 * @see org.openxma.dsl.pom.model.TextProperty
	 * @generated
	 */
	EClass getTextProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.LabelProperty <em>Label Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label Property</em>'.
	 * @see org.openxma.dsl.pom.model.LabelProperty
	 * @generated
	 */
	EClass getLabelProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.LabelProperty#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.LabelProperty#getLabelText()
	 * @see #getLabelProperty()
	 * @generated
	 */
	EAttribute getLabelProperty_LabelText();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.LabelProperty#getReferencedLabelString <em>Referenced Label String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Label String</em>'.
	 * @see org.openxma.dsl.pom.model.LabelProperty#getReferencedLabelString()
	 * @see #getLabelProperty()
	 * @generated
	 */
	EReference getLabelProperty_ReferencedLabelString();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TooltipProperty <em>Tooltip Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tooltip Property</em>'.
	 * @see org.openxma.dsl.pom.model.TooltipProperty
	 * @generated
	 */
	EClass getTooltipProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TooltipProperty#getTooltipText <em>Tooltip Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tooltip Text</em>'.
	 * @see org.openxma.dsl.pom.model.TooltipProperty#getTooltipText()
	 * @see #getTooltipProperty()
	 * @generated
	 */
	EAttribute getTooltipProperty_TooltipText();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TooltipProperty#getReferencedTooltipString <em>Referenced Tooltip String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Tooltip String</em>'.
	 * @see org.openxma.dsl.pom.model.TooltipProperty#getReferencedTooltipString()
	 * @see #getTooltipProperty()
	 * @generated
	 */
	EReference getTooltipProperty_ReferencedTooltipString();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.UnitProperty <em>Unit Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Unit Property</em>'.
	 * @see org.openxma.dsl.pom.model.UnitProperty
	 * @generated
	 */
	EClass getUnitProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.UnitProperty#getUnitLabelText <em>Unit Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unit Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.UnitProperty#getUnitLabelText()
	 * @see #getUnitProperty()
	 * @generated
	 */
	EAttribute getUnitProperty_UnitLabelText();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.UnitProperty#getReferencedUnitLabelString <em>Referenced Unit Label String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Unit Label String</em>'.
	 * @see org.openxma.dsl.pom.model.UnitProperty#getReferencedUnitLabelString()
	 * @see #getUnitProperty()
	 * @generated
	 */
	EReference getUnitProperty_ReferencedUnitLabelString();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IField <em>IField</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IField</em>'.
	 * @see org.openxma.dsl.pom.model.IField
	 * @generated
	 */
	EClass getIField();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.IField#getObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Object</em>'.
	 * @see org.openxma.dsl.pom.model.IField#getObject()
	 * @see #getIField()
	 * @generated
	 */
	EReference getIField_Object();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.IField#getFeature <em>Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Feature</em>'.
	 * @see org.openxma.dsl.pom.model.IField#getFeature()
	 * @see #getIField()
	 * @generated
	 */
	EReference getIField_Feature();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.FieldFeature <em>Field Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Feature</em>'.
	 * @see org.openxma.dsl.pom.model.FieldFeature
	 * @generated
	 */
	EClass getFieldFeature();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.FieldFeature#getFeature <em>Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Feature</em>'.
	 * @see org.openxma.dsl.pom.model.FieldFeature#getFeature()
	 * @see #getFieldFeature()
	 * @generated
	 */
	EReference getFieldFeature_Feature();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.FieldFeature#getSubFeature <em>Sub Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Sub Feature</em>'.
	 * @see org.openxma.dsl.pom.model.FieldFeature#getSubFeature()
	 * @see #getFieldFeature()
	 * @generated
	 */
	EReference getFieldFeature_SubFeature();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.FieldReference <em>Field Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Reference</em>'.
	 * @see org.openxma.dsl.pom.model.FieldReference
	 * @generated
	 */
	EClass getFieldReference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizeableField <em>Customizeable Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customizeable Field</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField
	 * @generated
	 */
	EClass getCustomizeableField();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CustomizeableField#getControlType <em>Control Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Control Type</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField#getControlType()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EAttribute getCustomizeableField_ControlType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizeableField#getParts <em>Parts</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parts</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField#getParts()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_Parts();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CustomizeableField#getMultiLine <em>Multi Line</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Multi Line</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField#getMultiLine()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_MultiLine();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizeableField#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField#getConstraints()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CustomizeableField#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField#getFormat()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_Format();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizeableField#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeableField#getTextProperties()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.FieldPartSpecification <em>Field Part Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Part Specification</em>'.
	 * @see org.openxma.dsl.pom.model.FieldPartSpecification
	 * @generated
	 */
	EClass getFieldPartSpecification();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.FieldPartSpecification#getPart <em>Part</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Part</em>'.
	 * @see org.openxma.dsl.pom.model.FieldPartSpecification#getPart()
	 * @see #getFieldPartSpecification()
	 * @generated
	 */
	EAttribute getFieldPartSpecification_Part();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.FieldPartSpecification#getLayoutProperties <em>Layout Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Layout Properties</em>'.
	 * @see org.openxma.dsl.pom.model.FieldPartSpecification#getLayoutProperties()
	 * @see #getFieldPartSpecification()
	 * @generated
	 */
	EReference getFieldPartSpecification_LayoutProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Command <em>Command</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Command</em>'.
	 * @see org.openxma.dsl.pom.model.Command
	 * @generated
	 */
	EClass getCommand();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Command#getDoc <em>Doc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Doc</em>'.
	 * @see org.openxma.dsl.pom.model.Command#getDoc()
	 * @see #getCommand()
	 * @generated
	 */
	EAttribute getCommand_Doc();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Command#isClientOnly <em>Client Only</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Client Only</em>'.
	 * @see org.openxma.dsl.pom.model.Command#isClientOnly()
	 * @see #getCommand()
	 * @generated
	 */
	EAttribute getCommand_ClientOnly();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Command#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.Command#getName()
	 * @see #getCommand()
	 * @generated
	 */
	EAttribute getCommand_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Command#getImplementation <em>Implementation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Implementation</em>'.
	 * @see org.openxma.dsl.pom.model.Command#getImplementation()
	 * @see #getCommand()
	 * @generated
	 */
	EReference getCommand_Implementation();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EventFunction <em>Event Function</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Function</em>'.
	 * @see org.openxma.dsl.pom.model.EventFunction
	 * @generated
	 */
	EClass getEventFunction();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.EventFunction#getCommand <em>Command</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Command</em>'.
	 * @see org.openxma.dsl.pom.model.EventFunction#getCommand()
	 * @see #getEventFunction()
	 * @generated
	 */
	EReference getEventFunction_Command();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.EventFunction#getPredefinedCommand <em>Predefined Command</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Predefined Command</em>'.
	 * @see org.openxma.dsl.pom.model.EventFunction#getPredefinedCommand()
	 * @see #getEventFunction()
	 * @generated
	 */
	EAttribute getEventFunction_PredefinedCommand();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EventMappingList <em>Event Mapping List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Mapping List</em>'.
	 * @see org.openxma.dsl.pom.model.EventMappingList
	 * @generated
	 */
	EClass getEventMappingList();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.EventMappingList#getMapping <em>Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.EventMappingList#getMapping()
	 * @see #getEventMappingList()
	 * @generated
	 */
	EReference getEventMappingList_Mapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EventMapping <em>Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.EventMapping
	 * @generated
	 */
	EClass getEventMapping();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.EventMapping#getEventFunctions <em>Event Functions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Event Functions</em>'.
	 * @see org.openxma.dsl.pom.model.EventMapping#getEventFunctions()
	 * @see #getEventMapping()
	 * @generated
	 */
	EReference getEventMapping_EventFunctions();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ControlEventMapping <em>Control Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Control Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.ControlEventMapping
	 * @generated
	 */
	EClass getControlEventMapping();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ControlEventMapping#getEvent <em>Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event</em>'.
	 * @see org.openxma.dsl.pom.model.ControlEventMapping#getEvent()
	 * @see #getControlEventMapping()
	 * @generated
	 */
	EAttribute getControlEventMapping_Event();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.XMAWidgetEventMapping <em>XMA Widget Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>XMA Widget Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.XMAWidgetEventMapping
	 * @generated
	 */
	EClass getXMAWidgetEventMapping();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.XMAWidgetEventMapping#getControl <em>Control</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Control</em>'.
	 * @see org.openxma.dsl.pom.model.XMAWidgetEventMapping#getControl()
	 * @see #getXMAWidgetEventMapping()
	 * @generated
	 */
	EReference getXMAWidgetEventMapping_Control();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.GuiElementEventMapping <em>Gui Element Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gui Element Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.GuiElementEventMapping
	 * @generated
	 */
	EClass getGuiElementEventMapping();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.GuiElementEventMapping#getControl <em>Control</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Control</em>'.
	 * @see org.openxma.dsl.pom.model.GuiElementEventMapping#getControl()
	 * @see #getGuiElementEventMapping()
	 * @generated
	 */
	EReference getGuiElementEventMapping_Control();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.InitEventMapping <em>Init Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Init Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.InitEventMapping
	 * @generated
	 */
	EClass getInitEventMapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.EnterEventMapping <em>Enter Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Enter Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.EnterEventMapping
	 * @generated
	 */
	EClass getEnterEventMapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.LeaveEventMapping <em>Leave Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Leave Event Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.LeaveEventMapping
	 * @generated
	 */
	EClass getLeaveEventMapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.DataMappingList <em>Data Mapping List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Mapping List</em>'.
	 * @see org.openxma.dsl.pom.model.DataMappingList
	 * @generated
	 */
	EClass getDataMappingList();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.DataMappingList#getMapping <em>Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.DataMappingList#getMapping()
	 * @see #getDataMappingList()
	 * @generated
	 */
	EReference getDataMappingList_Mapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.DataMapping <em>Data Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.DataMapping
	 * @generated
	 */
	EClass getDataMapping();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.DataMapping#getControl <em>Control</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Control</em>'.
	 * @see org.openxma.dsl.pom.model.DataMapping#getControl()
	 * @see #getDataMapping()
	 * @generated
	 */
	EReference getDataMapping_Control();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.DataMapping#getBindingElement <em>Binding Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Binding Element</em>'.
	 * @see org.openxma.dsl.pom.model.DataMapping#getBindingElement()
	 * @see #getDataMapping()
	 * @generated
	 */
	EReference getDataMapping_BindingElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.DataMapping#getField <em>Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Field</em>'.
	 * @see org.openxma.dsl.pom.model.DataMapping#getField()
	 * @see #getDataMapping()
	 * @generated
	 */
	EReference getDataMapping_Field();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.PageDefinition <em>Page Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page Definition</em>'.
	 * @see org.openxma.dsl.pom.model.PageDefinition
	 * @generated
	 */
	EClass getPageDefinition();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Page <em>Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page</em>'.
	 * @see org.openxma.dsl.pom.model.Page
	 * @generated
	 */
	EClass getPage();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Page#getComposeLayout <em>Compose Layout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Compose Layout</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getComposeLayout()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_ComposeLayout();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Page#getDataobjects <em>Dataobjects</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Dataobjects</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getDataobjects()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Dataobjects();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Page#getDataMapping <em>Data Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Mapping</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getDataMapping()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_DataMapping();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Page#getCommands <em>Commands</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Commands</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getCommands()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Commands();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Page#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Events</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getEvents()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Events();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Page#getConditionsBlock <em>Conditions Block</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Conditions Block</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getConditionsBlock()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_ConditionsBlock();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Page#getDefinitions <em>Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Definitions</em>'.
	 * @see org.openxma.dsl.pom.model.Page#getDefinitions()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Definitions();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.XmadslPage <em>Xmadsl Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Xmadsl Page</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage
	 * @generated
	 */
	EClass getXmadslPage();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.XmadslPage#isAbstract <em>Abstract</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Abstract</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#isAbstract()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EAttribute getXmadslPage_Abstract();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.XmadslPage#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getName()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EAttribute getXmadslPage_Name();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.XmadslPage#getTemplate <em>Template</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Template</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getTemplate()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_Template();

	/**
	 * Returns the meta object for the reference list '{@link org.openxma.dsl.pom.model.XmadslPage#getDependencies <em>Dependencies</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Dependencies</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getDependencies()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_Dependencies();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.XmadslPage#getPageProperties <em>Page Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Page Properties</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getPageProperties()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_PageProperties();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.XmadslPage#getMenus <em>Menus</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Menus</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getMenus()
	 * @see #getXmadslPage()
	 * @generated
	 */
    EReference getXmadslPage_Menus();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.XmadslPage#getLogicBlock <em>Logic Block</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Logic Block</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getLogicBlock()
	 * @see #getXmadslPage()
	 * @generated
	 */
    EReference getXmadslPage_LogicBlock();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.XmadslPage#getExtensions <em>Extensions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Extensions</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getExtensions()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_Extensions();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Menu <em>Menu</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Menu</em>'.
	 * @see org.openxma.dsl.pom.model.Menu
	 * @generated
	 */
    EClass getMenu();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Menu#getMenuItems <em>Menu Items</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Menu Items</em>'.
	 * @see org.openxma.dsl.pom.model.Menu#getMenuItems()
	 * @see #getMenu()
	 * @generated
	 */
    EReference getMenu_MenuItems();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.DropDownMenu <em>Drop Down Menu</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Drop Down Menu</em>'.
	 * @see org.openxma.dsl.pom.model.DropDownMenu
	 * @generated
	 */
    EClass getDropDownMenu();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabMenu <em>Tab Menu</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tab Menu</em>'.
	 * @see org.openxma.dsl.pom.model.TabMenu
	 * @generated
	 */
    EClass getTabMenu();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TabMenu#getPanel <em>Panel</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Panel</em>'.
	 * @see org.openxma.dsl.pom.model.TabMenu#getPanel()
	 * @see #getTabMenu()
	 * @generated
	 */
    EReference getTabMenu_Panel();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabMenu#getAlignment <em>Alignment</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.TabMenu#getAlignment()
	 * @see #getTabMenu()
	 * @generated
	 */
    EAttribute getTabMenu_Alignment();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TabMenu#getDefaultselection <em>Defaultselection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Defaultselection</em>'.
	 * @see org.openxma.dsl.pom.model.TabMenu#getDefaultselection()
	 * @see #getTabMenu()
	 * @generated
	 */
	EReference getTabMenu_Defaultselection();

				/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TreeMenu <em>Tree Menu</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tree Menu</em>'.
	 * @see org.openxma.dsl.pom.model.TreeMenu
	 * @generated
	 */
    EClass getTreeMenu();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TreeMenu#getPanel <em>Panel</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Panel</em>'.
	 * @see org.openxma.dsl.pom.model.TreeMenu#getPanel()
	 * @see #getTreeMenu()
	 * @generated
	 */
    EReference getTreeMenu_Panel();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.MenuItem <em>Menu Item</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Menu Item</em>'.
	 * @see org.openxma.dsl.pom.model.MenuItem
	 * @generated
	 */
    EClass getMenuItem();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.MenuItem#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.MenuItem#getName()
	 * @see #getMenuItem()
	 * @generated
	 */
	EAttribute getMenuItem_Name();

				/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.MenuItem#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label</em>'.
	 * @see org.openxma.dsl.pom.model.MenuItem#getLabel()
	 * @see #getMenuItem()
	 * @generated
	 */
    EAttribute getMenuItem_Label();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.MenuItem#getAccelerator <em>Accelerator</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Accelerator</em>'.
	 * @see org.openxma.dsl.pom.model.MenuItem#getAccelerator()
	 * @see #getMenuItem()
	 * @generated
	 */
    EAttribute getMenuItem_Accelerator();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.MenuItem#getImage <em>Image</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Image</em>'.
	 * @see org.openxma.dsl.pom.model.MenuItem#getImage()
	 * @see #getMenuItem()
	 * @generated
	 */
    EAttribute getMenuItem_Image();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.MenuItem#getDefaultselection <em>Defaultselection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Defaultselection</em>'.
	 * @see org.openxma.dsl.pom.model.MenuItem#getDefaultselection()
	 * @see #getMenuItem()
	 * @generated
	 */
	EReference getMenuItem_Defaultselection();

				/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.MenuItem#getEnabled <em>Enabled</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Enabled</em>'.
	 * @see org.openxma.dsl.pom.model.MenuItem#getEnabled()
	 * @see #getMenuItem()
	 * @generated
	 */
    EReference getMenuItem_Enabled();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.MenuItem#getMenuItem <em>Menu Item</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Menu Item</em>'.
	 * @see org.openxma.dsl.pom.model.MenuItem#getMenuItem()
	 * @see #getMenuItem()
	 * @generated
	 */
    EReference getMenuItem_MenuItem();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.LogicBlock <em>Logic Block</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Logic Block</em>'.
	 * @see org.openxma.dsl.pom.model.LogicBlock
	 * @generated
	 */
    EClass getLogicBlock();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.LogicBlock#getLogicItem <em>Logic Item</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Logic Item</em>'.
	 * @see org.openxma.dsl.pom.model.LogicBlock#getLogicItem()
	 * @see #getLogicBlock()
	 * @generated
	 */
    EReference getLogicBlock_LogicItem();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.LogicBlock#getConditionedLogic <em>Conditioned Logic</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Conditioned Logic</em>'.
	 * @see org.openxma.dsl.pom.model.LogicBlock#getConditionedLogic()
	 * @see #getLogicBlock()
	 * @generated
	 */
    EReference getLogicBlock_ConditionedLogic();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ConditionedLogic <em>Conditioned Logic</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Conditioned Logic</em>'.
	 * @see org.openxma.dsl.pom.model.ConditionedLogic
	 * @generated
	 */
    EClass getConditionedLogic();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ConditionedLogic#getStatusFlag <em>Status Flag</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Status Flag</em>'.
	 * @see org.openxma.dsl.pom.model.ConditionedLogic#getStatusFlag()
	 * @see #getConditionedLogic()
	 * @generated
	 */
    EReference getConditionedLogic_StatusFlag();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ConditionedLogic#isDefault <em>Default</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Default</em>'.
	 * @see org.openxma.dsl.pom.model.ConditionedLogic#isDefault()
	 * @see #getConditionedLogic()
	 * @generated
	 */
    EAttribute getConditionedLogic_Default();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ConditionedLogic#getLogicItem <em>Logic Item</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Logic Item</em>'.
	 * @see org.openxma.dsl.pom.model.ConditionedLogic#getLogicItem()
	 * @see #getConditionedLogic()
	 * @generated
	 */
    EReference getConditionedLogic_LogicItem();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.LogicItem <em>Logic Item</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Logic Item</em>'.
	 * @see org.openxma.dsl.pom.model.LogicItem
	 * @generated
	 */
    EClass getLogicItem();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.LogicItem#getGuiElement <em>Gui Element</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Gui Element</em>'.
	 * @see org.openxma.dsl.pom.model.LogicItem#getGuiElement()
	 * @see #getLogicItem()
	 * @generated
	 */
    EReference getLogicItem_GuiElement();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.LogicItem#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.LogicItem#getFieldFlags()
	 * @see #getLogicItem()
	 * @generated
	 */
    EReference getLogicItem_FieldFlags();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.LogicItem#getTabableFlag <em>Tabable Flag</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Tabable Flag</em>'.
	 * @see org.openxma.dsl.pom.model.LogicItem#getTabableFlag()
	 * @see #getLogicItem()
	 * @generated
	 */
    EReference getLogicItem_TabableFlag();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.LogicItem#getColumnOrder <em>Column Order</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Column Order</em>'.
	 * @see org.openxma.dsl.pom.model.LogicItem#getColumnOrder()
	 * @see #getLogicItem()
	 * @generated
	 */
    EReference getLogicItem_ColumnOrder();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.LogicItem#getTabSettings <em>Tab Settings</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tab Settings</em>'.
	 * @see org.openxma.dsl.pom.model.LogicItem#getTabSettings()
	 * @see #getLogicItem()
	 * @generated
	 */
    EReference getLogicItem_TabSettings();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ColumnOrder <em>Column Order</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Column Order</em>'.
	 * @see org.openxma.dsl.pom.model.ColumnOrder
	 * @generated
	 */
    EClass getColumnOrder();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ColumnOrder#getColumnInfos <em>Column Infos</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Column Infos</em>'.
	 * @see org.openxma.dsl.pom.model.ColumnOrder#getColumnInfos()
	 * @see #getColumnOrder()
	 * @generated
	 */
    EReference getColumnOrder_ColumnInfos();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabSetting <em>Tab Setting</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tab Setting</em>'.
	 * @see org.openxma.dsl.pom.model.TabSetting
	 * @generated
	 */
    EClass getTabSetting();

    /**
	 * Returns the meta object for the reference list '{@link org.openxma.dsl.pom.model.TabSetting#getOrderedElements <em>Ordered Elements</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Ordered Elements</em>'.
	 * @see org.openxma.dsl.pom.model.TabSetting#getOrderedElements()
	 * @see #getTabSetting()
	 * @generated
	 */
    EReference getTabSetting_OrderedElements();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ColumnInfo <em>Column Info</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Column Info</em>'.
	 * @see org.openxma.dsl.pom.model.ColumnInfo
	 * @generated
	 */
    EClass getColumnInfo();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ColumnInfo#getColumns <em>Columns</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Columns</em>'.
	 * @see org.openxma.dsl.pom.model.ColumnInfo#getColumns()
	 * @see #getColumnInfo()
	 * @generated
	 */
    EReference getColumnInfo_Columns();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ColumnInfo#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.dsl.pom.model.ColumnInfo#getWidth()
	 * @see #getColumnInfo()
	 * @generated
	 */
    EAttribute getColumnInfo_Width();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ColumnInfo#isRelativeWidth <em>Relative Width</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relative Width</em>'.
	 * @see org.openxma.dsl.pom.model.ColumnInfo#isRelativeWidth()
	 * @see #getColumnInfo()
	 * @generated
	 */
    EAttribute getColumnInfo_RelativeWidth();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ColumnInfo#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.ColumnInfo#getLabelText()
	 * @see #getColumnInfo()
	 * @generated
	 */
    EReference getColumnInfo_LabelText();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.XmadslPage#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getLabelText()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_LabelText();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.XmadslPage#getPageProperty <em>Page Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Page Property</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslPage#getPageProperty()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_PageProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.PageCustomization <em>Page Customization</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page Customization</em>'.
	 * @see org.openxma.dsl.pom.model.PageCustomization
	 * @generated
	 */
	EClass getPageCustomization();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.PageCustomization#getPageToCustomize <em>Page To Customize</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Page To Customize</em>'.
	 * @see org.openxma.dsl.pom.model.PageCustomization#getPageToCustomize()
	 * @see #getPageCustomization()
	 * @generated
	 */
	EReference getPageCustomization_PageToCustomize();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.PageCustomization#getComposites <em>Composites</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Composites</em>'.
	 * @see org.openxma.dsl.pom.model.PageCustomization#getComposites()
	 * @see #getPageCustomization()
	 * @generated
	 */
	EReference getPageCustomization_Composites();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.GuiElement <em>Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gui Element</em>'.
	 * @see org.openxma.dsl.pom.model.GuiElement
	 * @generated
	 */
	EClass getGuiElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Composite <em>Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Composite</em>'.
	 * @see org.openxma.dsl.pom.model.Composite
	 * @generated
	 */
	EClass getComposite();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Composite#getContent <em>Content</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Content</em>'.
	 * @see org.openxma.dsl.pom.model.Composite#getContent()
	 * @see #getComposite()
	 * @generated
	 */
	EReference getComposite_Content();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ComposedElement <em>Composed Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Composed Element</em>'.
	 * @see org.openxma.dsl.pom.model.ComposedElement
	 * @generated
	 */
	EClass getComposedElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ComplexElement <em>Complex Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Complex Element</em>'.
	 * @see org.openxma.dsl.pom.model.ComplexElement
	 * @generated
	 */
	EClass getComplexElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.SimpleElement <em>Simple Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Simple Element</em>'.
	 * @see org.openxma.dsl.pom.model.SimpleElement
	 * @generated
	 */
	EClass getSimpleElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IGuiElementWithEvent <em>IGui Element With Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IGui Element With Event</em>'.
	 * @see org.openxma.dsl.pom.model.IGuiElementWithEvent
	 * @generated
	 */
	EClass getIGuiElementWithEvent();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.GuiElementWithEvent_dummy <em>Gui Element With Event dummy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gui Element With Event dummy</em>'.
	 * @see org.openxma.dsl.pom.model.GuiElementWithEvent_dummy
	 * @generated
	 */
	EClass getGuiElementWithEvent_dummy();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.GuiElementWithEvent_dummy#getDummyProperty <em>Dummy Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dummy Property</em>'.
	 * @see org.openxma.dsl.pom.model.GuiElementWithEvent_dummy#getDummyProperty()
	 * @see #getGuiElementWithEvent_dummy()
	 * @generated
	 */
	EAttribute getGuiElementWithEvent_dummy_DummyProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Text <em>Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Text</em>'.
	 * @see org.openxma.dsl.pom.model.Text
	 * @generated
	 */
	EClass getText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Text#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.Text#getName()
	 * @see #getText()
	 * @generated
	 */
	EAttribute getText_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Text#getAlignment <em>Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.Text#getAlignment()
	 * @see #getText()
	 * @generated
	 */
	EAttribute getText_Alignment();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Text#getMultiLine <em>Multi Line</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Multi Line</em>'.
	 * @see org.openxma.dsl.pom.model.Text#getMultiLine()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_MultiLine();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Text#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.dsl.pom.model.Text#getConstraints()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Text#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.dsl.pom.model.Text#getFormat()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_Format();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Text#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Type</em>'.
	 * @see org.openxma.dsl.pom.model.Text#getType()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_Type();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Text#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.Text#getTextProperties()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Combo <em>Combo</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Combo</em>'.
	 * @see org.openxma.dsl.pom.model.Combo
	 * @generated
	 */
	EClass getCombo();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Combo#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.Combo#getName()
	 * @see #getCombo()
	 * @generated
	 */
	EAttribute getCombo_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Combo#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.dsl.pom.model.Combo#getConstraints()
	 * @see #getCombo()
	 * @generated
	 */
	EReference getCombo_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Combo#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.dsl.pom.model.Combo#getFormat()
	 * @see #getCombo()
	 * @generated
	 */
	EReference getCombo_Format();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Combo#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Type</em>'.
	 * @see org.openxma.dsl.pom.model.Combo#getType()
	 * @see #getCombo()
	 * @generated
	 */
	EReference getCombo_Type();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Combo#getStrictFlag <em>Strict Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Strict Flag</em>'.
	 * @see org.openxma.dsl.pom.model.Combo#getStrictFlag()
	 * @see #getCombo()
	 * @generated
	 */
	EReference getCombo_StrictFlag();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Combo#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.Combo#getTextProperties()
	 * @see #getCombo()
	 * @generated
	 */
	EReference getCombo_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CheckBox <em>Check Box</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Check Box</em>'.
	 * @see org.openxma.dsl.pom.model.CheckBox
	 * @generated
	 */
	EClass getCheckBox();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CheckBox#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.CheckBox#getName()
	 * @see #getCheckBox()
	 * @generated
	 */
	EAttribute getCheckBox_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CheckBox#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.CheckBox#getLabelText()
	 * @see #getCheckBox()
	 * @generated
	 */
	EReference getCheckBox_LabelText();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CheckBox#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.dsl.pom.model.CheckBox#getConstraints()
	 * @see #getCheckBox()
	 * @generated
	 */
	EReference getCheckBox_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CheckBox#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.dsl.pom.model.CheckBox#getFormat()
	 * @see #getCheckBox()
	 * @generated
	 */
	EReference getCheckBox_Format();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CheckBox#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.CheckBox#getTextProperties()
	 * @see #getCheckBox()
	 * @generated
	 */
	EReference getCheckBox_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ListBox <em>List Box</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>List Box</em>'.
	 * @see org.openxma.dsl.pom.model.ListBox
	 * @generated
	 */
	EClass getListBox();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ListBox#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.ListBox#getName()
	 * @see #getListBox()
	 * @generated
	 */
	EAttribute getListBox_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ListBox#getMultiselectionFlag <em>Multiselection Flag</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Multiselection Flag</em>'.
	 * @see org.openxma.dsl.pom.model.ListBox#getMultiselectionFlag()
	 * @see #getListBox()
	 * @generated
	 */
    EReference getListBox_MultiselectionFlag();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ListBox#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.ListBox#getTextProperties()
	 * @see #getListBox()
	 * @generated
	 */
	EReference getListBox_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IncludePanel <em>Include Panel</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Include Panel</em>'.
	 * @see org.openxma.dsl.pom.model.IncludePanel
	 * @generated
	 */
    EClass getIncludePanel();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IncludePanel#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.IncludePanel#getName()
	 * @see #getIncludePanel()
	 * @generated
	 */
	EAttribute getIncludePanel_Name();

				/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.IncludePanel#getXmaComponent <em>Xma Component</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Component</em>'.
	 * @see org.openxma.dsl.pom.model.IncludePanel#getXmaComponent()
	 * @see #getIncludePanel()
	 * @generated
	 */
    EReference getIncludePanel_XmaComponent();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.IncludePanel#getComponent <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Component</em>'.
	 * @see org.openxma.dsl.pom.model.IncludePanel#getComponent()
	 * @see #getIncludePanel()
	 * @generated
	 */
	EReference getIncludePanel_Component();

				/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.IncludePanel#getEmbeddedPage <em>Embedded Page</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Embedded Page</em>'.
	 * @see org.openxma.dsl.pom.model.IncludePanel#getEmbeddedPage()
	 * @see #getIncludePanel()
	 * @generated
	 */
    EReference getIncludePanel_EmbeddedPage();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.IncludePanel#getXmadslPage <em>Xmadsl Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xmadsl Page</em>'.
	 * @see org.openxma.dsl.pom.model.IncludePanel#getXmadslPage()
	 * @see #getIncludePanel()
	 * @generated
	 */
	EReference getIncludePanel_XmadslPage();

				/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Tree <em>Tree</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tree</em>'.
	 * @see org.openxma.dsl.pom.model.Tree
	 * @generated
	 */
	EClass getTree();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Tree#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.Tree#getName()
	 * @see #getTree()
	 * @generated
	 */
	EAttribute getTree_Name();

				/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Tree#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.Tree#getTextProperties()
	 * @see #getTree()
	 * @generated
	 */
	EReference getTree_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.RadioButton <em>Radio Button</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Radio Button</em>'.
	 * @see org.openxma.dsl.pom.model.RadioButton
	 * @generated
	 */
	EClass getRadioButton();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.RadioButton#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.RadioButton#getName()
	 * @see #getRadioButton()
	 * @generated
	 */
	EAttribute getRadioButton_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.RadioButton#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.RadioButton#getLabelText()
	 * @see #getRadioButton()
	 * @generated
	 */
	EReference getRadioButton_LabelText();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.RadioButton#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.dsl.pom.model.RadioButton#getConstraints()
	 * @see #getRadioButton()
	 * @generated
	 */
	EReference getRadioButton_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.RadioButton#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.dsl.pom.model.RadioButton#getFormat()
	 * @see #getRadioButton()
	 * @generated
	 */
	EReference getRadioButton_Format();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.RadioButton#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.RadioButton#getTextProperties()
	 * @see #getRadioButton()
	 * @generated
	 */
	EReference getRadioButton_TextProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Seperator <em>Seperator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Seperator</em>'.
	 * @see org.openxma.dsl.pom.model.Seperator
	 * @generated
	 */
	EClass getSeperator();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Seperator#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.Seperator#getName()
	 * @see #getSeperator()
	 * @generated
	 */
	EAttribute getSeperator_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Seperator#getOrientation <em>Orientation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Orientation</em>'.
	 * @see org.openxma.dsl.pom.model.Seperator#getOrientation()
	 * @see #getSeperator()
	 * @generated
	 */
	EAttribute getSeperator_Orientation();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Label <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label</em>'.
	 * @see org.openxma.dsl.pom.model.Label
	 * @generated
	 */
	EClass getLabel();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Label#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.Label#getName()
	 * @see #getLabel()
	 * @generated
	 */
	EAttribute getLabel_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Label#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.Label#getLabelText()
	 * @see #getLabel()
	 * @generated
	 */
	EReference getLabel_LabelText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Label#getImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Image Uri</em>'.
	 * @see org.openxma.dsl.pom.model.Label#getImageUri()
	 * @see #getLabel()
	 * @generated
	 */
	EAttribute getLabel_ImageUri();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Label#getImageUriReference <em>Image Uri Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Image Uri Reference</em>'.
	 * @see org.openxma.dsl.pom.model.Label#getImageUriReference()
	 * @see #getLabel()
	 * @generated
	 */
	EReference getLabel_ImageUriReference();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Label#getAlignment <em>Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.Label#getAlignment()
	 * @see #getLabel()
	 * @generated
	 */
	EAttribute getLabel_Alignment();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Image <em>Image</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Image</em>'.
	 * @see org.openxma.dsl.pom.model.Image
	 * @generated
	 */
	EClass getImage();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Image#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.Image#getName()
	 * @see #getImage()
	 * @generated
	 */
	EAttribute getImage_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Image#getImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Image Uri</em>'.
	 * @see org.openxma.dsl.pom.model.Image#getImageUri()
	 * @see #getImage()
	 * @generated
	 */
	EAttribute getImage_ImageUri();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Image#getImageUriReference <em>Image Uri Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Image Uri Reference</em>'.
	 * @see org.openxma.dsl.pom.model.Image#getImageUriReference()
	 * @see #getImage()
	 * @generated
	 */
	EReference getImage_ImageUriReference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Button <em>Button</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Button</em>'.
	 * @see org.openxma.dsl.pom.model.Button
	 * @generated
	 */
	EClass getButton();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Button#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.Button#getName()
	 * @see #getButton()
	 * @generated
	 */
	EAttribute getButton_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Button#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.Button#getLabelText()
	 * @see #getButton()
	 * @generated
	 */
	EReference getButton_LabelText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Button#getImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Image Uri</em>'.
	 * @see org.openxma.dsl.pom.model.Button#getImageUri()
	 * @see #getButton()
	 * @generated
	 */
	EAttribute getButton_ImageUri();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Button#getImageUriReference <em>Image Uri Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Image Uri Reference</em>'.
	 * @see org.openxma.dsl.pom.model.Button#getImageUriReference()
	 * @see #getButton()
	 * @generated
	 */
	EReference getButton_ImageUriReference();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Button#getAlignment <em>Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.Button#getAlignment()
	 * @see #getButton()
	 * @generated
	 */
	EAttribute getButton_Alignment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Button#getToggle <em>Toggle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Toggle</em>'.
	 * @see org.openxma.dsl.pom.model.Button#getToggle()
	 * @see #getButton()
	 * @generated
	 */
	EAttribute getButton_Toggle();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IComposite <em>IComposite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IComposite</em>'.
	 * @see org.openxma.dsl.pom.model.IComposite
	 * @generated
	 */
	EClass getIComposite();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.XmadslComposite <em>Xmadsl Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Xmadsl Composite</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslComposite
	 * @generated
	 */
	EClass getXmadslComposite();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.XmadslComposite#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslComposite#getName()
	 * @see #getXmadslComposite()
	 * @generated
	 */
	EAttribute getXmadslComposite_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.XmadslComposite#getScrollable <em>Scrollable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Scrollable</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslComposite#getScrollable()
	 * @see #getXmadslComposite()
	 * @generated
	 */
	EReference getXmadslComposite_Scrollable();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.XmadslComposite#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslComposite#getLabelText()
	 * @see #getXmadslComposite()
	 * @generated
	 */
	EReference getXmadslComposite_LabelText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.XmadslComposite#isVerticalPartitioning <em>Vertical Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Vertical Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslComposite#isVerticalPartitioning()
	 * @see #getXmadslComposite()
	 * @generated
	 */
	EAttribute getXmadslComposite_VerticalPartitioning();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.SplitPanel <em>Split Panel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Split Panel</em>'.
	 * @see org.openxma.dsl.pom.model.SplitPanel
	 * @generated
	 */
	EClass getSplitPanel();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SplitPanel#getSplitPosition <em>Split Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Split Position</em>'.
	 * @see org.openxma.dsl.pom.model.SplitPanel#getSplitPosition()
	 * @see #getSplitPanel()
	 * @generated
	 */
	EAttribute getSplitPanel_SplitPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SplitPanel#getOrientation <em>Orientation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Orientation</em>'.
	 * @see org.openxma.dsl.pom.model.SplitPanel#getOrientation()
	 * @see #getSplitPanel()
	 * @generated
	 */
	EAttribute getSplitPanel_Orientation();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.SplitPanel#getFirstPanel <em>First Panel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>First Panel</em>'.
	 * @see org.openxma.dsl.pom.model.SplitPanel#getFirstPanel()
	 * @see #getSplitPanel()
	 * @generated
	 */
	EReference getSplitPanel_FirstPanel();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.SplitPanel#getSecondPanel <em>Second Panel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Second Panel</em>'.
	 * @see org.openxma.dsl.pom.model.SplitPanel#getSecondPanel()
	 * @see #getSplitPanel()
	 * @generated
	 */
	EReference getSplitPanel_SecondPanel();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.XmadslComposite#isHorizontalPartitioning <em>Horizontal Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Horizontal Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.XmadslComposite#isHorizontalPartitioning()
	 * @see #getXmadslComposite()
	 * @generated
	 */
	EAttribute getXmadslComposite_HorizontalPartitioning();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedComposite <em>Referenced Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced Composite</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedComposite
	 * @generated
	 */
	EClass getReferencedComposite();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ReferencedComposite#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedComposite#getReference()
	 * @see #getReferencedComposite()
	 * @generated
	 */
	EReference getReferencedComposite_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TableCombo <em>Table Combo</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Table Combo</em>'.
	 * @see org.openxma.dsl.pom.model.TableCombo
	 * @generated
	 */
    EClass getTableCombo();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableCombo#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.TableCombo#getName()
	 * @see #getTableCombo()
	 * @generated
	 */
    EAttribute getTableCombo_Name();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TableCombo#getObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Object</em>'.
	 * @see org.openxma.dsl.pom.model.TableCombo#getObject()
	 * @see #getTableCombo()
	 * @generated
	 */
    EReference getTableCombo_Object();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TableCombo#getKey <em>Key</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Key</em>'.
	 * @see org.openxma.dsl.pom.model.TableCombo#getKey()
	 * @see #getTableCombo()
	 * @generated
	 */
    EReference getTableCombo_Key();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.TableCombo#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Text Properties</em>'.
	 * @see org.openxma.dsl.pom.model.TableCombo#getTextProperties()
	 * @see #getTableCombo()
	 * @generated
	 */
	EReference getTableCombo_TextProperties();

				/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.TableCombo#getColumns <em>Columns</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Columns</em>'.
	 * @see org.openxma.dsl.pom.model.TableCombo#getColumns()
	 * @see #getTableCombo()
	 * @generated
	 */
    EReference getTableCombo_Columns();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Table <em>Table</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Table</em>'.
	 * @see org.openxma.dsl.pom.model.Table
	 * @generated
	 */
	EClass getTable();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Table#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getName()
	 * @see #getTable()
	 * @generated
	 */
	EAttribute getTable_Name();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Table#getObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Object</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getObject()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Object();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.Table#getKey <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Key</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getKey()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Key();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Table#getColumnMinWidth <em>Column Min Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Column Min Width</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getColumnMinWidth()
	 * @see #getTable()
	 * @generated
	 */
	EAttribute getTable_ColumnMinWidth();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Table#getMultiselectionFlag <em>Multiselection Flag</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Multiselection Flag</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getMultiselectionFlag()
	 * @see #getTable()
	 * @generated
	 */
    EReference getTable_MultiselectionFlag();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Table#getOneway <em>Oneway</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Oneway</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getOneway()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Oneway();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Table#getGridvisible <em>Gridvisible</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Gridvisible</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getGridvisible()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Gridvisible();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Table#getSortindicator <em>Sortindicator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Sortindicator</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getSortindicator()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Sortindicator();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Table#getPageable <em>Pageable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Pageable</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getPageable()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Pageable();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Table#getFilterable <em>Filterable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Filterable</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getFilterable()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Filterable();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Table#getCheckSelection <em>Check Selection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Check Selection</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getCheckSelection()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_CheckSelection();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Table#getCollapsed <em>Collapsed</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Collapsed</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getCollapsed()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Collapsed();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Table#getColumns <em>Columns</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Columns</em>'.
	 * @see org.openxma.dsl.pom.model.Table#getColumns()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Columns();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TableColumn <em>Table Column</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Table Column</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn
	 * @generated
	 */
	EClass getTableColumn();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TableColumn#getObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Object</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getObject()
	 * @see #getTableColumn()
	 * @generated
	 */
	EReference getTableColumn_Object();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TableColumn#getFeature <em>Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Feature</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getFeature()
	 * @see #getTableColumn()
	 * @generated
	 */
	EReference getTableColumn_Feature();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#getColumnName <em>Column Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Column Name</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getColumnName()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_ColumnName();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TableColumn#getVisible <em>Visible</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Visible</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getVisible()
	 * @see #getTableColumn()
	 * @generated
	 */
	EReference getTableColumn_Visible();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TableColumn#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getLabel()
	 * @see #getTableColumn()
	 * @generated
	 */
	EReference getTableColumn_Label();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TableColumn#getStyleProperty <em>Style Property</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Style Property</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getStyleProperty()
	 * @see #getTableColumn()
	 * @generated
	 */
    EReference getTableColumn_StyleProperty();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#getAlign <em>Align</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Align</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getAlign()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_Align();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getWidth()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#isRelativeWidth <em>Relative Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relative Width</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#isRelativeWidth()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_RelativeWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#getMinWidth <em>Min Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Min Width</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getMinWidth()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_MinWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableColumn#getMaxWidth <em>Max Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Width</em>'.
	 * @see org.openxma.dsl.pom.model.TableColumn#getMaxWidth()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_MaxWidth();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ITabFolder <em>ITab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ITab Folder</em>'.
	 * @see org.openxma.dsl.pom.model.ITabFolder
	 * @generated
	 */
	EClass getITabFolder();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ITabFolder#getTabItems <em>Tab Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tab Items</em>'.
	 * @see org.openxma.dsl.pom.model.ITabFolder#getTabItems()
	 * @see #getITabFolder()
	 * @generated
	 */
	EReference getITabFolder_TabItems();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabFolder <em>Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tab Folder</em>'.
	 * @see org.openxma.dsl.pom.model.TabFolder
	 * @generated
	 */
	EClass getTabFolder();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabFolder#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.TabFolder#getName()
	 * @see #getTabFolder()
	 * @generated
	 */
	EAttribute getTabFolder_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedTabFolder <em>Referenced Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced Tab Folder</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedTabFolder
	 * @generated
	 */
	EClass getReferencedTabFolder();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ReferencedTabFolder#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedTabFolder#getReference()
	 * @see #getReferencedTabFolder()
	 * @generated
	 */
	EReference getReferencedTabFolder_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ITabPage <em>ITab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ITab Page</em>'.
	 * @see org.openxma.dsl.pom.model.ITabPage
	 * @generated
	 */
	EClass getITabPage();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabPage <em>Tab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tab Page</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage
	 * @generated
	 */
	EClass getTabPage();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabPage#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getName()
	 * @see #getTabPage()
	 * @generated
	 */
	EAttribute getTabPage_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TabPage#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Label Text</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getLabelText()
	 * @see #getTabPage()
	 * @generated
	 */
	EReference getTabPage_LabelText();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TabPage#getScrollable <em>Scrollable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Scrollable</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getScrollable()
	 * @see #getTabPage()
	 * @generated
	 */
	EReference getTabPage_Scrollable();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TabPage#getStyleProperty <em>Style Property</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Style Property</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getStyleProperty()
	 * @see #getTabPage()
	 * @generated
	 */
    EReference getTabPage_StyleProperty();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.TabPage#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getFieldFlags()
	 * @see #getTabPage()
	 * @generated
	 */
	EReference getTabPage_FieldFlags();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TabPage#getTabableFlag <em>Tabable Flag</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Tabable Flag</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getTabableFlag()
	 * @see #getTabPage()
	 * @generated
	 */
    EReference getTabPage_TabableFlag();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.TabPage#getPageProperties <em>Page Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Page Properties</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getPageProperties()
	 * @see #getTabPage()
	 * @generated
	 */
	EReference getTabPage_PageProperties();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TabPage#getLogicBlock <em>Logic Block</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Logic Block</em>'.
	 * @see org.openxma.dsl.pom.model.TabPage#getLogicBlock()
	 * @see #getTabPage()
	 * @generated
	 */
    EReference getTabPage_LogicBlock();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ReferencedTabPage <em>Referenced Tab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced Tab Page</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedTabPage
	 * @generated
	 */
	EClass getReferencedTabPage();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ReferencedTabPage#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.dsl.pom.model.ReferencedTabPage#getReference()
	 * @see #getReferencedTabPage()
	 * @generated
	 */
	EReference getReferencedTabPage_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.LayoutDataProperty <em>Layout Data Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Layout Data Property</em>'.
	 * @see org.openxma.dsl.pom.model.LayoutDataProperty
	 * @generated
	 */
	EClass getLayoutDataProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.PageProperty <em>Page Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page Property</em>'.
	 * @see org.openxma.dsl.pom.model.PageProperty
	 * @generated
	 */
	EClass getPageProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.HeightProperty <em>Height Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Height Property</em>'.
	 * @see org.openxma.dsl.pom.model.HeightProperty
	 * @generated
	 */
	EClass getHeightProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.HeightProperty#getHeightInChar <em>Height In Char</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height In Char</em>'.
	 * @see org.openxma.dsl.pom.model.HeightProperty#getHeightInChar()
	 * @see #getHeightProperty()
	 * @generated
	 */
    EAttribute getHeightProperty_HeightInChar();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.HeightProperty#isNegative <em>Negative</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Negative</em>'.
	 * @see org.openxma.dsl.pom.model.HeightProperty#isNegative()
	 * @see #getHeightProperty()
	 * @generated
	 */
    EAttribute getHeightProperty_Negative();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.HeightProperty#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.openxma.dsl.pom.model.HeightProperty#getHeight()
	 * @see #getHeightProperty()
	 * @generated
	 */
	EAttribute getHeightProperty_Height();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.WidthProperty <em>Width Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Width Property</em>'.
	 * @see org.openxma.dsl.pom.model.WidthProperty
	 * @generated
	 */
	EClass getWidthProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.WidthProperty#getWidthInChar <em>Width In Char</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width In Char</em>'.
	 * @see org.openxma.dsl.pom.model.WidthProperty#getWidthInChar()
	 * @see #getWidthProperty()
	 * @generated
	 */
    EAttribute getWidthProperty_WidthInChar();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.WidthProperty#isNegative <em>Negative</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Negative</em>'.
	 * @see org.openxma.dsl.pom.model.WidthProperty#isNegative()
	 * @see #getWidthProperty()
	 * @generated
	 */
    EAttribute getWidthProperty_Negative();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.WidthProperty#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.dsl.pom.model.WidthProperty#getWidth()
	 * @see #getWidthProperty()
	 * @generated
	 */
	EAttribute getWidthProperty_Width();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.AttachmentProperty <em>Attachment Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attachment Property</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentProperty
	 * @generated
	 */
	EClass getAttachmentProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.AttachmentProperty#getOwnPosition <em>Own Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Own Position</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentProperty#getOwnPosition()
	 * @see #getAttachmentProperty()
	 * @generated
	 */
	EAttribute getAttachmentProperty_OwnPosition();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.AttachmentProperty#getAttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentProperty#getAttachmentSpecification()
	 * @see #getAttachmentProperty()
	 * @generated
	 */
	EReference getAttachmentProperty_AttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StyleProperty <em>Style Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property</em>'.
	 * @see org.openxma.dsl.pom.model.StyleProperty
	 * @generated
	 */
	EClass getStyleProperty();

	/**
	 * Returns the meta object for the reference list '{@link org.openxma.dsl.pom.model.StyleProperty#getStyles <em>Styles</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Styles</em>'.
	 * @see org.openxma.dsl.pom.model.StyleProperty#getStyles()
	 * @see #getStyleProperty()
	 * @generated
	 */
	EReference getStyleProperty_Styles();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ModalityProperty <em>Modality Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Modality Property</em>'.
	 * @see org.openxma.dsl.pom.model.ModalityProperty
	 * @generated
	 */
	EClass getModalityProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ModalityProperty#getModality <em>Modality</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Modality</em>'.
	 * @see org.openxma.dsl.pom.model.ModalityProperty#getModality()
	 * @see #getModalityProperty()
	 * @generated
	 */
	EAttribute getModalityProperty_Modality();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ImageProperty <em>Image Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Image Property</em>'.
	 * @see org.openxma.dsl.pom.model.ImageProperty
	 * @generated
	 */
	EClass getImageProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ImageProperty#getImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Image Uri</em>'.
	 * @see org.openxma.dsl.pom.model.ImageProperty#getImageUri()
	 * @see #getImageProperty()
	 * @generated
	 */
	EAttribute getImageProperty_ImageUri();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ImageProperty#getImageUriReference <em>Image Uri Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Image Uri Reference</em>'.
	 * @see org.openxma.dsl.pom.model.ImageProperty#getImageUriReference()
	 * @see #getImageProperty()
	 * @generated
	 */
	EReference getImageProperty_ImageUriReference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TitleButtonsProperty <em>Title Buttons Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Title Buttons Property</em>'.
	 * @see org.openxma.dsl.pom.model.TitleButtonsProperty
	 * @generated
	 */
	EClass getTitleButtonsProperty();

	/**
	 * Returns the meta object for the attribute list '{@link org.openxma.dsl.pom.model.TitleButtonsProperty#getButton <em>Button</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Button</em>'.
	 * @see org.openxma.dsl.pom.model.TitleButtonsProperty#getButton()
	 * @see #getTitleButtonsProperty()
	 * @generated
	 */
	EAttribute getTitleButtonsProperty_Button();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ResizeableProperty <em>Resizeable Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Resizeable Property</em>'.
	 * @see org.openxma.dsl.pom.model.ResizeableProperty
	 * @generated
	 */
	EClass getResizeableProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ResizeableProperty#isResizeable <em>Resizeable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Resizeable</em>'.
	 * @see org.openxma.dsl.pom.model.ResizeableProperty#isResizeable()
	 * @see #getResizeableProperty()
	 * @generated
	 */
	EAttribute getResizeableProperty_Resizeable();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StatusBarProperty <em>Status Bar Property</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Status Bar Property</em>'.
	 * @see org.openxma.dsl.pom.model.StatusBarProperty
	 * @generated
	 */
    EClass getStatusBarProperty();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StatusBarProperty#isStatusBar <em>Status Bar</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Status Bar</em>'.
	 * @see org.openxma.dsl.pom.model.StatusBarProperty#isStatusBar()
	 * @see #getStatusBarProperty()
	 * @generated
	 */
    EAttribute getStatusBarProperty_StatusBar();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CenterProperty <em>Center Property</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Center Property</em>'.
	 * @see org.openxma.dsl.pom.model.CenterProperty
	 * @generated
	 */
    EClass getCenterProperty();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CenterProperty#isCenter <em>Center</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Center</em>'.
	 * @see org.openxma.dsl.pom.model.CenterProperty#isCenter()
	 * @see #getCenterProperty()
	 * @generated
	 */
    EAttribute getCenterProperty_Center();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.AlignmentProperty <em>Alignment Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Alignment Property</em>'.
	 * @see org.openxma.dsl.pom.model.AlignmentProperty
	 * @generated
	 */
	EClass getAlignmentProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.AlignmentProperty#getHAlignment <em>HAlignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>HAlignment</em>'.
	 * @see org.openxma.dsl.pom.model.AlignmentProperty#getHAlignment()
	 * @see #getAlignmentProperty()
	 * @generated
	 */
	EAttribute getAlignmentProperty_HAlignment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.AlignmentProperty#getVAlignment <em>VAlignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>VAlignment</em>'.
	 * @see org.openxma.dsl.pom.model.AlignmentProperty#getVAlignment()
	 * @see #getAlignmentProperty()
	 * @generated
	 */
	EAttribute getAlignmentProperty_VAlignment();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ComposeData <em>Compose Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Compose Data</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData
	 * @generated
	 */
	EClass getComposeData();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ComposeData#getTabulators <em>Tabulators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tabulators</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getTabulators()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_Tabulators();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ComposeData#getReferencedTabulator <em>Referenced Tabulator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Tabulator</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getReferencedTabulator()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_ReferencedTabulator();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ComposeData#getCellWidths <em>Cell Widths</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Cell Widths</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getCellWidths()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_CellWidths();

	/**
	 * Returns the meta object for the attribute list '{@link org.openxma.dsl.pom.model.ComposeData#getCellWidthsCount <em>Cell Widths Count</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Cell Widths Count</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getCellWidthsCount()
	 * @see #getComposeData()
	 * @generated
	 */
	EAttribute getComposeData_CellWidthsCount();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ComposeData#getCellHeights <em>Cell Heights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Cell Heights</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getCellHeights()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_CellHeights();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ComposeData#getSpacing <em>Spacing</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Spacing</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getSpacing()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_Spacing();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ComposeData#getMargin <em>Margin</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Margin</em>'.
	 * @see org.openxma.dsl.pom.model.ComposeData#getMargin()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_Margin();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.PaddingWidth <em>Padding Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Padding Width</em>'.
	 * @see org.openxma.dsl.pom.model.PaddingWidth
	 * @generated
	 */
	EClass getPaddingWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.PaddingWidth#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.dsl.pom.model.PaddingWidth#getWidth()
	 * @see #getPaddingWidth()
	 * @generated
	 */
	EAttribute getPaddingWidth_Width();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IAttachmentPosition <em>IAttachment Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IAttachment Position</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition
	 * @generated
	 */
	EClass getIAttachmentPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IAttachmentPosition#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#getName()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EAttribute getIAttachmentPosition_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IAttachmentPosition#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#getWidth()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EAttribute getIAttachmentPosition_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IAttachmentPosition#getWidthInChar <em>Width In Char</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width In Char</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#getWidthInChar()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
    EAttribute getIAttachmentPosition_WidthInChar();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IAttachmentPosition#isNegativeAfterChar <em>Negative After Char</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Negative After Char</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#isNegativeAfterChar()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
    EAttribute getIAttachmentPosition_NegativeAfterChar();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IAttachmentPosition#isRelative <em>Relative</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relative</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#isRelative()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EAttribute getIAttachmentPosition_Relative();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.IAttachmentPosition#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#getOffset()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EReference getIAttachmentPosition_Offset();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.IAttachmentPosition#getReferencedPosition <em>Referenced Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Position</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#getReferencedPosition()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EReference getIAttachmentPosition_ReferencedPosition();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.IAttachmentPosition#getAdditionalOffset <em>Additional Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Additional Offset</em>'.
	 * @see org.openxma.dsl.pom.model.IAttachmentPosition#getAdditionalOffset()
	 * @see #getIAttachmentPosition()
	 * @generated
	 */
	EReference getIAttachmentPosition_AdditionalOffset();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabulatorDefinition <em>Tabulator Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tabulator Definition</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorDefinition
	 * @generated
	 */
	EClass getTabulatorDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabulatorDefinition#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorDefinition#getName()
	 * @see #getTabulatorDefinition()
	 * @generated
	 */
	EAttribute getTabulatorDefinition_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.TabulatorDefinition#getTabulators <em>Tabulators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tabulators</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorDefinition#getTabulators()
	 * @see #getTabulatorDefinition()
	 * @generated
	 */
	EReference getTabulatorDefinition_Tabulators();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StringDefinition <em>String Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>String Definition</em>'.
	 * @see org.openxma.dsl.pom.model.StringDefinition
	 * @generated
	 */
	EClass getStringDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StringDefinition#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.StringDefinition#getName()
	 * @see #getStringDefinition()
	 * @generated
	 */
	EAttribute getStringDefinition_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StringDefinition#getText <em>Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Text</em>'.
	 * @see org.openxma.dsl.pom.model.StringDefinition#getText()
	 * @see #getStringDefinition()
	 * @generated
	 */
	EAttribute getStringDefinition_Text();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IntegerDefinition <em>Integer Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Integer Definition</em>'.
	 * @see org.openxma.dsl.pom.model.IntegerDefinition
	 * @generated
	 */
	EClass getIntegerDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IntegerDefinition#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.IntegerDefinition#getName()
	 * @see #getIntegerDefinition()
	 * @generated
	 */
	EAttribute getIntegerDefinition_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.IntegerDefinition#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.openxma.dsl.pom.model.IntegerDefinition#getValue()
	 * @see #getIntegerDefinition()
	 * @generated
	 */
	EAttribute getIntegerDefinition_Value();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Image Uri</em>'.
	 * @see org.openxma.dsl.pom.model.ImageUri
	 * @generated
	 */
	EClass getImageUri();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ImageUri#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.ImageUri#getName()
	 * @see #getImageUri()
	 * @generated
	 */
	EAttribute getImageUri_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ImageUri#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Source</em>'.
	 * @see org.openxma.dsl.pom.model.ImageUri#getSource()
	 * @see #getImageUri()
	 * @generated
	 */
	EAttribute getImageUri_Source();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Definitions <em>Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Definitions</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions
	 * @generated
	 */
	EClass getDefinitions();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Definitions#getStrings <em>Strings</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Strings</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions#getStrings()
	 * @see #getDefinitions()
	 * @generated
	 */
	EReference getDefinitions_Strings();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Definitions#getIntegers <em>Integers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Integers</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions#getIntegers()
	 * @see #getDefinitions()
	 * @generated
	 */
	EReference getDefinitions_Integers();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Definitions#getImageSources <em>Image Sources</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Image Sources</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions#getImageSources()
	 * @see #getDefinitions()
	 * @generated
	 */
	EReference getDefinitions_ImageSources();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Definitions#getPositions <em>Positions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Positions</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions#getPositions()
	 * @see #getDefinitions()
	 * @generated
	 */
	EReference getDefinitions_Positions();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Definitions#getTabulators <em>Tabulators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tabulators</em>'.
	 * @see org.openxma.dsl.pom.model.Definitions#getTabulators()
	 * @see #getDefinitions()
	 * @generated
	 */
	EReference getDefinitions_Tabulators();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabulatorPosition <em>Tabulator Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tabulator Position</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorPosition
	 * @generated
	 */
	EClass getTabulatorPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabulatorPosition#isFloatingPosition <em>Floating Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Floating Position</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorPosition#isFloatingPosition()
	 * @see #getTabulatorPosition()
	 * @generated
	 */
	EAttribute getTabulatorPosition_FloatingPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabulatorPosition#isFillingPosition <em>Filling Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Filling Position</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorPosition#isFillingPosition()
	 * @see #getTabulatorPosition()
	 * @generated
	 */
	EAttribute getTabulatorPosition_FillingPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabulatorPosition#isDeltaSpecification <em>Delta Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Delta Specification</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorPosition#isDeltaSpecification()
	 * @see #getTabulatorPosition()
	 * @generated
	 */
	EAttribute getTabulatorPosition_DeltaSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.AttachmentPosition <em>Attachment Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attachment Position</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentPosition
	 * @generated
	 */
	EClass getAttachmentPosition();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Content <em>Content</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Content</em>'.
	 * @see org.openxma.dsl.pom.model.Content
	 * @generated
	 */
	EClass getContent();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Content#getWidgetSetItems <em>Widget Set Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Widget Set Items</em>'.
	 * @see org.openxma.dsl.pom.model.Content#getWidgetSetItems()
	 * @see #getContent()
	 * @generated
	 */
	EReference getContent_WidgetSetItems();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Content#getContainerItems <em>Container Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Container Items</em>'.
	 * @see org.openxma.dsl.pom.model.Content#getContainerItems()
	 * @see #getContent()
	 * @generated
	 */
	EReference getContent_ContainerItems();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Content#getElements <em>Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Elements</em>'.
	 * @see org.openxma.dsl.pom.model.Content#getElements()
	 * @see #getContent()
	 * @generated
	 */
	EReference getContent_Elements();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.Content#getComposeLayout <em>Compose Layout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Compose Layout</em>'.
	 * @see org.openxma.dsl.pom.model.Content#getComposeLayout()
	 * @see #getContent()
	 * @generated
	 */
	EReference getContent_ComposeLayout();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.SetOfGuiElements <em>Set Of Gui Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Set Of Gui Elements</em>'.
	 * @see org.openxma.dsl.pom.model.SetOfGuiElements
	 * @generated
	 */
	EClass getSetOfGuiElements();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.SetOfGuiElements#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.SetOfGuiElements#getFieldFlags()
	 * @see #getSetOfGuiElements()
	 * @generated
	 */
    EReference getSetOfGuiElements_FieldFlags();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.SetOfGuiElements#getTabableFlag <em>Tabable Flag</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Tabable Flag</em>'.
	 * @see org.openxma.dsl.pom.model.SetOfGuiElements#getTabableFlag()
	 * @see #getSetOfGuiElements()
	 * @generated
	 */
    EReference getSetOfGuiElements_TabableFlag();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.SetOfGuiElements#getElements <em>Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Elements</em>'.
	 * @see org.openxma.dsl.pom.model.SetOfGuiElements#getElements()
	 * @see #getSetOfGuiElements()
	 * @generated
	 */
	EReference getSetOfGuiElements_Elements();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.AttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentSpecification
	 * @generated
	 */
	EClass getAttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.NoneAttachment <em>None Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>None Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.NoneAttachment
	 * @generated
	 */
	EClass getNoneAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.NoneAttachment#isNone <em>None</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>None</em>'.
	 * @see org.openxma.dsl.pom.model.NoneAttachment#isNone()
	 * @see #getNoneAttachment()
	 * @generated
	 */
	EAttribute getNoneAttachment_None();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ParentAttachment <em>Parent Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Parent Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.ParentAttachment
	 * @generated
	 */
	EClass getParentAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ParentAttachment#getDistanceInChar <em>Distance In Char</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Distance In Char</em>'.
	 * @see org.openxma.dsl.pom.model.ParentAttachment#getDistanceInChar()
	 * @see #getParentAttachment()
	 * @generated
	 */
    EAttribute getParentAttachment_DistanceInChar();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ParentAttachment#isNegative <em>Negative</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Negative</em>'.
	 * @see org.openxma.dsl.pom.model.ParentAttachment#isNegative()
	 * @see #getParentAttachment()
	 * @generated
	 */
    EAttribute getParentAttachment_Negative();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ParentAttachment#getDistance <em>Distance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Distance</em>'.
	 * @see org.openxma.dsl.pom.model.ParentAttachment#getDistance()
	 * @see #getParentAttachment()
	 * @generated
	 */
	EAttribute getParentAttachment_Distance();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.ParentAttachment#isRelative <em>Relative</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relative</em>'.
	 * @see org.openxma.dsl.pom.model.ParentAttachment#isRelative()
	 * @see #getParentAttachment()
	 * @generated
	 */
	EAttribute getParentAttachment_Relative();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ParentAttachment#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.openxma.dsl.pom.model.ParentAttachment#getOffset()
	 * @see #getParentAttachment()
	 * @generated
	 */
	EReference getParentAttachment_Offset();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IElementOnWhichCanBeAttached <em>IElement On Which Can Be Attached</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IElement On Which Can Be Attached</em>'.
	 * @see org.openxma.dsl.pom.model.IElementOnWhichCanBeAttached
	 * @generated
	 */
	EClass getIElementOnWhichCanBeAttached();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.SiblingAttachment <em>Sibling Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sibling Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.SiblingAttachment
	 * @generated
	 */
	EClass getSiblingAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SiblingAttachment#getSiblingPosition <em>Sibling Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sibling Position</em>'.
	 * @see org.openxma.dsl.pom.model.SiblingAttachment#getSiblingPosition()
	 * @see #getSiblingAttachment()
	 * @generated
	 */
	EAttribute getSiblingAttachment_SiblingPosition();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.SiblingAttachment#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.openxma.dsl.pom.model.SiblingAttachment#getOffset()
	 * @see #getSiblingAttachment()
	 * @generated
	 */
	EReference getSiblingAttachment_Offset();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.AbsoluteSiblingAttachment <em>Absolute Sibling Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Absolute Sibling Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.AbsoluteSiblingAttachment
	 * @generated
	 */
	EClass getAbsoluteSiblingAttachment();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.AbsoluteSiblingAttachment#getSibling <em>Sibling</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Sibling</em>'.
	 * @see org.openxma.dsl.pom.model.AbsoluteSiblingAttachment#getSibling()
	 * @see #getAbsoluteSiblingAttachment()
	 * @generated
	 */
	EReference getAbsoluteSiblingAttachment_Sibling();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.AbsoluteSiblingAttachment#getFieldPart <em>Field Part</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Field Part</em>'.
	 * @see org.openxma.dsl.pom.model.AbsoluteSiblingAttachment#getFieldPart()
	 * @see #getAbsoluteSiblingAttachment()
	 * @generated
	 */
	EAttribute getAbsoluteSiblingAttachment_FieldPart();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.RelativeSiblingAttachment <em>Relative Sibling Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Relative Sibling Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.RelativeSiblingAttachment
	 * @generated
	 */
	EClass getRelativeSiblingAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.RelativeSiblingAttachment#getRelativeSibling <em>Relative Sibling</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relative Sibling</em>'.
	 * @see org.openxma.dsl.pom.model.RelativeSiblingAttachment#getRelativeSibling()
	 * @see #getRelativeSiblingAttachment()
	 * @generated
	 */
	EAttribute getRelativeSiblingAttachment_RelativeSibling();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TabulatorAttachment <em>Tabulator Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tabulator Attachment</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorAttachment
	 * @generated
	 */
	EClass getTabulatorAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TabulatorAttachment#getTabIndex <em>Tab Index</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tab Index</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorAttachment#getTabIndex()
	 * @see #getTabulatorAttachment()
	 * @generated
	 */
	EAttribute getTabulatorAttachment_TabIndex();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.TabulatorAttachment#getSibling <em>Sibling</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Sibling</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorAttachment#getSibling()
	 * @see #getTabulatorAttachment()
	 * @generated
	 */
	EReference getTabulatorAttachment_Sibling();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.TabulatorAttachment#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.openxma.dsl.pom.model.TabulatorAttachment#getOffset()
	 * @see #getTabulatorAttachment()
	 * @generated
	 */
	EReference getTabulatorAttachment_Offset();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Offset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Offset</em>'.
	 * @see org.openxma.dsl.pom.model.Offset
	 * @generated
	 */
	EClass getOffset();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Offset#isNegativeChar <em>Negative Char</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Negative Char</em>'.
	 * @see org.openxma.dsl.pom.model.Offset#isNegativeChar()
	 * @see #getOffset()
	 * @generated
	 */
    EAttribute getOffset_NegativeChar();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Offset#getValueInChar <em>Value In Char</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value In Char</em>'.
	 * @see org.openxma.dsl.pom.model.Offset#getValueInChar()
	 * @see #getOffset()
	 * @generated
	 */
    EAttribute getOffset_ValueInChar();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Offset#isNegative <em>Negative</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Negative</em>'.
	 * @see org.openxma.dsl.pom.model.Offset#isNegative()
	 * @see #getOffset()
	 * @generated
	 */
	EAttribute getOffset_Negative();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Offset#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.openxma.dsl.pom.model.Offset#getValue()
	 * @see #getOffset()
	 * @generated
	 */
	EAttribute getOffset_Value();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.FieldVariable <em>Field Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Variable</em>'.
	 * @see org.openxma.dsl.pom.model.FieldVariable
	 * @generated
	 */
	EClass getFieldVariable();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.FieldVariable#getField <em>Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Field</em>'.
	 * @see org.openxma.dsl.pom.model.FieldVariable#getField()
	 * @see #getFieldVariable()
	 * @generated
	 */
	EReference getFieldVariable_Field();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.FieldVariable#getAccess <em>Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access</em>'.
	 * @see org.openxma.dsl.pom.model.FieldVariable#getAccess()
	 * @see #getFieldVariable()
	 * @generated
	 */
	EAttribute getFieldVariable_Access();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.XmaVariable <em>Xma Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Xma Variable</em>'.
	 * @see org.openxma.dsl.pom.model.XmaVariable
	 * @generated
	 */
	EClass getXmaVariable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.XmaVariable#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.dsl.pom.model.XmaVariable#getReference()
	 * @see #getXmaVariable()
	 * @generated
	 */
	EReference getXmaVariable_Reference();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.XmaVariable#getAccess <em>Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access</em>'.
	 * @see org.openxma.dsl.pom.model.XmaVariable#getAccess()
	 * @see #getXmaVariable()
	 * @generated
	 */
	EAttribute getXmaVariable_Access();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizeComponentModel <em>Customize Component Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customize Component Model</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeComponentModel
	 * @generated
	 */
	EClass getCustomizeComponentModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizeComponentModel#getImports <em>Imports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Imports</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeComponentModel#getImports()
	 * @see #getCustomizeComponentModel()
	 * @generated
	 */
	EReference getCustomizeComponentModel_Imports();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.CustomizeComponentModel#getComponent <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Component</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeComponentModel#getComponent()
	 * @see #getCustomizeComponentModel()
	 * @generated
	 */
	EReference getCustomizeComponentModel_Component();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizeComponentModel#getCustomizations <em>Customizations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Customizations</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizeComponentModel#getCustomizations()
	 * @see #getCustomizeComponentModel()
	 * @generated
	 */
	EReference getCustomizeComponentModel_Customizations();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizationOfGuiElement <em>Customization Of Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customization Of Gui Element</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfGuiElement
	 * @generated
	 */
	EClass getCustomizationOfGuiElement();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.CustomizationOfGuiElement#getPage <em>Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Page</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfGuiElement#getPage()
	 * @see #getCustomizationOfGuiElement()
	 * @generated
	 */
	EReference getCustomizationOfGuiElement_Page();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizationOfComposite <em>Customization Of Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customization Of Composite</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite
	 * @generated
	 */
	EClass getCustomizationOfComposite();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#getComposite <em>Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Composite</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#getComposite()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EReference getCustomizationOfComposite_Composite();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#getComposeLayout <em>Compose Layout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Compose Layout</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#getComposeLayout()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EReference getCustomizationOfComposite_ComposeLayout();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#getAddedElements <em>Added Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Added Elements</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#getAddedElements()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EReference getCustomizationOfComposite_AddedElements();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#isVerticalPartitioning <em>Vertical Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Vertical Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#isVerticalPartitioning()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EAttribute getCustomizationOfComposite_VerticalPartitioning();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#isHorizontalPartitioning <em>Horizontal Partitioning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Horizontal Partitioning</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#isHorizontalPartitioning()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EAttribute getCustomizationOfComposite_HorizontalPartitioning();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizationOfComposite#getAddedWidgetSetItems <em>Added Widget Set Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Added Widget Set Items</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfComposite#getAddedWidgetSetItems()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EReference getCustomizationOfComposite_AddedWidgetSetItems();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CustomizationOfTabFolder <em>Customization Of Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customization Of Tab Folder</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfTabFolder
	 * @generated
	 */
	EClass getCustomizationOfTabFolder();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.CustomizationOfTabFolder#getTabFolder <em>Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Tab Folder</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfTabFolder#getTabFolder()
	 * @see #getCustomizationOfTabFolder()
	 * @generated
	 */
	EReference getCustomizationOfTabFolder_TabFolder();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CustomizationOfTabFolder#getAddedTabItems <em>Added Tab Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Added Tab Items</em>'.
	 * @see org.openxma.dsl.pom.model.CustomizationOfTabFolder#getAddedTabItems()
	 * @see #getCustomizationOfTabFolder()
	 * @generated
	 */
	EReference getCustomizationOfTabFolder_AddedTabItems();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IElementWithLayoutData <em>IElement With Layout Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IElement With Layout Data</em>'.
	 * @see org.openxma.dsl.pom.model.IElementWithLayoutData
	 * @generated
	 */
	EClass getIElementWithLayoutData();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.IElementWithLayoutData#getLayoutProperties <em>Layout Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Layout Properties</em>'.
	 * @see org.openxma.dsl.pom.model.IElementWithLayoutData#getLayoutProperties()
	 * @see #getIElementWithLayoutData()
	 * @generated
	 */
	EReference getIElementWithLayoutData_LayoutProperties();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.IElementWithLayoutData#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.dsl.pom.model.IElementWithLayoutData#getFieldFlags()
	 * @see #getIElementWithLayoutData()
	 * @generated
	 */
	EReference getIElementWithLayoutData_FieldFlags();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.IElementWithLayoutData#getTabableFlag <em>Tabable Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Tabable Flag</em>'.
	 * @see org.openxma.dsl.pom.model.IElementWithLayoutData#getTabableFlag()
	 * @see #getIElementWithLayoutData()
	 * @generated
	 */
	EReference getIElementWithLayoutData_TabableFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StyleSpecification <em>Style Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Specification</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSpecification
	 * @generated
	 */
	EClass getStyleSpecification();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.StyleSpecification#getModelElements <em>Model Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Model Elements</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSpecification#getModelElements()
	 * @see #getStyleSpecification()
	 * @generated
	 */
	EReference getStyleSpecification_ModelElements();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StyleSpecification#getPropagation <em>Propagation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Propagation</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSpecification#getPropagation()
	 * @see #getStyleSpecification()
	 * @generated
	 */
	EReference getStyleSpecification_Propagation();

	/**
	 * Returns the meta object for the reference list '{@link org.openxma.dsl.pom.model.StyleSpecification#getSuperStyles <em>Super Styles</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Super Styles</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSpecification#getSuperStyles()
	 * @see #getStyleSpecification()
	 * @generated
	 */
	EReference getStyleSpecification_SuperStyles();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.StyleSpecification#getStyleProperty <em>Style Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Style Property</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSpecification#getStyleProperty()
	 * @see #getStyleSpecification()
	 * @generated
	 */
	EReference getStyleSpecification_StyleProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ModelElementSpecification <em>Model Element Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Model Element Specification</em>'.
	 * @see org.openxma.dsl.pom.model.ModelElementSpecification
	 * @generated
	 */
	EClass getModelElementSpecification();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.ModelElementSpecification#getModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Model Element</em>'.
	 * @see org.openxma.dsl.pom.model.ModelElementSpecification#getModelElement()
	 * @see #getModelElementSpecification()
	 * @generated
	 */
	EReference getModelElementSpecification_ModelElement();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ModelElementSpecification#getCombinedElements <em>Combined Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Combined Elements</em>'.
	 * @see org.openxma.dsl.pom.model.ModelElementSpecification#getCombinedElements()
	 * @see #getModelElementSpecification()
	 * @generated
	 */
	EReference getModelElementSpecification_CombinedElements();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.SelectedModelElement <em>Selected Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Selected Model Element</em>'.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement
	 * @generated
	 */
	EClass getSelectedModelElement();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SelectedModelElement#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement#getType()
	 * @see #getSelectedModelElement()
	 * @generated
	 */
	EAttribute getSelectedModelElement_Type();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.SelectedModelElement#getSimpleType <em>Simple Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Simple Type</em>'.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement#getSimpleType()
	 * @see #getSelectedModelElement()
	 * @generated
	 */
	EReference getSelectedModelElement_SimpleType();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SelectedModelElement#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement#getName()
	 * @see #getSelectedModelElement()
	 * @generated
	 */
	EAttribute getSelectedModelElement_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.SelectedModelElement#getPseudoClass <em>Pseudo Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Pseudo Class</em>'.
	 * @see org.openxma.dsl.pom.model.SelectedModelElement#getPseudoClass()
	 * @see #getSelectedModelElement()
	 * @generated
	 */
	EAttribute getSelectedModelElement_PseudoClass();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CombinedModelElement <em>Combined Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Combined Model Element</em>'.
	 * @see org.openxma.dsl.pom.model.CombinedModelElement
	 * @generated
	 */
	EClass getCombinedModelElement();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CombinedModelElement#isChild <em>Child</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Child</em>'.
	 * @see org.openxma.dsl.pom.model.CombinedModelElement#isChild()
	 * @see #getCombinedModelElement()
	 * @generated
	 */
	EAttribute getCombinedModelElement_Child();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CombinedModelElement#isNext <em>Next</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Next</em>'.
	 * @see org.openxma.dsl.pom.model.CombinedModelElement#isNext()
	 * @see #getCombinedModelElement()
	 * @generated
	 */
	EAttribute getCombinedModelElement_Next();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CombinedModelElement#getModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Model Element</em>'.
	 * @see org.openxma.dsl.pom.model.CombinedModelElement#getModelElement()
	 * @see #getCombinedModelElement()
	 * @generated
	 */
	EReference getCombinedModelElement_ModelElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StyleSpecificationProperty <em>Style Specification Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Specification Property</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSpecificationProperty
	 * @generated
	 */
	EClass getStyleSpecificationProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyFieldPart <em>Style Property Field Part</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Field Part</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFieldPart
	 * @generated
	 */
	EClass getStylePropertyFieldPart();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.StylePropertyFieldPart#getParts <em>Parts</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parts</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFieldPart#getParts()
	 * @see #getStylePropertyFieldPart()
	 * @generated
	 */
	EReference getStylePropertyFieldPart_Parts();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyLeft <em>Style Property Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Left</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyLeft
	 * @generated
	 */
	EClass getStylePropertyLeft();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyLeft#getAttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyLeft#getAttachmentSpecification()
	 * @see #getStylePropertyLeft()
	 * @generated
	 */
	EReference getStylePropertyLeft_AttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyRight <em>Style Property Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Right</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyRight
	 * @generated
	 */
	EClass getStylePropertyRight();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyRight#getAttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyRight#getAttachmentSpecification()
	 * @see #getStylePropertyRight()
	 * @generated
	 */
	EReference getStylePropertyRight_AttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyTop <em>Style Property Top</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Top</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTop
	 * @generated
	 */
	EClass getStylePropertyTop();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyTop#getAttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTop#getAttachmentSpecification()
	 * @see #getStylePropertyTop()
	 * @generated
	 */
	EReference getStylePropertyTop_AttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyBottom <em>Style Property Bottom</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Bottom</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBottom
	 * @generated
	 */
	EClass getStylePropertyBottom();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyBottom#getAttachmentSpecification <em>Attachment Specification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Attachment Specification</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBottom#getAttachmentSpecification()
	 * @see #getStylePropertyBottom()
	 * @generated
	 */
	EReference getStylePropertyBottom_AttachmentSpecification();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyWidth <em>Style Property Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Width</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidth
	 * @generated
	 */
	EClass getStylePropertyWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyWidth#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidth#getWidth()
	 * @see #getStylePropertyWidth()
	 * @generated
	 */
	EAttribute getStylePropertyWidth_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyWidth#getWidthInChar <em>Width In Char</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width In Char</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidth#getWidthInChar()
	 * @see #getStylePropertyWidth()
	 * @generated
	 */
    EAttribute getStylePropertyWidth_WidthInChar();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyWidth#isNegativeAfterChar <em>Negative After Char</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Negative After Char</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidth#isNegativeAfterChar()
	 * @see #getStylePropertyWidth()
	 * @generated
	 */
    EAttribute getStylePropertyWidth_NegativeAfterChar();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyHeight <em>Style Property Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Height</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyHeight
	 * @generated
	 */
	EClass getStylePropertyHeight();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyHeight#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyHeight#getHeight()
	 * @see #getStylePropertyHeight()
	 * @generated
	 */
	EAttribute getStylePropertyHeight_Height();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyTabulator <em>Style Property Tabulator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Tabulator</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTabulator
	 * @generated
	 */
	EClass getStylePropertyTabulator();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.StylePropertyTabulator#getTabulators <em>Tabulators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tabulators</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTabulator#getTabulators()
	 * @see #getStylePropertyTabulator()
	 * @generated
	 */
	EReference getStylePropertyTabulator_Tabulators();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyBorder <em>Style Property Border</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Border</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBorder
	 * @generated
	 */
	EClass getStylePropertyBorder();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBorder#isNoneBorder <em>None Border</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>None Border</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBorder#isNoneBorder()
	 * @see #getStylePropertyBorder()
	 * @generated
	 */
	EAttribute getStylePropertyBorder_NoneBorder();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBorder#isSolid <em>Solid</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Solid</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBorder#isSolid()
	 * @see #getStylePropertyBorder()
	 * @generated
	 */
	EAttribute getStylePropertyBorder_Solid();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyForegroundColor <em>Style Property Foreground Color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Foreground Color</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyForegroundColor
	 * @generated
	 */
	EClass getStylePropertyForegroundColor();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyForegroundColor#getRed <em>Red</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Red</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyForegroundColor#getRed()
	 * @see #getStylePropertyForegroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyForegroundColor_Red();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyForegroundColor#getBlue <em>Blue</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Blue</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyForegroundColor#getBlue()
	 * @see #getStylePropertyForegroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyForegroundColor_Blue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyForegroundColor#getGreen <em>Green</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Green</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyForegroundColor#getGreen()
	 * @see #getStylePropertyForegroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyForegroundColor_Green();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyForegroundColor#getColorID <em>Color ID</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Color ID</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyForegroundColor#getColorID()
	 * @see #getStylePropertyForegroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyForegroundColor_ColorID();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyBackgroundColor <em>Style Property Background Color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Background Color</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBackgroundColor
	 * @generated
	 */
	EClass getStylePropertyBackgroundColor();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getRed <em>Red</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Red</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getRed()
	 * @see #getStylePropertyBackgroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyBackgroundColor_Red();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getBlue <em>Blue</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Blue</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getBlue()
	 * @see #getStylePropertyBackgroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyBackgroundColor_Blue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getGreen <em>Green</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Green</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getGreen()
	 * @see #getStylePropertyBackgroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyBackgroundColor_Green();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getColorID <em>Color ID</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Color ID</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBackgroundColor#getColorID()
	 * @see #getStylePropertyBackgroundColor()
	 * @generated
	 */
	EAttribute getStylePropertyBackgroundColor_ColorID();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyWidgetVariant <em>Style Property Widget Variant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Widget Variant</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidgetVariant
	 * @generated
	 */
	EClass getStylePropertyWidgetVariant();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyWidgetVariant#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidgetVariant#getName()
	 * @see #getStylePropertyWidgetVariant()
	 * @generated
	 */
	EAttribute getStylePropertyWidgetVariant_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyWidgetStyle <em>Style Property Widget Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Widget Style</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidgetStyle
	 * @generated
	 */
	EClass getStylePropertyWidgetStyle();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyWidgetStyle#getWidgetStyle <em>Widget Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Widget Style</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidgetStyle#getWidgetStyle()
	 * @see #getStylePropertyWidgetStyle()
	 * @generated
	 */
	EAttribute getStylePropertyWidgetStyle_WidgetStyle();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyWidgetStyle#getPredefinedWidgetStyle <em>Predefined Widget Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Predefined Widget Style</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyWidgetStyle#getPredefinedWidgetStyle()
	 * @see #getStylePropertyWidgetStyle()
	 * @generated
	 */
	EAttribute getStylePropertyWidgetStyle_PredefinedWidgetStyle();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyImage <em>Style Property Image</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Image</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyImage
	 * @generated
	 */
	EClass getStylePropertyImage();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyImage#getImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Image Uri</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyImage#getImageUri()
	 * @see #getStylePropertyImage()
	 * @generated
	 */
	EAttribute getStylePropertyImage_ImageUri();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.StylePropertyImage#getImageUriReference <em>Image Uri Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Image Uri Reference</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyImage#getImageUriReference()
	 * @see #getStylePropertyImage()
	 * @generated
	 */
	EReference getStylePropertyImage_ImageUriReference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyAlignment <em>Style Property Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyAlignment
	 * @generated
	 */
	EClass getStylePropertyAlignment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyAlignment#getAlignment <em>Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyAlignment#getAlignment()
	 * @see #getStylePropertyAlignment()
	 * @generated
	 */
	EAttribute getStylePropertyAlignment_Alignment();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyTable <em>Style Property Table</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Table</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTable
	 * @generated
	 */
	EClass getStylePropertyTable();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyTable#getOneWay <em>One Way</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>One Way</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTable#getOneWay()
	 * @see #getStylePropertyTable()
	 * @generated
	 */
	EReference getStylePropertyTable_OneWay();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyTable#getGridVisible <em>Grid Visible</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Grid Visible</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTable#getGridVisible()
	 * @see #getStylePropertyTable()
	 * @generated
	 */
	EReference getStylePropertyTable_GridVisible();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyFont <em>Style Property Font</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Font</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFont
	 * @generated
	 */
	EClass getStylePropertyFont();

	/**
	 * Returns the meta object for the attribute list '{@link org.openxma.dsl.pom.model.StylePropertyFont#getStyles <em>Styles</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Styles</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFont#getStyles()
	 * @see #getStylePropertyFont()
	 * @generated
	 */
	EAttribute getStylePropertyFont_Styles();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyFont#getSize <em>Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Size</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFont#getSize()
	 * @see #getStylePropertyFont()
	 * @generated
	 */
	EAttribute getStylePropertyFont_Size();

	/**
	 * Returns the meta object for the attribute list '{@link org.openxma.dsl.pom.model.StylePropertyFont#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Name</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFont#getName()
	 * @see #getStylePropertyFont()
	 * @generated
	 */
	EAttribute getStylePropertyFont_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyCharacterWidth <em>Style Property Character Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Character Width</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyCharacterWidth
	 * @generated
	 */
	EClass getStylePropertyCharacterWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyCharacterWidth#getCharWidth <em>Char Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Char Width</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyCharacterWidth#getCharWidth()
	 * @see #getStylePropertyCharacterWidth()
	 * @generated
	 */
	EAttribute getStylePropertyCharacterWidth_CharWidth();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyCharacterHeight <em>Style Property Character Height</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Character Height</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyCharacterHeight
	 * @generated
	 */
    EClass getStylePropertyCharacterHeight();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyCharacterHeight#getCharHeight <em>Char Height</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Char Height</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyCharacterHeight#getCharHeight()
	 * @see #getStylePropertyCharacterHeight()
	 * @generated
	 */
    EAttribute getStylePropertyCharacterHeight_CharHeight();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyFlag <em>Style Property Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Flag</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFlag
	 * @generated
	 */
	EClass getStylePropertyFlag();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyFlag#getEnabledExpression <em>Enabled Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Enabled Expression</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFlag#getEnabledExpression()
	 * @see #getStylePropertyFlag()
	 * @generated
	 */
	EReference getStylePropertyFlag_EnabledExpression();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyFlag#getMandatoryExpression <em>Mandatory Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Mandatory Expression</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFlag#getMandatoryExpression()
	 * @see #getStylePropertyFlag()
	 * @generated
	 */
	EReference getStylePropertyFlag_MandatoryExpression();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyFlag#getVisibleExpression <em>Visible Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Visible Expression</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFlag#getVisibleExpression()
	 * @see #getStylePropertyFlag()
	 * @generated
	 */
	EReference getStylePropertyFlag_VisibleExpression();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyFlag#getCollapsedExpression <em>Collapsed Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Collapsed Expression</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFlag#getCollapsedExpression()
	 * @see #getStylePropertyFlag()
	 * @generated
	 */
	EReference getStylePropertyFlag_CollapsedExpression();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyFlag#getAvailableExpression <em>Available Expression</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Available Expression</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFlag#getAvailableExpression()
	 * @see #getStylePropertyFlag()
	 * @generated
	 */
    EReference getStylePropertyFlag_AvailableExpression();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyFlag#getEditableExpression <em>Editable Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Editable Expression</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFlag#getEditableExpression()
	 * @see #getStylePropertyFlag()
	 * @generated
	 */
	EReference getStylePropertyFlag_EditableExpression();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyFlag#getTabableExpression <em>Tabable Expression</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Tabable Expression</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyFlag#getTabableExpression()
	 * @see #getStylePropertyFlag()
	 * @generated
	 */
    EReference getStylePropertyFlag_TabableExpression();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyLineWrap <em>Style Property Line Wrap</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Line Wrap</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyLineWrap
	 * @generated
	 */
    EClass getStylePropertyLineWrap();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyLineWrap#getWrap <em>Wrap</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Wrap</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyLineWrap#getWrap()
	 * @see #getStylePropertyLineWrap()
	 * @generated
	 */
    EReference getStylePropertyLineWrap_Wrap();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyMultiLine <em>Style Property Multi Line</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Multi Line</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyMultiLine
	 * @generated
	 */
    EClass getStylePropertyMultiLine();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyMultiLine#getMulti <em>Multi</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Multi</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyMultiLine#getMulti()
	 * @see #getStylePropertyMultiLine()
	 * @generated
	 */
    EReference getStylePropertyMultiLine_Multi();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyBrowseControl <em>Style Property Browse Control</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Browse Control</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBrowseControl
	 * @generated
	 */
    EClass getStylePropertyBrowseControl();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyBrowseControl#getControlType <em>Control Type</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Control Type</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyBrowseControl#getControlType()
	 * @see #getStylePropertyBrowseControl()
	 * @generated
	 */
    EAttribute getStylePropertyBrowseControl_ControlType();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyPaging <em>Style Property Paging</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Paging</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPaging
	 * @generated
	 */
	EClass getStylePropertyPaging();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyPaging#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPaging#getStyle()
	 * @see #getStylePropertyPaging()
	 * @generated
	 */
	EAttribute getStylePropertyPaging_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyPaging#isDefault <em>Default</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Default</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPaging#isDefault()
	 * @see #getStylePropertyPaging()
	 * @generated
	 */
	EAttribute getStylePropertyPaging_Default();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyPagingControls <em>Style Property Paging Controls</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Paging Controls</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingControls
	 * @generated
	 */
	EClass getStylePropertyPagingControls();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.StylePropertyPagingControls#getControls <em>Controls</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Controls</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingControls#getControls()
	 * @see #getStylePropertyPagingControls()
	 * @generated
	 */
	EReference getStylePropertyPagingControls_Controls();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyPagingPageSize <em>Style Property Paging Page Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Paging Page Size</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingPageSize
	 * @generated
	 */
	EClass getStylePropertyPagingPageSize();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyPagingPageSize#getSize <em>Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Size</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingPageSize#getSize()
	 * @see #getStylePropertyPagingPageSize()
	 * @generated
	 */
	EAttribute getStylePropertyPagingPageSize_Size();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyPagingPageSize#getMaxSize <em>Max Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Size</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingPageSize#getMaxSize()
	 * @see #getStylePropertyPagingPageSize()
	 * @generated
	 */
	EAttribute getStylePropertyPagingPageSize_MaxSize();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyPagingJumpSize <em>Style Property Paging Jump Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Paging Jump Size</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingJumpSize
	 * @generated
	 */
	EClass getStylePropertyPagingJumpSize();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyPagingJumpSize#getSize <em>Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Size</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingJumpSize#getSize()
	 * @see #getStylePropertyPagingJumpSize()
	 * @generated
	 */
	EAttribute getStylePropertyPagingJumpSize_Size();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyPagingPosition <em>Style Property Paging Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Paging Position</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingPosition
	 * @generated
	 */
	EClass getStylePropertyPagingPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyPagingPosition#isTop <em>Top</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Top</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingPosition#isTop()
	 * @see #getStylePropertyPagingPosition()
	 * @generated
	 */
	EAttribute getStylePropertyPagingPosition_Top();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyPagingPosition#isBottom <em>Bottom</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Bottom</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingPosition#isBottom()
	 * @see #getStylePropertyPagingPosition()
	 * @generated
	 */
	EAttribute getStylePropertyPagingPosition_Bottom();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyPagingCustomizerImage <em>Style Property Paging Customizer Image</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Paging Customizer Image</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingCustomizerImage
	 * @generated
	 */
    EClass getStylePropertyPagingCustomizerImage();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyPagingCustomizerImage#getImageUri <em>Image Uri</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Image Uri</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingCustomizerImage#getImageUri()
	 * @see #getStylePropertyPagingCustomizerImage()
	 * @generated
	 */
    EAttribute getStylePropertyPagingCustomizerImage_ImageUri();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.StylePropertyPagingCustomizerImage#getImageUriReference <em>Image Uri Reference</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Image Uri Reference</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyPagingCustomizerImage#getImageUriReference()
	 * @see #getStylePropertyPagingCustomizerImage()
	 * @generated
	 */
    EReference getStylePropertyPagingCustomizerImage_ImageUriReference();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.PagingControl <em>Paging Control</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Paging Control</em>'.
	 * @see org.openxma.dsl.pom.model.PagingControl
	 * @generated
	 */
	EClass getPagingControl();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.PagingControl#getControl <em>Control</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Control</em>'.
	 * @see org.openxma.dsl.pom.model.PagingControl#getControl()
	 * @see #getPagingControl()
	 * @generated
	 */
	EAttribute getPagingControl_Control();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.PagingControl#isEnd <em>End</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>End</em>'.
	 * @see org.openxma.dsl.pom.model.PagingControl#isEnd()
	 * @see #getPagingControl()
	 * @generated
	 */
	EAttribute getPagingControl_End();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.PagingControl#isNext <em>Next</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Next</em>'.
	 * @see org.openxma.dsl.pom.model.PagingControl#isNext()
	 * @see #getPagingControl()
	 * @generated
	 */
	EAttribute getPagingControl_Next();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.PagingControl#isCustomize <em>Customize</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Customize</em>'.
	 * @see org.openxma.dsl.pom.model.PagingControl#isCustomize()
	 * @see #getPagingControl()
	 * @generated
	 */
	EAttribute getPagingControl_Customize();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.PagingControl#isExport <em>Export</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Export</em>'.
	 * @see org.openxma.dsl.pom.model.PagingControl#isExport()
	 * @see #getPagingControl()
	 * @generated
	 */
    EAttribute getPagingControl_Export();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyTableCustomizer <em>Style Property Table Customizer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Table Customizer</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTableCustomizer
	 * @generated
	 */
	EClass getStylePropertyTableCustomizer();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.StylePropertyTableCustomizer#getTableCustomizer <em>Table Customizer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Table Customizer</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyTableCustomizer#getTableCustomizer()
	 * @see #getStylePropertyTableCustomizer()
	 * @generated
	 */
	EReference getStylePropertyTableCustomizer_TableCustomizer();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyScrollable <em>Style Property Scrollable</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Scrollable</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyScrollable
	 * @generated
	 */
    EClass getStylePropertyScrollable();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyScrollable#isNotScrollable <em>Not Scrollable</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Not Scrollable</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyScrollable#isNotScrollable()
	 * @see #getStylePropertyScrollable()
	 * @generated
	 */
    EAttribute getStylePropertyScrollable_NotScrollable();

    /**
	 * Returns the meta object for the attribute list '{@link org.openxma.dsl.pom.model.StylePropertyScrollable#getOrientations <em>Orientations</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Orientations</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyScrollable#getOrientations()
	 * @see #getStylePropertyScrollable()
	 * @generated
	 */
    EAttribute getStylePropertyScrollable_Orientations();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyEnumerationDisplayType <em>Style Property Enumeration Display Type</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Enumeration Display Type</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyEnumerationDisplayType
	 * @generated
	 */
    EClass getStylePropertyEnumerationDisplayType();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyEnumerationDisplayType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyEnumerationDisplayType#getType()
	 * @see #getStylePropertyEnumerationDisplayType()
	 * @generated
	 */
    EAttribute getStylePropertyEnumerationDisplayType_Type();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyEnumerationSortOrder <em>Style Property Enumeration Sort Order</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Enumeration Sort Order</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyEnumerationSortOrder
	 * @generated
	 */
    EClass getStylePropertyEnumerationSortOrder();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyEnumerationSortOrder#getSortorder <em>Sortorder</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sortorder</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyEnumerationSortOrder#getSortorder()
	 * @see #getStylePropertyEnumerationSortOrder()
	 * @generated
	 */
    EAttribute getStylePropertyEnumerationSortOrder_Sortorder();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StylePropertyOther <em>Style Property Other</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style Property Other</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyOther
	 * @generated
	 */
    EClass getStylePropertyOther();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyOther#getDynamicTabPage <em>Dynamic Tab Page</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Dynamic Tab Page</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyOther#getDynamicTabPage()
	 * @see #getStylePropertyOther()
	 * @generated
	 */
    EReference getStylePropertyOther_DynamicTabPage();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyOther#getThousandSeperator <em>Thousand Seperator</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Thousand Seperator</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyOther#getThousandSeperator()
	 * @see #getStylePropertyOther()
	 * @generated
	 */
    EReference getStylePropertyOther_ThousandSeperator();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyOther#getSpacing <em>Spacing</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Spacing</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyOther#getSpacing()
	 * @see #getStylePropertyOther()
	 * @generated
	 */
    EReference getStylePropertyOther_Spacing();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.StylePropertyOther#getMargin <em>Margin</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Margin</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyOther#getMargin()
	 * @see #getStylePropertyOther()
	 * @generated
	 */
    EReference getStylePropertyOther_Margin();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyOther#getCustomization <em>Customization</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Customization</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyOther#getCustomization()
	 * @see #getStylePropertyOther()
	 * @generated
	 */
	EAttribute getStylePropertyOther_Customization();

				/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.StylePropertyOther#getToggle <em>Toggle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Toggle</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyOther#getToggle()
	 * @see #getStylePropertyOther()
	 * @generated
	 */
	EAttribute getStylePropertyOther_Toggle();

				/**
	 * Returns the meta object for the attribute list '{@link org.openxma.dsl.pom.model.StylePropertyOther#getWidgetEffects <em>Widget Effects</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Widget Effects</em>'.
	 * @see org.openxma.dsl.pom.model.StylePropertyOther#getWidgetEffects()
	 * @see #getStylePropertyOther()
	 * @generated
	 */
	EAttribute getStylePropertyOther_WidgetEffects();

				/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.TableCustomizer <em>Table Customizer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Table Customizer</em>'.
	 * @see org.openxma.dsl.pom.model.TableCustomizer
	 * @generated
	 */
	EClass getTableCustomizer();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.TableCustomizer#getInstanceType <em>Instance Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Instance Type</em>'.
	 * @see org.openxma.dsl.pom.model.TableCustomizer#getInstanceType()
	 * @see #getTableCustomizer()
	 * @generated
	 */
	EAttribute getTableCustomizer_InstanceType();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CommandImplementation <em>Command Implementation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Command Implementation</em>'.
	 * @see org.openxma.dsl.pom.model.CommandImplementation
	 * @generated
	 */
	EClass getCommandImplementation();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CommandImplementation#getStatements <em>Statements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Statements</em>'.
	 * @see org.openxma.dsl.pom.model.CommandImplementation#getStatements()
	 * @see #getCommandImplementation()
	 * @generated
	 */
	EReference getCommandImplementation_Statements();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Statement <em>Statement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Statement</em>'.
	 * @see org.openxma.dsl.pom.model.Statement
	 * @generated
	 */
	EClass getStatement();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.StatementVariable <em>Statement Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Statement Variable</em>'.
	 * @see org.openxma.dsl.pom.model.StatementVariable
	 * @generated
	 */
	EClass getStatementVariable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.StatementVariable#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.dsl.pom.model.StatementVariable#getReference()
	 * @see #getStatementVariable()
	 * @generated
	 */
	EReference getStatementVariable_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.IReferenceableByStatementVariable <em>IReferenceable By Statement Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IReferenceable By Statement Variable</em>'.
	 * @see org.openxma.dsl.pom.model.IReferenceableByStatementVariable
	 * @generated
	 */
	EClass getIReferenceableByStatementVariable();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.AssignStatement <em>Assign Statement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Assign Statement</em>'.
	 * @see org.openxma.dsl.pom.model.AssignStatement
	 * @generated
	 */
	EClass getAssignStatement();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.AssignStatement#getVariableAssignments <em>Variable Assignments</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Variable Assignments</em>'.
	 * @see org.openxma.dsl.pom.model.AssignStatement#getVariableAssignments()
	 * @see #getAssignStatement()
	 * @generated
	 */
	EReference getAssignStatement_VariableAssignments();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.VariableAssignment <em>Variable Assignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Variable Assignment</em>'.
	 * @see org.openxma.dsl.pom.model.VariableAssignment
	 * @generated
	 */
	EClass getVariableAssignment();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.VariableAssignment#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.dsl.pom.model.VariableAssignment#getLeft()
	 * @see #getVariableAssignment()
	 * @generated
	 */
	EReference getVariableAssignment_Left();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.VariableAssignment#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Value</em>'.
	 * @see org.openxma.dsl.pom.model.VariableAssignment#getValue()
	 * @see #getVariableAssignment()
	 * @generated
	 */
	EReference getVariableAssignment_Value();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.VariableAssignment#getServiceCall <em>Service Call</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Service Call</em>'.
	 * @see org.openxma.dsl.pom.model.VariableAssignment#getServiceCall()
	 * @see #getVariableAssignment()
	 * @generated
	 */
	EReference getVariableAssignment_ServiceCall();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.VariableValue <em>Variable Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Variable Value</em>'.
	 * @see org.openxma.dsl.pom.model.VariableValue
	 * @generated
	 */
	EClass getVariableValue();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.VariableValue#getVariable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Variable</em>'.
	 * @see org.openxma.dsl.pom.model.VariableValue#getVariable()
	 * @see #getVariableValue()
	 * @generated
	 */
	EReference getVariableValue_Variable();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.VariableValue#getAccess <em>Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access</em>'.
	 * @see org.openxma.dsl.pom.model.VariableValue#getAccess()
	 * @see #getVariableValue()
	 * @generated
	 */
	EAttribute getVariableValue_Access();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.VariableValue#getStringLiteral <em>String Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>String Literal</em>'.
	 * @see org.openxma.dsl.pom.model.VariableValue#getStringLiteral()
	 * @see #getVariableValue()
	 * @generated
	 */
	EAttribute getVariableValue_StringLiteral();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.VariableValue#getIntegerLiteral <em>Integer Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Integer Literal</em>'.
	 * @see org.openxma.dsl.pom.model.VariableValue#getIntegerLiteral()
	 * @see #getVariableValue()
	 * @generated
	 */
	EAttribute getVariableValue_IntegerLiteral();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Proxy <em>Proxy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Proxy</em>'.
	 * @see org.openxma.dsl.pom.model.Proxy
	 * @generated
	 */
	EClass getProxy();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.Proxy#getUrl <em>Url</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Url</em>'.
	 * @see org.openxma.dsl.pom.model.Proxy#getUrl()
	 * @see #getProxy()
	 * @generated
	 */
    EAttribute getProxy_Url();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.Proxy#getProperties <em>Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Properties</em>'.
	 * @see org.openxma.dsl.pom.model.Proxy#getProperties()
	 * @see #getProxy()
	 * @generated
	 */
	EReference getProxy_Properties();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.PropertyJoin <em>Property Join</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Property Join</em>'.
	 * @see org.openxma.dsl.pom.model.PropertyJoin
	 * @generated
	 */
	EClass getPropertyJoin();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.PropertyJoin#getVariable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Variable</em>'.
	 * @see org.openxma.dsl.pom.model.PropertyJoin#getVariable()
	 * @see #getPropertyJoin()
	 * @generated
	 */
    EReference getPropertyJoin_Variable();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.PropertyJoin#getAccess <em>Access</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access</em>'.
	 * @see org.openxma.dsl.pom.model.PropertyJoin#getAccess()
	 * @see #getPropertyJoin()
	 * @generated
	 */
    EAttribute getPropertyJoin_Access();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.PropertyJoin#getStringLiteral <em>String Literal</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>String Literal</em>'.
	 * @see org.openxma.dsl.pom.model.PropertyJoin#getStringLiteral()
	 * @see #getPropertyJoin()
	 * @generated
	 */
    EAttribute getPropertyJoin_StringLiteral();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.PropertyJoin#getIntegerLiteral <em>Integer Literal</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Integer Literal</em>'.
	 * @see org.openxma.dsl.pom.model.PropertyJoin#getIntegerLiteral()
	 * @see #getPropertyJoin()
	 * @generated
	 */
    EAttribute getPropertyJoin_IntegerLiteral();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.PropertyJoin#getJoinDirection <em>Join Direction</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Join Direction</em>'.
	 * @see org.openxma.dsl.pom.model.PropertyJoin#getJoinDirection()
	 * @see #getPropertyJoin()
	 * @generated
	 */
    EAttribute getPropertyJoin_JoinDirection();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.PropertyJoin#getProperty <em>Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Property</em>'.
	 * @see org.openxma.dsl.pom.model.PropertyJoin#getProperty()
	 * @see #getPropertyJoin()
	 * @generated
	 */
	EReference getPropertyJoin_Property();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.Invokeable <em>Invokeable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Invokeable</em>'.
	 * @see org.openxma.dsl.pom.model.Invokeable
	 * @generated
	 */
	EClass getInvokeable();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.ExecuteStatement <em>Execute Statement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Execute Statement</em>'.
	 * @see org.openxma.dsl.pom.model.ExecuteStatement
	 * @generated
	 */
	EClass getExecuteStatement();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ExecuteStatement#getService <em>Service</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Service</em>'.
	 * @see org.openxma.dsl.pom.model.ExecuteStatement#getService()
	 * @see #getExecuteStatement()
	 * @generated
	 */
	EReference getExecuteStatement_Service();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ExecuteStatement#getOperation <em>Operation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Operation</em>'.
	 * @see org.openxma.dsl.pom.model.ExecuteStatement#getOperation()
	 * @see #getExecuteStatement()
	 * @generated
	 */
	EReference getExecuteStatement_Operation();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.ExecuteStatement#getDelegateOperation <em>Delegate Operation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Delegate Operation</em>'.
	 * @see org.openxma.dsl.pom.model.ExecuteStatement#getDelegateOperation()
	 * @see #getExecuteStatement()
	 * @generated
	 */
	EReference getExecuteStatement_DelegateOperation();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.ExecuteStatement#getParameterValues <em>Parameter Values</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parameter Values</em>'.
	 * @see org.openxma.dsl.pom.model.ExecuteStatement#getParameterValues()
	 * @see #getExecuteStatement()
	 * @generated
	 */
	EReference getExecuteStatement_ParameterValues();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.InvokeStatement <em>Invoke Statement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Invoke Statement</em>'.
	 * @see org.openxma.dsl.pom.model.InvokeStatement
	 * @generated
	 */
	EClass getInvokeStatement();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.InvokeStatement#getInvokeAble <em>Invoke Able</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Invoke Able</em>'.
	 * @see org.openxma.dsl.pom.model.InvokeStatement#getInvokeAble()
	 * @see #getInvokeStatement()
	 * @generated
	 */
	EReference getInvokeStatement_InvokeAble();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.InvokeStatement#getTargetPanel <em>Target Panel</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target Panel</em>'.
	 * @see org.openxma.dsl.pom.model.InvokeStatement#getTargetPanel()
	 * @see #getInvokeStatement()
	 * @generated
	 */
    EReference getInvokeStatement_TargetPanel();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.InvokeStatement#getPropertyJoin <em>Property Join</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Property Join</em>'.
	 * @see org.openxma.dsl.pom.model.InvokeStatement#getPropertyJoin()
	 * @see #getInvokeStatement()
	 * @generated
	 */
    EReference getInvokeStatement_PropertyJoin();

    /**
	 * Returns the meta object for class '{@link org.openxma.dsl.pom.model.CallStatement <em>Call Statement</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Call Statement</em>'.
	 * @see org.openxma.dsl.pom.model.CallStatement
	 * @generated
	 */
    EClass getCallStatement();

    /**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.pom.model.CallStatement#getCommand <em>Command</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Command</em>'.
	 * @see org.openxma.dsl.pom.model.CallStatement#getCommand()
	 * @see #getCallStatement()
	 * @generated
	 */
    EReference getCallStatement_Command();

    /**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.pom.model.CallStatement#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.dsl.pom.model.CallStatement#getLeft()
	 * @see #getCallStatement()
	 * @generated
	 */
    EReference getCallStatement_Left();

    /**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.pom.model.CallStatement#getJavaCommand <em>Java Command</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Java Command</em>'.
	 * @see org.openxma.dsl.pom.model.CallStatement#getJavaCommand()
	 * @see #getCallStatement()
	 * @generated
	 */
    EAttribute getCallStatement_JavaCommand();

    /**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.pom.model.CallStatement#getParameterValues <em>Parameter Values</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parameter Values</em>'.
	 * @see org.openxma.dsl.pom.model.CallStatement#getParameterValues()
	 * @see #getCallStatement()
	 * @generated
	 */
    EReference getCallStatement_ParameterValues();

    /**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.EventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Event Type</em>'.
	 * @see org.openxma.dsl.pom.model.EventType
	 * @generated
	 */
	EEnum getEventType();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.PredefinedCommand <em>Predefined Command</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Predefined Command</em>'.
	 * @see org.openxma.dsl.pom.model.PredefinedCommand
	 * @generated
	 */
	EEnum getPredefinedCommand();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.AttachmentOwnPosition <em>Attachment Own Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Attachment Own Position</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentOwnPosition
	 * @generated
	 */
	EEnum getAttachmentOwnPosition();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.RelativeSibling <em>Relative Sibling</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Relative Sibling</em>'.
	 * @see org.openxma.dsl.pom.model.RelativeSibling
	 * @generated
	 */
	EEnum getRelativeSibling();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.AttachmentSiblingPosition <em>Attachment Sibling Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Attachment Sibling Position</em>'.
	 * @see org.openxma.dsl.pom.model.AttachmentSiblingPosition
	 * @generated
	 */
	EEnum getAttachmentSiblingPosition();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.ContentAlignment <em>Content Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Content Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.ContentAlignment
	 * @generated
	 */
	EEnum getContentAlignment();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.TabAlignment <em>Tab Alignment</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Tab Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.TabAlignment
	 * @generated
	 */
    EEnum getTabAlignment();

    /**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.HorizontalAlignment <em>Horizontal Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Horizontal Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.HorizontalAlignment
	 * @generated
	 */
	EEnum getHorizontalAlignment();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.VerticalAlignment <em>Vertical Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Vertical Alignment</em>'.
	 * @see org.openxma.dsl.pom.model.VerticalAlignment
	 * @generated
	 */
	EEnum getVerticalAlignment();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.Orientation <em>Orientation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Orientation</em>'.
	 * @see org.openxma.dsl.pom.model.Orientation
	 * @generated
	 */
	EEnum getOrientation();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.ControlType <em>Control Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Control Type</em>'.
	 * @see org.openxma.dsl.pom.model.ControlType
	 * @generated
	 */
	EEnum getControlType();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.FieldPart <em>Field Part</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Field Part</em>'.
	 * @see org.openxma.dsl.pom.model.FieldPart
	 * @generated
	 */
	EEnum getFieldPart();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.TitleButton <em>Title Button</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Title Button</em>'.
	 * @see org.openxma.dsl.pom.model.TitleButton
	 * @generated
	 */
	EEnum getTitleButton();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.JoinDirection <em>Join Direction</em>}'.
	 * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Join Direction</em>'.
	 * @see org.openxma.dsl.pom.model.JoinDirection
	 * @generated
	 */
    EEnum getJoinDirection();

    /**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.StyleSelectorType <em>Style Selector Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Style Selector Type</em>'.
	 * @see org.openxma.dsl.pom.model.StyleSelectorType
	 * @generated
	 */
	EEnum getStyleSelectorType();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.BrowseControlType <em>Browse Control Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Browse Control Type</em>'.
	 * @see org.openxma.dsl.pom.model.BrowseControlType
	 * @generated
	 */
	EEnum getBrowseControlType();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.pom.model.PredefinedWidgetStyle <em>Predefined Widget Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Predefined Widget Style</em>'.
	 * @see org.openxma.dsl.pom.model.PredefinedWidgetStyle
	 * @generated
	 */
	EEnum getPredefinedWidgetStyle();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	PomFactory getPomFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.DataBindingElementImpl <em>Data Binding Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.DataBindingElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataBindingElement()
		 * @generated
		 */
		EClass DATA_BINDING_ELEMENT = eINSTANCE.getDataBindingElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.FieldFlagImpl <em>Field Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.FieldFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldFlag()
		 * @generated
		 */
		EClass FIELD_FLAG = eINSTANCE.getFieldFlag();

		/**
		 * The meta object literal for the '<em><b>Expression</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference FIELD_FLAG__EXPRESSION = eINSTANCE.getFieldFlag_Expression();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EnabledFlagImpl <em>Enabled Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EnabledFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEnabledFlag()
		 * @generated
		 */
		EClass ENABLED_FLAG = eINSTANCE.getEnabledFlag();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.MandatoryFlagImpl <em>Mandatory Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.MandatoryFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getMandatoryFlag()
		 * @generated
		 */
		EClass MANDATORY_FLAG = eINSTANCE.getMandatoryFlag();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.VisibleFlagImpl <em>Visible Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.VisibleFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVisibleFlag()
		 * @generated
		 */
		EClass VISIBLE_FLAG = eINSTANCE.getVisibleFlag();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CollapsedFlagImpl <em>Collapsed Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CollapsedFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCollapsedFlag()
		 * @generated
		 */
		EClass COLLAPSED_FLAG = eINSTANCE.getCollapsedFlag();

		/**
		 * The meta object literal for the '<em><b>Available Specified</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute COLLAPSED_FLAG__AVAILABLE_SPECIFIED = eINSTANCE.getCollapsedFlag_AvailableSpecified();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EditableFlagImpl <em>Editable Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EditableFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEditableFlag()
		 * @generated
		 */
		EClass EDITABLE_FLAG = eINSTANCE.getEditableFlag();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabableFlagImpl <em>Tabable Flag</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabableFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabableFlag()
		 * @generated
		 */
        EClass TABABLE_FLAG = eINSTANCE.getTabableFlag();

        /**
		 * The meta object literal for the '<em><b>Value</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TABABLE_FLAG__VALUE = eINSTANCE.getTabableFlag_Value();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.MultiselectionFlagImpl <em>Multiselection Flag</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.MultiselectionFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getMultiselectionFlag()
		 * @generated
		 */
        EClass MULTISELECTION_FLAG = eINSTANCE.getMultiselectionFlag();

        /**
		 * The meta object literal for the '<em><b>Multi Selection</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference MULTISELECTION_FLAG__MULTI_SELECTION = eINSTANCE.getMultiselectionFlag_MultiSelection();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StrictFlagImpl <em>Strict Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StrictFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStrictFlag()
		 * @generated
		 */
		EClass STRICT_FLAG = eINSTANCE.getStrictFlag();

								/**
		 * The meta object literal for the '<em><b>Strict</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STRICT_FLAG__STRICT = eINSTANCE.getStrictFlag_Strict();

								/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.LabelTextImpl <em>Label Text</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.LabelTextImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLabelText()
		 * @generated
		 */
		EClass LABEL_TEXT = eINSTANCE.getLabelText();

		/**
		 * The meta object literal for the '<em><b>Label</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LABEL_TEXT__LABEL = eINSTANCE.getLabelText_Label();

		/**
		 * The meta object literal for the '<em><b>Referenced Label String</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LABEL_TEXT__REFERENCED_LABEL_STRING = eINSTANCE.getLabelText_ReferencedLabelString();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ObjectPropertyImpl <em>Object Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ObjectPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getObjectProperty()
		 * @generated
		 */
		EClass OBJECT_PROPERTY = eINSTANCE.getObjectProperty();

		/**
		 * The meta object literal for the '<em><b>Public</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OBJECT_PROPERTY__PUBLIC = eINSTANCE.getObjectProperty_Public();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OBJECT_PROPERTY__TYPE = eINSTANCE.getObjectProperty_Type();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OBJECT_PROPERTY__NAME = eINSTANCE.getObjectProperty_Name();

		/**
		 * The meta object literal for the '<em><b>Default Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OBJECT_PROPERTY__DEFAULT_VALUE = eINSTANCE.getObjectProperty_DefaultValue();

		/**
		 * The meta object literal for the '<em><b>Read Only</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OBJECT_PROPERTY__READ_ONLY = eINSTANCE.getObjectProperty_ReadOnly();

		/**
		 * The meta object literal for the '<em><b>Required</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OBJECT_PROPERTY__REQUIRED = eINSTANCE.getObjectProperty_Required();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ComponentImpl <em>Component</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ComponentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComponent()
		 * @generated
		 */
		EClass COMPONENT = eINSTANCE.getComponent();

		/**
		 * The meta object literal for the '<em><b>Xma Component</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__XMA_COMPONENT = eINSTANCE.getComponent_XmaComponent();

		/**
		 * The meta object literal for the '<em><b>Style Property</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__STYLE_PROPERTY = eINSTANCE.getComponent_StyleProperty();

		/**
		 * The meta object literal for the '<em><b>Default Page</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference COMPONENT__DEFAULT_PAGE = eINSTANCE.getComponent_DefaultPage();

        /**
		 * The meta object literal for the '<em><b>Dependencies</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__DEPENDENCIES = eINSTANCE.getComponent_Dependencies();

		/**
		 * The meta object literal for the '<em><b>Component Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__COMPONENT_PROPERTIES = eINSTANCE.getComponent_ComponentProperties();

		/**
		 * The meta object literal for the '<em><b>Dataobjects</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__DATAOBJECTS = eINSTANCE.getComponent_Dataobjects();

		/**
		 * The meta object literal for the '<em><b>Commands</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__COMMANDS = eINSTANCE.getComponent_Commands();

		/**
		 * The meta object literal for the '<em><b>Events</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__EVENTS = eINSTANCE.getComponent_Events();

		/**
		 * The meta object literal for the '<em><b>Conditions Block</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__CONDITIONS_BLOCK = eINSTANCE.getComponent_ConditionsBlock();

		/**
		 * The meta object literal for the '<em><b>Pages</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__PAGES = eINSTANCE.getComponent_Pages();

		/**
		 * The meta object literal for the '<em><b>Definitions</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPONENT__DEFINITIONS = eINSTANCE.getComponent_Definitions();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMAGuiElementImpl <em>Referenced XMA Gui Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedXMAGuiElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAGuiElement()
		 * @generated
		 */
		EClass REFERENCED_XMA_GUI_ELEMENT = eINSTANCE.getReferencedXMAGuiElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMAPageImpl <em>Referenced XMA Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedXMAPageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAPage()
		 * @generated
		 */
		EClass REFERENCED_XMA_PAGE = eINSTANCE.getReferencedXMAPage();

		/**
		 * The meta object literal for the '<em><b>Xma Page</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_PAGE__XMA_PAGE = eINSTANCE.getReferencedXMAPage_XmaPage();

		/**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_PAGE__FIELD_FLAGS = eINSTANCE.getReferencedXMAPage_FieldFlags();

		/**
		 * The meta object literal for the '<em><b>Dependencies</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_PAGE__DEPENDENCIES = eINSTANCE.getReferencedXMAPage_Dependencies();

		/**
		 * The meta object literal for the '<em><b>Logic Block</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference REFERENCED_XMA_PAGE__LOGIC_BLOCK = eINSTANCE.getReferencedXMAPage_LogicBlock();

        /**
		 * The meta object literal for the '<em><b>Gray Logic</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_PAGE__GRAY_LOGIC = eINSTANCE.getReferencedXMAPage_GrayLogic();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedXMACompositeImpl <em>Referenced XMA Composite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedXMACompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedXMAComposite()
		 * @generated
		 */
		EClass REFERENCED_XMA_COMPOSITE = eINSTANCE.getReferencedXMAComposite();

		/**
		 * The meta object literal for the '<em><b>Referencing Page Composite</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REFERENCED_XMA_COMPOSITE__REFERENCING_PAGE_COMPOSITE = eINSTANCE.getReferencedXMAComposite_ReferencingPageComposite();

		/**
		 * The meta object literal for the '<em><b>Vertical Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REFERENCED_XMA_COMPOSITE__VERTICAL_PARTITIONING = eINSTANCE.getReferencedXMAComposite_VerticalPartitioning();

		/**
		 * The meta object literal for the '<em><b>Horizontal Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REFERENCED_XMA_COMPOSITE__HORIZONTAL_PARTITIONING = eINSTANCE.getReferencedXMAComposite_HorizontalPartitioning();

		/**
		 * The meta object literal for the '<em><b>Xma Composite</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_COMPOSITE__XMA_COMPOSITE = eINSTANCE.getReferencedXMAComposite_XmaComposite();

		/**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_XMA_COMPOSITE__FIELD_FLAGS = eINSTANCE.getReferencedXMAComposite_FieldFlags();

		/**
		 * The meta object literal for the '<em><b>Tabable Flag</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference REFERENCED_XMA_COMPOSITE__TABABLE_FLAG = eINSTANCE.getReferencedXMAComposite_TabableFlag();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.GrayLogicImpl <em>Gray Logic</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.GrayLogicImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGrayLogic()
		 * @generated
		 */
		EClass GRAY_LOGIC = eINSTANCE.getGrayLogic();

		/**
		 * The meta object literal for the '<em><b>Widget Gray Logic</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference GRAY_LOGIC__WIDGET_GRAY_LOGIC = eINSTANCE.getGrayLogic_WidgetGrayLogic();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.XMAWidgetGrayLogicImpl <em>XMA Widget Gray Logic</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.XMAWidgetGrayLogicImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXMAWidgetGrayLogic()
		 * @generated
		 */
		EClass XMA_WIDGET_GRAY_LOGIC = eINSTANCE.getXMAWidgetGrayLogic();

		/**
		 * The meta object literal for the '<em><b>Xma Widget</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMA_WIDGET_GRAY_LOGIC__XMA_WIDGET = eINSTANCE.getXMAWidgetGrayLogic_XmaWidget();

		/**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMA_WIDGET_GRAY_LOGIC__FIELD_FLAGS = eINSTANCE.getXMAWidgetGrayLogic_FieldFlags();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.DataObjectVariableImpl <em>Data Object Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.DataObjectVariableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataObjectVariable()
		 * @generated
		 */
		EClass DATA_OBJECT_VARIABLE = eINSTANCE.getDataObjectVariable();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_OBJECT_VARIABLE__TYPE = eINSTANCE.getDataObjectVariable_Type();

		/**
		 * The meta object literal for the '<em><b>Is Collection</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATA_OBJECT_VARIABLE__IS_COLLECTION = eINSTANCE.getDataObjectVariable_IsCollection();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATA_OBJECT_VARIABLE__NAME = eINSTANCE.getDataObjectVariable_Name();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TextPropertyImpl <em>Text Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TextPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTextProperty()
		 * @generated
		 */
		EClass TEXT_PROPERTY = eINSTANCE.getTextProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.LabelPropertyImpl <em>Label Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.LabelPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLabelProperty()
		 * @generated
		 */
		EClass LABEL_PROPERTY = eINSTANCE.getLabelProperty();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LABEL_PROPERTY__LABEL_TEXT = eINSTANCE.getLabelProperty_LabelText();

		/**
		 * The meta object literal for the '<em><b>Referenced Label String</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LABEL_PROPERTY__REFERENCED_LABEL_STRING = eINSTANCE.getLabelProperty_ReferencedLabelString();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TooltipPropertyImpl <em>Tooltip Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TooltipPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTooltipProperty()
		 * @generated
		 */
		EClass TOOLTIP_PROPERTY = eINSTANCE.getTooltipProperty();

		/**
		 * The meta object literal for the '<em><b>Tooltip Text</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TOOLTIP_PROPERTY__TOOLTIP_TEXT = eINSTANCE.getTooltipProperty_TooltipText();

		/**
		 * The meta object literal for the '<em><b>Referenced Tooltip String</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TOOLTIP_PROPERTY__REFERENCED_TOOLTIP_STRING = eINSTANCE.getTooltipProperty_ReferencedTooltipString();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.UnitPropertyImpl <em>Unit Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.UnitPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getUnitProperty()
		 * @generated
		 */
		EClass UNIT_PROPERTY = eINSTANCE.getUnitProperty();

		/**
		 * The meta object literal for the '<em><b>Unit Label Text</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute UNIT_PROPERTY__UNIT_LABEL_TEXT = eINSTANCE.getUnitProperty_UnitLabelText();

		/**
		 * The meta object literal for the '<em><b>Referenced Unit Label String</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference UNIT_PROPERTY__REFERENCED_UNIT_LABEL_STRING = eINSTANCE.getUnitProperty_ReferencedUnitLabelString();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IFieldImpl <em>IField</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IFieldImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIField()
		 * @generated
		 */
		EClass IFIELD = eINSTANCE.getIField();

		/**
		 * The meta object literal for the '<em><b>Object</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IFIELD__OBJECT = eINSTANCE.getIField_Object();

		/**
		 * The meta object literal for the '<em><b>Feature</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IFIELD__FEATURE = eINSTANCE.getIField_Feature();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.FieldFeatureImpl <em>Field Feature</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.FieldFeatureImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldFeature()
		 * @generated
		 */
		EClass FIELD_FEATURE = eINSTANCE.getFieldFeature();

		/**
		 * The meta object literal for the '<em><b>Feature</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FIELD_FEATURE__FEATURE = eINSTANCE.getFieldFeature_Feature();

		/**
		 * The meta object literal for the '<em><b>Sub Feature</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FIELD_FEATURE__SUB_FEATURE = eINSTANCE.getFieldFeature_SubFeature();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.FieldReferenceImpl <em>Field Reference</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.FieldReferenceImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldReference()
		 * @generated
		 */
		EClass FIELD_REFERENCE = eINSTANCE.getFieldReference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl <em>Customizeable Field</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizeableFieldImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizeableField()
		 * @generated
		 */
		EClass CUSTOMIZEABLE_FIELD = eINSTANCE.getCustomizeableField();

		/**
		 * The meta object literal for the '<em><b>Control Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CUSTOMIZEABLE_FIELD__CONTROL_TYPE = eINSTANCE.getCustomizeableField_ControlType();

		/**
		 * The meta object literal for the '<em><b>Parts</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZEABLE_FIELD__PARTS = eINSTANCE.getCustomizeableField_Parts();

		/**
		 * The meta object literal for the '<em><b>Multi Line</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZEABLE_FIELD__MULTI_LINE = eINSTANCE.getCustomizeableField_MultiLine();

		/**
		 * The meta object literal for the '<em><b>Constraints</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZEABLE_FIELD__CONSTRAINTS = eINSTANCE.getCustomizeableField_Constraints();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZEABLE_FIELD__FORMAT = eINSTANCE.getCustomizeableField_Format();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES = eINSTANCE.getCustomizeableField_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.FieldPartSpecificationImpl <em>Field Part Specification</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.FieldPartSpecificationImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldPartSpecification()
		 * @generated
		 */
		EClass FIELD_PART_SPECIFICATION = eINSTANCE.getFieldPartSpecification();

		/**
		 * The meta object literal for the '<em><b>Part</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FIELD_PART_SPECIFICATION__PART = eINSTANCE.getFieldPartSpecification_Part();

		/**
		 * The meta object literal for the '<em><b>Layout Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FIELD_PART_SPECIFICATION__LAYOUT_PROPERTIES = eINSTANCE.getFieldPartSpecification_LayoutProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CommandImpl <em>Command</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CommandImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCommand()
		 * @generated
		 */
		EClass COMMAND = eINSTANCE.getCommand();

		/**
		 * The meta object literal for the '<em><b>Doc</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMMAND__DOC = eINSTANCE.getCommand_Doc();

		/**
		 * The meta object literal for the '<em><b>Client Only</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMMAND__CLIENT_ONLY = eINSTANCE.getCommand_ClientOnly();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMMAND__NAME = eINSTANCE.getCommand_Name();

		/**
		 * The meta object literal for the '<em><b>Implementation</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMMAND__IMPLEMENTATION = eINSTANCE.getCommand_Implementation();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EventFunctionImpl <em>Event Function</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EventFunctionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventFunction()
		 * @generated
		 */
		EClass EVENT_FUNCTION = eINSTANCE.getEventFunction();

		/**
		 * The meta object literal for the '<em><b>Command</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EVENT_FUNCTION__COMMAND = eINSTANCE.getEventFunction_Command();

		/**
		 * The meta object literal for the '<em><b>Predefined Command</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EVENT_FUNCTION__PREDEFINED_COMMAND = eINSTANCE.getEventFunction_PredefinedCommand();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EventMappingListImpl <em>Event Mapping List</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EventMappingListImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventMappingList()
		 * @generated
		 */
		EClass EVENT_MAPPING_LIST = eINSTANCE.getEventMappingList();

		/**
		 * The meta object literal for the '<em><b>Mapping</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EVENT_MAPPING_LIST__MAPPING = eINSTANCE.getEventMappingList_Mapping();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EventMappingImpl <em>Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventMapping()
		 * @generated
		 */
		EClass EVENT_MAPPING = eINSTANCE.getEventMapping();

		/**
		 * The meta object literal for the '<em><b>Event Functions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EVENT_MAPPING__EVENT_FUNCTIONS = eINSTANCE.getEventMapping_EventFunctions();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ControlEventMappingImpl <em>Control Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ControlEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getControlEventMapping()
		 * @generated
		 */
		EClass CONTROL_EVENT_MAPPING = eINSTANCE.getControlEventMapping();

		/**
		 * The meta object literal for the '<em><b>Event</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONTROL_EVENT_MAPPING__EVENT = eINSTANCE.getControlEventMapping_Event();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.XMAWidgetEventMappingImpl <em>XMA Widget Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.XMAWidgetEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXMAWidgetEventMapping()
		 * @generated
		 */
		EClass XMA_WIDGET_EVENT_MAPPING = eINSTANCE.getXMAWidgetEventMapping();

		/**
		 * The meta object literal for the '<em><b>Control</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMA_WIDGET_EVENT_MAPPING__CONTROL = eINSTANCE.getXMAWidgetEventMapping_Control();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.GuiElementEventMappingImpl <em>Gui Element Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.GuiElementEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElementEventMapping()
		 * @generated
		 */
		EClass GUI_ELEMENT_EVENT_MAPPING = eINSTANCE.getGuiElementEventMapping();

		/**
		 * The meta object literal for the '<em><b>Control</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference GUI_ELEMENT_EVENT_MAPPING__CONTROL = eINSTANCE.getGuiElementEventMapping_Control();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.InitEventMappingImpl <em>Init Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.InitEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getInitEventMapping()
		 * @generated
		 */
		EClass INIT_EVENT_MAPPING = eINSTANCE.getInitEventMapping();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.EnterEventMappingImpl <em>Enter Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.EnterEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEnterEventMapping()
		 * @generated
		 */
		EClass ENTER_EVENT_MAPPING = eINSTANCE.getEnterEventMapping();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.LeaveEventMappingImpl <em>Leave Event Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.LeaveEventMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLeaveEventMapping()
		 * @generated
		 */
		EClass LEAVE_EVENT_MAPPING = eINSTANCE.getLeaveEventMapping();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.DataMappingListImpl <em>Data Mapping List</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.DataMappingListImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataMappingList()
		 * @generated
		 */
		EClass DATA_MAPPING_LIST = eINSTANCE.getDataMappingList();

		/**
		 * The meta object literal for the '<em><b>Mapping</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_MAPPING_LIST__MAPPING = eINSTANCE.getDataMappingList_Mapping();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.DataMappingImpl <em>Data Mapping</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.DataMappingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDataMapping()
		 * @generated
		 */
		EClass DATA_MAPPING = eINSTANCE.getDataMapping();

		/**
		 * The meta object literal for the '<em><b>Control</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_MAPPING__CONTROL = eINSTANCE.getDataMapping_Control();

		/**
		 * The meta object literal for the '<em><b>Binding Element</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_MAPPING__BINDING_ELEMENT = eINSTANCE.getDataMapping_BindingElement();

		/**
		 * The meta object literal for the '<em><b>Field</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_MAPPING__FIELD = eINSTANCE.getDataMapping_Field();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PageDefinitionImpl <em>Page Definition</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PageDefinitionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageDefinition()
		 * @generated
		 */
		EClass PAGE_DEFINITION = eINSTANCE.getPageDefinition();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PageImpl <em>Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPage()
		 * @generated
		 */
		EClass PAGE = eINSTANCE.getPage();

		/**
		 * The meta object literal for the '<em><b>Compose Layout</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__COMPOSE_LAYOUT = eINSTANCE.getPage_ComposeLayout();

		/**
		 * The meta object literal for the '<em><b>Dataobjects</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__DATAOBJECTS = eINSTANCE.getPage_Dataobjects();

		/**
		 * The meta object literal for the '<em><b>Data Mapping</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__DATA_MAPPING = eINSTANCE.getPage_DataMapping();

		/**
		 * The meta object literal for the '<em><b>Commands</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__COMMANDS = eINSTANCE.getPage_Commands();

		/**
		 * The meta object literal for the '<em><b>Events</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__EVENTS = eINSTANCE.getPage_Events();

		/**
		 * The meta object literal for the '<em><b>Conditions Block</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__CONDITIONS_BLOCK = eINSTANCE.getPage_ConditionsBlock();

		/**
		 * The meta object literal for the '<em><b>Definitions</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE__DEFINITIONS = eINSTANCE.getPage_Definitions();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.XmadslPageImpl <em>Xmadsl Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.XmadslPageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmadslPage()
		 * @generated
		 */
		EClass XMADSL_PAGE = eINSTANCE.getXmadslPage();

		/**
		 * The meta object literal for the '<em><b>Abstract</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMADSL_PAGE__ABSTRACT = eINSTANCE.getXmadslPage_Abstract();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMADSL_PAGE__NAME = eINSTANCE.getXmadslPage_Name();

		/**
		 * The meta object literal for the '<em><b>Template</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__TEMPLATE = eINSTANCE.getXmadslPage_Template();

		/**
		 * The meta object literal for the '<em><b>Dependencies</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__DEPENDENCIES = eINSTANCE.getXmadslPage_Dependencies();

		/**
		 * The meta object literal for the '<em><b>Page Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__PAGE_PROPERTIES = eINSTANCE.getXmadslPage_PageProperties();

		/**
		 * The meta object literal for the '<em><b>Menus</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference XMADSL_PAGE__MENUS = eINSTANCE.getXmadslPage_Menus();

        /**
		 * The meta object literal for the '<em><b>Logic Block</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference XMADSL_PAGE__LOGIC_BLOCK = eINSTANCE.getXmadslPage_LogicBlock();

        /**
		 * The meta object literal for the '<em><b>Extensions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__EXTENSIONS = eINSTANCE.getXmadslPage_Extensions();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.MenuImpl <em>Menu</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.MenuImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getMenu()
		 * @generated
		 */
        EClass MENU = eINSTANCE.getMenu();

        /**
		 * The meta object literal for the '<em><b>Menu Items</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference MENU__MENU_ITEMS = eINSTANCE.getMenu_MenuItems();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.DropDownMenuImpl <em>Drop Down Menu</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.DropDownMenuImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDropDownMenu()
		 * @generated
		 */
        EClass DROP_DOWN_MENU = eINSTANCE.getDropDownMenu();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabMenuImpl <em>Tab Menu</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabMenuImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabMenu()
		 * @generated
		 */
        EClass TAB_MENU = eINSTANCE.getTabMenu();

        /**
		 * The meta object literal for the '<em><b>Panel</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TAB_MENU__PANEL = eINSTANCE.getTabMenu_Panel();

        /**
		 * The meta object literal for the '<em><b>Alignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute TAB_MENU__ALIGNMENT = eINSTANCE.getTabMenu_Alignment();

        /**
		 * The meta object literal for the '<em><b>Defaultselection</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TAB_MENU__DEFAULTSELECTION = eINSTANCE.getTabMenu_Defaultselection();

								/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TreeMenuImpl <em>Tree Menu</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TreeMenuImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTreeMenu()
		 * @generated
		 */
        EClass TREE_MENU = eINSTANCE.getTreeMenu();

        /**
		 * The meta object literal for the '<em><b>Panel</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TREE_MENU__PANEL = eINSTANCE.getTreeMenu_Panel();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.MenuItemImpl <em>Menu Item</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.MenuItemImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getMenuItem()
		 * @generated
		 */
        EClass MENU_ITEM = eINSTANCE.getMenuItem();

        /**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MENU_ITEM__NAME = eINSTANCE.getMenuItem_Name();

								/**
		 * The meta object literal for the '<em><b>Label</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute MENU_ITEM__LABEL = eINSTANCE.getMenuItem_Label();

        /**
		 * The meta object literal for the '<em><b>Accelerator</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute MENU_ITEM__ACCELERATOR = eINSTANCE.getMenuItem_Accelerator();

        /**
		 * The meta object literal for the '<em><b>Image</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute MENU_ITEM__IMAGE = eINSTANCE.getMenuItem_Image();

        /**
		 * The meta object literal for the '<em><b>Defaultselection</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MENU_ITEM__DEFAULTSELECTION = eINSTANCE.getMenuItem_Defaultselection();

								/**
		 * The meta object literal for the '<em><b>Enabled</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference MENU_ITEM__ENABLED = eINSTANCE.getMenuItem_Enabled();

        /**
		 * The meta object literal for the '<em><b>Menu Item</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference MENU_ITEM__MENU_ITEM = eINSTANCE.getMenuItem_MenuItem();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.LogicBlockImpl <em>Logic Block</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.LogicBlockImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLogicBlock()
		 * @generated
		 */
        EClass LOGIC_BLOCK = eINSTANCE.getLogicBlock();

        /**
		 * The meta object literal for the '<em><b>Logic Item</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference LOGIC_BLOCK__LOGIC_ITEM = eINSTANCE.getLogicBlock_LogicItem();

        /**
		 * The meta object literal for the '<em><b>Conditioned Logic</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference LOGIC_BLOCK__CONDITIONED_LOGIC = eINSTANCE.getLogicBlock_ConditionedLogic();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ConditionedLogicImpl <em>Conditioned Logic</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ConditionedLogicImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getConditionedLogic()
		 * @generated
		 */
        EClass CONDITIONED_LOGIC = eINSTANCE.getConditionedLogic();

        /**
		 * The meta object literal for the '<em><b>Status Flag</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference CONDITIONED_LOGIC__STATUS_FLAG = eINSTANCE.getConditionedLogic_StatusFlag();

        /**
		 * The meta object literal for the '<em><b>Default</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute CONDITIONED_LOGIC__DEFAULT = eINSTANCE.getConditionedLogic_Default();

        /**
		 * The meta object literal for the '<em><b>Logic Item</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference CONDITIONED_LOGIC__LOGIC_ITEM = eINSTANCE.getConditionedLogic_LogicItem();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.LogicItemImpl <em>Logic Item</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.LogicItemImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLogicItem()
		 * @generated
		 */
        EClass LOGIC_ITEM = eINSTANCE.getLogicItem();

        /**
		 * The meta object literal for the '<em><b>Gui Element</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference LOGIC_ITEM__GUI_ELEMENT = eINSTANCE.getLogicItem_GuiElement();

        /**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference LOGIC_ITEM__FIELD_FLAGS = eINSTANCE.getLogicItem_FieldFlags();

        /**
		 * The meta object literal for the '<em><b>Tabable Flag</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference LOGIC_ITEM__TABABLE_FLAG = eINSTANCE.getLogicItem_TabableFlag();

        /**
		 * The meta object literal for the '<em><b>Column Order</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference LOGIC_ITEM__COLUMN_ORDER = eINSTANCE.getLogicItem_ColumnOrder();

        /**
		 * The meta object literal for the '<em><b>Tab Settings</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference LOGIC_ITEM__TAB_SETTINGS = eINSTANCE.getLogicItem_TabSettings();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ColumnOrderImpl <em>Column Order</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ColumnOrderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getColumnOrder()
		 * @generated
		 */
        EClass COLUMN_ORDER = eINSTANCE.getColumnOrder();

        /**
		 * The meta object literal for the '<em><b>Column Infos</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference COLUMN_ORDER__COLUMN_INFOS = eINSTANCE.getColumnOrder_ColumnInfos();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabSettingImpl <em>Tab Setting</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabSettingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabSetting()
		 * @generated
		 */
        EClass TAB_SETTING = eINSTANCE.getTabSetting();

        /**
		 * The meta object literal for the '<em><b>Ordered Elements</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TAB_SETTING__ORDERED_ELEMENTS = eINSTANCE.getTabSetting_OrderedElements();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ColumnInfoImpl <em>Column Info</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ColumnInfoImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getColumnInfo()
		 * @generated
		 */
        EClass COLUMN_INFO = eINSTANCE.getColumnInfo();

        /**
		 * The meta object literal for the '<em><b>Columns</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference COLUMN_INFO__COLUMNS = eINSTANCE.getColumnInfo_Columns();

        /**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute COLUMN_INFO__WIDTH = eINSTANCE.getColumnInfo_Width();

        /**
		 * The meta object literal for the '<em><b>Relative Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute COLUMN_INFO__RELATIVE_WIDTH = eINSTANCE.getColumnInfo_RelativeWidth();

        /**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference COLUMN_INFO__LABEL_TEXT = eINSTANCE.getColumnInfo_LabelText();

        /**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__LABEL_TEXT = eINSTANCE.getXmadslPage_LabelText();

		/**
		 * The meta object literal for the '<em><b>Page Property</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_PAGE__PAGE_PROPERTY = eINSTANCE.getXmadslPage_PageProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PageCustomizationImpl <em>Page Customization</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PageCustomizationImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageCustomization()
		 * @generated
		 */
		EClass PAGE_CUSTOMIZATION = eINSTANCE.getPageCustomization();

		/**
		 * The meta object literal for the '<em><b>Page To Customize</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE_CUSTOMIZATION__PAGE_TO_CUSTOMIZE = eINSTANCE.getPageCustomization_PageToCustomize();

		/**
		 * The meta object literal for the '<em><b>Composites</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAGE_CUSTOMIZATION__COMPOSITES = eINSTANCE.getPageCustomization_Composites();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.GuiElementImpl <em>Gui Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.GuiElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElement()
		 * @generated
		 */
		EClass GUI_ELEMENT = eINSTANCE.getGuiElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CompositeImpl <em>Composite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposite()
		 * @generated
		 */
		EClass COMPOSITE = eINSTANCE.getComposite();

		/**
		 * The meta object literal for the '<em><b>Content</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSITE__CONTENT = eINSTANCE.getComposite_Content();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ComposedElementImpl <em>Composed Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ComposedElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposedElement()
		 * @generated
		 */
		EClass COMPOSED_ELEMENT = eINSTANCE.getComposedElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ComplexElementImpl <em>Complex Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ComplexElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComplexElement()
		 * @generated
		 */
		EClass COMPLEX_ELEMENT = eINSTANCE.getComplexElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.SimpleElementImpl <em>Simple Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.SimpleElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSimpleElement()
		 * @generated
		 */
		EClass SIMPLE_ELEMENT = eINSTANCE.getSimpleElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IGuiElementWithEventImpl <em>IGui Element With Event</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IGuiElementWithEventImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIGuiElementWithEvent()
		 * @generated
		 */
		EClass IGUI_ELEMENT_WITH_EVENT = eINSTANCE.getIGuiElementWithEvent();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.GuiElementWithEvent_dummyImpl <em>Gui Element With Event dummy</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.GuiElementWithEvent_dummyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getGuiElementWithEvent_dummy()
		 * @generated
		 */
		EClass GUI_ELEMENT_WITH_EVENT_DUMMY = eINSTANCE.getGuiElementWithEvent_dummy();

		/**
		 * The meta object literal for the '<em><b>Dummy Property</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GUI_ELEMENT_WITH_EVENT_DUMMY__DUMMY_PROPERTY = eINSTANCE.getGuiElementWithEvent_dummy_DummyProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TextImpl <em>Text</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TextImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getText()
		 * @generated
		 */
		EClass TEXT = eINSTANCE.getText();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TEXT__NAME = eINSTANCE.getText_Name();

		/**
		 * The meta object literal for the '<em><b>Alignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TEXT__ALIGNMENT = eINSTANCE.getText_Alignment();

		/**
		 * The meta object literal for the '<em><b>Multi Line</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TEXT__MULTI_LINE = eINSTANCE.getText_MultiLine();

		/**
		 * The meta object literal for the '<em><b>Constraints</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TEXT__CONSTRAINTS = eINSTANCE.getText_Constraints();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TEXT__FORMAT = eINSTANCE.getText_Format();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TEXT__TYPE = eINSTANCE.getText_Type();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TEXT__TEXT_PROPERTIES = eINSTANCE.getText_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ComboImpl <em>Combo</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ComboImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCombo()
		 * @generated
		 */
		EClass COMBO = eINSTANCE.getCombo();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMBO__NAME = eINSTANCE.getCombo_Name();

		/**
		 * The meta object literal for the '<em><b>Constraints</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMBO__CONSTRAINTS = eINSTANCE.getCombo_Constraints();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMBO__FORMAT = eINSTANCE.getCombo_Format();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMBO__TYPE = eINSTANCE.getCombo_Type();

		/**
		 * The meta object literal for the '<em><b>Strict Flag</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMBO__STRICT_FLAG = eINSTANCE.getCombo_StrictFlag();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMBO__TEXT_PROPERTIES = eINSTANCE.getCombo_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CheckBoxImpl <em>Check Box</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CheckBoxImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCheckBox()
		 * @generated
		 */
		EClass CHECK_BOX = eINSTANCE.getCheckBox();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CHECK_BOX__NAME = eINSTANCE.getCheckBox_Name();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CHECK_BOX__LABEL_TEXT = eINSTANCE.getCheckBox_LabelText();

		/**
		 * The meta object literal for the '<em><b>Constraints</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CHECK_BOX__CONSTRAINTS = eINSTANCE.getCheckBox_Constraints();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CHECK_BOX__FORMAT = eINSTANCE.getCheckBox_Format();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CHECK_BOX__TEXT_PROPERTIES = eINSTANCE.getCheckBox_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ListBoxImpl <em>List Box</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ListBoxImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getListBox()
		 * @generated
		 */
		EClass LIST_BOX = eINSTANCE.getListBox();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LIST_BOX__NAME = eINSTANCE.getListBox_Name();

		/**
		 * The meta object literal for the '<em><b>Multiselection Flag</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference LIST_BOX__MULTISELECTION_FLAG = eINSTANCE.getListBox_MultiselectionFlag();

        /**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LIST_BOX__TEXT_PROPERTIES = eINSTANCE.getListBox_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IncludePanelImpl <em>Include Panel</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IncludePanelImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIncludePanel()
		 * @generated
		 */
        EClass INCLUDE_PANEL = eINSTANCE.getIncludePanel();

        /**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INCLUDE_PANEL__NAME = eINSTANCE.getIncludePanel_Name();

								/**
		 * The meta object literal for the '<em><b>Xma Component</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference INCLUDE_PANEL__XMA_COMPONENT = eINSTANCE.getIncludePanel_XmaComponent();

        /**
		 * The meta object literal for the '<em><b>Component</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INCLUDE_PANEL__COMPONENT = eINSTANCE.getIncludePanel_Component();

								/**
		 * The meta object literal for the '<em><b>Embedded Page</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference INCLUDE_PANEL__EMBEDDED_PAGE = eINSTANCE.getIncludePanel_EmbeddedPage();

        /**
		 * The meta object literal for the '<em><b>Xmadsl Page</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INCLUDE_PANEL__XMADSL_PAGE = eINSTANCE.getIncludePanel_XmadslPage();

								/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TreeImpl <em>Tree</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TreeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTree()
		 * @generated
		 */
		EClass TREE = eINSTANCE.getTree();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TREE__NAME = eINSTANCE.getTree_Name();

								/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TREE__TEXT_PROPERTIES = eINSTANCE.getTree_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.RadioButtonImpl <em>Radio Button</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.RadioButtonImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRadioButton()
		 * @generated
		 */
		EClass RADIO_BUTTON = eINSTANCE.getRadioButton();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute RADIO_BUTTON__NAME = eINSTANCE.getRadioButton_Name();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RADIO_BUTTON__LABEL_TEXT = eINSTANCE.getRadioButton_LabelText();

		/**
		 * The meta object literal for the '<em><b>Constraints</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RADIO_BUTTON__CONSTRAINTS = eINSTANCE.getRadioButton_Constraints();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RADIO_BUTTON__FORMAT = eINSTANCE.getRadioButton_Format();

		/**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RADIO_BUTTON__TEXT_PROPERTIES = eINSTANCE.getRadioButton_TextProperties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.SeperatorImpl <em>Seperator</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.SeperatorImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSeperator()
		 * @generated
		 */
		EClass SEPERATOR = eINSTANCE.getSeperator();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SEPERATOR__NAME = eINSTANCE.getSeperator_Name();

		/**
		 * The meta object literal for the '<em><b>Orientation</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SEPERATOR__ORIENTATION = eINSTANCE.getSeperator_Orientation();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.LabelImpl <em>Label</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.LabelImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLabel()
		 * @generated
		 */
		EClass LABEL = eINSTANCE.getLabel();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LABEL__NAME = eINSTANCE.getLabel_Name();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LABEL__LABEL_TEXT = eINSTANCE.getLabel_LabelText();

		/**
		 * The meta object literal for the '<em><b>Image Uri</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LABEL__IMAGE_URI = eINSTANCE.getLabel_ImageUri();

		/**
		 * The meta object literal for the '<em><b>Image Uri Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference LABEL__IMAGE_URI_REFERENCE = eINSTANCE.getLabel_ImageUriReference();

		/**
		 * The meta object literal for the '<em><b>Alignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute LABEL__ALIGNMENT = eINSTANCE.getLabel_Alignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ImageImpl <em>Image</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ImageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getImage()
		 * @generated
		 */
		EClass IMAGE = eINSTANCE.getImage();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMAGE__NAME = eINSTANCE.getImage_Name();

		/**
		 * The meta object literal for the '<em><b>Image Uri</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMAGE__IMAGE_URI = eINSTANCE.getImage_ImageUri();

		/**
		 * The meta object literal for the '<em><b>Image Uri Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IMAGE__IMAGE_URI_REFERENCE = eINSTANCE.getImage_ImageUriReference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ButtonImpl <em>Button</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ButtonImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getButton()
		 * @generated
		 */
		EClass BUTTON = eINSTANCE.getButton();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BUTTON__NAME = eINSTANCE.getButton_Name();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUTTON__LABEL_TEXT = eINSTANCE.getButton_LabelText();

		/**
		 * The meta object literal for the '<em><b>Image Uri</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BUTTON__IMAGE_URI = eINSTANCE.getButton_ImageUri();

		/**
		 * The meta object literal for the '<em><b>Image Uri Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference BUTTON__IMAGE_URI_REFERENCE = eINSTANCE.getButton_ImageUriReference();

		/**
		 * The meta object literal for the '<em><b>Alignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BUTTON__ALIGNMENT = eINSTANCE.getButton_Alignment();

		/**
		 * The meta object literal for the '<em><b>Toggle</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BUTTON__TOGGLE = eINSTANCE.getButton_Toggle();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ICompositeImpl <em>IComposite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ICompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIComposite()
		 * @generated
		 */
		EClass ICOMPOSITE = eINSTANCE.getIComposite();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.XmadslCompositeImpl <em>Xmadsl Composite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.XmadslCompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmadslComposite()
		 * @generated
		 */
		EClass XMADSL_COMPOSITE = eINSTANCE.getXmadslComposite();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMADSL_COMPOSITE__NAME = eINSTANCE.getXmadslComposite_Name();

		/**
		 * The meta object literal for the '<em><b>Scrollable</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_COMPOSITE__SCROLLABLE = eINSTANCE.getXmadslComposite_Scrollable();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_COMPOSITE__LABEL_TEXT = eINSTANCE.getXmadslComposite_LabelText();

		/**
		 * The meta object literal for the '<em><b>Vertical Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMADSL_COMPOSITE__VERTICAL_PARTITIONING = eINSTANCE.getXmadslComposite_VerticalPartitioning();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.SplitPanelImpl <em>Split Panel</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.SplitPanelImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSplitPanel()
		 * @generated
		 */
		EClass SPLIT_PANEL = eINSTANCE.getSplitPanel();

		/**
		 * The meta object literal for the '<em><b>Split Position</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SPLIT_PANEL__SPLIT_POSITION = eINSTANCE.getSplitPanel_SplitPosition();

		/**
		 * The meta object literal for the '<em><b>Orientation</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SPLIT_PANEL__ORIENTATION = eINSTANCE.getSplitPanel_Orientation();

		/**
		 * The meta object literal for the '<em><b>First Panel</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SPLIT_PANEL__FIRST_PANEL = eINSTANCE.getSplitPanel_FirstPanel();

		/**
		 * The meta object literal for the '<em><b>Second Panel</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SPLIT_PANEL__SECOND_PANEL = eINSTANCE.getSplitPanel_SecondPanel();

		/**
		 * The meta object literal for the '<em><b>Horizontal Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMADSL_COMPOSITE__HORIZONTAL_PARTITIONING = eINSTANCE.getXmadslComposite_HorizontalPartitioning();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedCompositeImpl <em>Referenced Composite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedCompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedComposite()
		 * @generated
		 */
		EClass REFERENCED_COMPOSITE = eINSTANCE.getReferencedComposite();

		/**
		 * The meta object literal for the '<em><b>Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_COMPOSITE__REFERENCE = eINSTANCE.getReferencedComposite_Reference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TableComboImpl <em>Table Combo</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TableComboImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTableCombo()
		 * @generated
		 */
        EClass TABLE_COMBO = eINSTANCE.getTableCombo();

        /**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute TABLE_COMBO__NAME = eINSTANCE.getTableCombo_Name();

        /**
		 * The meta object literal for the '<em><b>Object</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TABLE_COMBO__OBJECT = eINSTANCE.getTableCombo_Object();

        /**
		 * The meta object literal for the '<em><b>Key</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TABLE_COMBO__KEY = eINSTANCE.getTableCombo_Key();

        /**
		 * The meta object literal for the '<em><b>Text Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE_COMBO__TEXT_PROPERTIES = eINSTANCE.getTableCombo_TextProperties();

								/**
		 * The meta object literal for the '<em><b>Columns</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TABLE_COMBO__COLUMNS = eINSTANCE.getTableCombo_Columns();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TableImpl <em>Table</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTable()
		 * @generated
		 */
		EClass TABLE = eINSTANCE.getTable();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE__NAME = eINSTANCE.getTable_Name();

		/**
		 * The meta object literal for the '<em><b>Object</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__OBJECT = eINSTANCE.getTable_Object();

		/**
		 * The meta object literal for the '<em><b>Key</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__KEY = eINSTANCE.getTable_Key();

		/**
		 * The meta object literal for the '<em><b>Column Min Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE__COLUMN_MIN_WIDTH = eINSTANCE.getTable_ColumnMinWidth();

		/**
		 * The meta object literal for the '<em><b>Multiselection Flag</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TABLE__MULTISELECTION_FLAG = eINSTANCE.getTable_MultiselectionFlag();

        /**
		 * The meta object literal for the '<em><b>Oneway</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__ONEWAY = eINSTANCE.getTable_Oneway();

		/**
		 * The meta object literal for the '<em><b>Gridvisible</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__GRIDVISIBLE = eINSTANCE.getTable_Gridvisible();

		/**
		 * The meta object literal for the '<em><b>Sortindicator</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__SORTINDICATOR = eINSTANCE.getTable_Sortindicator();

		/**
		 * The meta object literal for the '<em><b>Pageable</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__PAGEABLE = eINSTANCE.getTable_Pageable();

		/**
		 * The meta object literal for the '<em><b>Filterable</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__FILTERABLE = eINSTANCE.getTable_Filterable();

		/**
		 * The meta object literal for the '<em><b>Check Selection</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__CHECK_SELECTION = eINSTANCE.getTable_CheckSelection();

		/**
		 * The meta object literal for the '<em><b>Collapsed</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__COLLAPSED = eINSTANCE.getTable_Collapsed();

		/**
		 * The meta object literal for the '<em><b>Columns</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE__COLUMNS = eINSTANCE.getTable_Columns();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TableColumnImpl <em>Table Column</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TableColumnImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTableColumn()
		 * @generated
		 */
		EClass TABLE_COLUMN = eINSTANCE.getTableColumn();

		/**
		 * The meta object literal for the '<em><b>Object</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE_COLUMN__OBJECT = eINSTANCE.getTableColumn_Object();

		/**
		 * The meta object literal for the '<em><b>Feature</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE_COLUMN__FEATURE = eINSTANCE.getTableColumn_Feature();

		/**
		 * The meta object literal for the '<em><b>Column Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__COLUMN_NAME = eINSTANCE.getTableColumn_ColumnName();

		/**
		 * The meta object literal for the '<em><b>Visible</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE_COLUMN__VISIBLE = eINSTANCE.getTableColumn_Visible();

		/**
		 * The meta object literal for the '<em><b>Label</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABLE_COLUMN__LABEL = eINSTANCE.getTableColumn_Label();

		/**
		 * The meta object literal for the '<em><b>Style Property</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TABLE_COLUMN__STYLE_PROPERTY = eINSTANCE.getTableColumn_StyleProperty();

        /**
		 * The meta object literal for the '<em><b>Align</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__ALIGN = eINSTANCE.getTableColumn_Align();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__WIDTH = eINSTANCE.getTableColumn_Width();

		/**
		 * The meta object literal for the '<em><b>Relative Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__RELATIVE_WIDTH = eINSTANCE.getTableColumn_RelativeWidth();

		/**
		 * The meta object literal for the '<em><b>Min Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__MIN_WIDTH = eINSTANCE.getTableColumn_MinWidth();

		/**
		 * The meta object literal for the '<em><b>Max Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_COLUMN__MAX_WIDTH = eINSTANCE.getTableColumn_MaxWidth();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ITabFolderImpl <em>ITab Folder</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ITabFolderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getITabFolder()
		 * @generated
		 */
		EClass ITAB_FOLDER = eINSTANCE.getITabFolder();

		/**
		 * The meta object literal for the '<em><b>Tab Items</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ITAB_FOLDER__TAB_ITEMS = eINSTANCE.getITabFolder_TabItems();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabFolderImpl <em>Tab Folder</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabFolderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabFolder()
		 * @generated
		 */
		EClass TAB_FOLDER = eINSTANCE.getTabFolder();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TAB_FOLDER__NAME = eINSTANCE.getTabFolder_Name();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedTabFolderImpl <em>Referenced Tab Folder</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedTabFolderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedTabFolder()
		 * @generated
		 */
		EClass REFERENCED_TAB_FOLDER = eINSTANCE.getReferencedTabFolder();

		/**
		 * The meta object literal for the '<em><b>Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_TAB_FOLDER__REFERENCE = eINSTANCE.getReferencedTabFolder_Reference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ITabPageImpl <em>ITab Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ITabPageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getITabPage()
		 * @generated
		 */
		EClass ITAB_PAGE = eINSTANCE.getITabPage();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabPageImpl <em>Tab Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabPageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabPage()
		 * @generated
		 */
		EClass TAB_PAGE = eINSTANCE.getTabPage();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TAB_PAGE__NAME = eINSTANCE.getTabPage_Name();

		/**
		 * The meta object literal for the '<em><b>Label Text</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TAB_PAGE__LABEL_TEXT = eINSTANCE.getTabPage_LabelText();

		/**
		 * The meta object literal for the '<em><b>Scrollable</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TAB_PAGE__SCROLLABLE = eINSTANCE.getTabPage_Scrollable();

		/**
		 * The meta object literal for the '<em><b>Style Property</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TAB_PAGE__STYLE_PROPERTY = eINSTANCE.getTabPage_StyleProperty();

        /**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TAB_PAGE__FIELD_FLAGS = eINSTANCE.getTabPage_FieldFlags();

		/**
		 * The meta object literal for the '<em><b>Tabable Flag</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TAB_PAGE__TABABLE_FLAG = eINSTANCE.getTabPage_TabableFlag();

        /**
		 * The meta object literal for the '<em><b>Page Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TAB_PAGE__PAGE_PROPERTIES = eINSTANCE.getTabPage_PageProperties();

		/**
		 * The meta object literal for the '<em><b>Logic Block</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference TAB_PAGE__LOGIC_BLOCK = eINSTANCE.getTabPage_LogicBlock();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ReferencedTabPageImpl <em>Referenced Tab Page</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ReferencedTabPageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getReferencedTabPage()
		 * @generated
		 */
		EClass REFERENCED_TAB_PAGE = eINSTANCE.getReferencedTabPage();

		/**
		 * The meta object literal for the '<em><b>Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCED_TAB_PAGE__REFERENCE = eINSTANCE.getReferencedTabPage_Reference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.LayoutDataPropertyImpl <em>Layout Data Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.LayoutDataPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getLayoutDataProperty()
		 * @generated
		 */
		EClass LAYOUT_DATA_PROPERTY = eINSTANCE.getLayoutDataProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PagePropertyImpl <em>Page Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PagePropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPageProperty()
		 * @generated
		 */
		EClass PAGE_PROPERTY = eINSTANCE.getPageProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.HeightPropertyImpl <em>Height Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.HeightPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getHeightProperty()
		 * @generated
		 */
		EClass HEIGHT_PROPERTY = eINSTANCE.getHeightProperty();

		/**
		 * The meta object literal for the '<em><b>Height In Char</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute HEIGHT_PROPERTY__HEIGHT_IN_CHAR = eINSTANCE.getHeightProperty_HeightInChar();

        /**
		 * The meta object literal for the '<em><b>Negative</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute HEIGHT_PROPERTY__NEGATIVE = eINSTANCE.getHeightProperty_Negative();

        /**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute HEIGHT_PROPERTY__HEIGHT = eINSTANCE.getHeightProperty_Height();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.WidthPropertyImpl <em>Width Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.WidthPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getWidthProperty()
		 * @generated
		 */
		EClass WIDTH_PROPERTY = eINSTANCE.getWidthProperty();

		/**
		 * The meta object literal for the '<em><b>Width In Char</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute WIDTH_PROPERTY__WIDTH_IN_CHAR = eINSTANCE.getWidthProperty_WidthInChar();

        /**
		 * The meta object literal for the '<em><b>Negative</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute WIDTH_PROPERTY__NEGATIVE = eINSTANCE.getWidthProperty_Negative();

        /**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WIDTH_PROPERTY__WIDTH = eINSTANCE.getWidthProperty_Width();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.AttachmentPropertyImpl <em>Attachment Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.AttachmentPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentProperty()
		 * @generated
		 */
		EClass ATTACHMENT_PROPERTY = eINSTANCE.getAttachmentProperty();

		/**
		 * The meta object literal for the '<em><b>Own Position</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ATTACHMENT_PROPERTY__OWN_POSITION = eINSTANCE.getAttachmentProperty_OwnPosition();

		/**
		 * The meta object literal for the '<em><b>Attachment Specification</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ATTACHMENT_PROPERTY__ATTACHMENT_SPECIFICATION = eINSTANCE.getAttachmentProperty_AttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyImpl <em>Style Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleProperty()
		 * @generated
		 */
		EClass STYLE_PROPERTY = eINSTANCE.getStyleProperty();

		/**
		 * The meta object literal for the '<em><b>Styles</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY__STYLES = eINSTANCE.getStyleProperty_Styles();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ModalityPropertyImpl <em>Modality Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ModalityPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getModalityProperty()
		 * @generated
		 */
		EClass MODALITY_PROPERTY = eINSTANCE.getModalityProperty();

		/**
		 * The meta object literal for the '<em><b>Modality</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MODALITY_PROPERTY__MODALITY = eINSTANCE.getModalityProperty_Modality();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ImagePropertyImpl <em>Image Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ImagePropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getImageProperty()
		 * @generated
		 */
		EClass IMAGE_PROPERTY = eINSTANCE.getImageProperty();

		/**
		 * The meta object literal for the '<em><b>Image Uri</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMAGE_PROPERTY__IMAGE_URI = eINSTANCE.getImageProperty_ImageUri();

		/**
		 * The meta object literal for the '<em><b>Image Uri Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IMAGE_PROPERTY__IMAGE_URI_REFERENCE = eINSTANCE.getImageProperty_ImageUriReference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TitleButtonsPropertyImpl <em>Title Buttons Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TitleButtonsPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTitleButtonsProperty()
		 * @generated
		 */
		EClass TITLE_BUTTONS_PROPERTY = eINSTANCE.getTitleButtonsProperty();

		/**
		 * The meta object literal for the '<em><b>Button</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TITLE_BUTTONS_PROPERTY__BUTTON = eINSTANCE.getTitleButtonsProperty_Button();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ResizeablePropertyImpl <em>Resizeable Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ResizeablePropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getResizeableProperty()
		 * @generated
		 */
		EClass RESIZEABLE_PROPERTY = eINSTANCE.getResizeableProperty();

		/**
		 * The meta object literal for the '<em><b>Resizeable</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute RESIZEABLE_PROPERTY__RESIZEABLE = eINSTANCE.getResizeableProperty_Resizeable();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StatusBarPropertyImpl <em>Status Bar Property</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StatusBarPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStatusBarProperty()
		 * @generated
		 */
        EClass STATUS_BAR_PROPERTY = eINSTANCE.getStatusBarProperty();

        /**
		 * The meta object literal for the '<em><b>Status Bar</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute STATUS_BAR_PROPERTY__STATUS_BAR = eINSTANCE.getStatusBarProperty_StatusBar();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CenterPropertyImpl <em>Center Property</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CenterPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCenterProperty()
		 * @generated
		 */
        EClass CENTER_PROPERTY = eINSTANCE.getCenterProperty();

        /**
		 * The meta object literal for the '<em><b>Center</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute CENTER_PROPERTY__CENTER = eINSTANCE.getCenterProperty_Center();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.AlignmentPropertyImpl <em>Alignment Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.AlignmentPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAlignmentProperty()
		 * @generated
		 */
		EClass ALIGNMENT_PROPERTY = eINSTANCE.getAlignmentProperty();

		/**
		 * The meta object literal for the '<em><b>HAlignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ALIGNMENT_PROPERTY__HALIGNMENT = eINSTANCE.getAlignmentProperty_HAlignment();

		/**
		 * The meta object literal for the '<em><b>VAlignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ALIGNMENT_PROPERTY__VALIGNMENT = eINSTANCE.getAlignmentProperty_VAlignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ComposeDataImpl <em>Compose Data</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ComposeDataImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getComposeData()
		 * @generated
		 */
		EClass COMPOSE_DATA = eINSTANCE.getComposeData();

		/**
		 * The meta object literal for the '<em><b>Tabulators</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__TABULATORS = eINSTANCE.getComposeData_Tabulators();

		/**
		 * The meta object literal for the '<em><b>Referenced Tabulator</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__REFERENCED_TABULATOR = eINSTANCE.getComposeData_ReferencedTabulator();

		/**
		 * The meta object literal for the '<em><b>Cell Widths</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__CELL_WIDTHS = eINSTANCE.getComposeData_CellWidths();

		/**
		 * The meta object literal for the '<em><b>Cell Widths Count</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMPOSE_DATA__CELL_WIDTHS_COUNT = eINSTANCE.getComposeData_CellWidthsCount();

		/**
		 * The meta object literal for the '<em><b>Cell Heights</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__CELL_HEIGHTS = eINSTANCE.getComposeData_CellHeights();

		/**
		 * The meta object literal for the '<em><b>Spacing</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__SPACING = eINSTANCE.getComposeData_Spacing();

		/**
		 * The meta object literal for the '<em><b>Margin</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMPOSE_DATA__MARGIN = eINSTANCE.getComposeData_Margin();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PaddingWidthImpl <em>Padding Width</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PaddingWidthImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPaddingWidth()
		 * @generated
		 */
		EClass PADDING_WIDTH = eINSTANCE.getPaddingWidth();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PADDING_WIDTH__WIDTH = eINSTANCE.getPaddingWidth_Width();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IAttachmentPositionImpl <em>IAttachment Position</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IAttachmentPositionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIAttachmentPosition()
		 * @generated
		 */
		EClass IATTACHMENT_POSITION = eINSTANCE.getIAttachmentPosition();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IATTACHMENT_POSITION__NAME = eINSTANCE.getIAttachmentPosition_Name();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IATTACHMENT_POSITION__WIDTH = eINSTANCE.getIAttachmentPosition_Width();

		/**
		 * The meta object literal for the '<em><b>Width In Char</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute IATTACHMENT_POSITION__WIDTH_IN_CHAR = eINSTANCE.getIAttachmentPosition_WidthInChar();

        /**
		 * The meta object literal for the '<em><b>Negative After Char</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute IATTACHMENT_POSITION__NEGATIVE_AFTER_CHAR = eINSTANCE.getIAttachmentPosition_NegativeAfterChar();

        /**
		 * The meta object literal for the '<em><b>Relative</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IATTACHMENT_POSITION__RELATIVE = eINSTANCE.getIAttachmentPosition_Relative();

		/**
		 * The meta object literal for the '<em><b>Offset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IATTACHMENT_POSITION__OFFSET = eINSTANCE.getIAttachmentPosition_Offset();

		/**
		 * The meta object literal for the '<em><b>Referenced Position</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IATTACHMENT_POSITION__REFERENCED_POSITION = eINSTANCE.getIAttachmentPosition_ReferencedPosition();

		/**
		 * The meta object literal for the '<em><b>Additional Offset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IATTACHMENT_POSITION__ADDITIONAL_OFFSET = eINSTANCE.getIAttachmentPosition_AdditionalOffset();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabulatorDefinitionImpl <em>Tabulator Definition</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabulatorDefinitionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorDefinition()
		 * @generated
		 */
		EClass TABULATOR_DEFINITION = eINSTANCE.getTabulatorDefinition();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABULATOR_DEFINITION__NAME = eINSTANCE.getTabulatorDefinition_Name();

		/**
		 * The meta object literal for the '<em><b>Tabulators</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABULATOR_DEFINITION__TABULATORS = eINSTANCE.getTabulatorDefinition_Tabulators();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StringDefinitionImpl <em>String Definition</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StringDefinitionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStringDefinition()
		 * @generated
		 */
		EClass STRING_DEFINITION = eINSTANCE.getStringDefinition();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRING_DEFINITION__NAME = eINSTANCE.getStringDefinition_Name();

		/**
		 * The meta object literal for the '<em><b>Text</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRING_DEFINITION__TEXT = eINSTANCE.getStringDefinition_Text();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IntegerDefinitionImpl <em>Integer Definition</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IntegerDefinitionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIntegerDefinition()
		 * @generated
		 */
		EClass INTEGER_DEFINITION = eINSTANCE.getIntegerDefinition();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INTEGER_DEFINITION__NAME = eINSTANCE.getIntegerDefinition_Name();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INTEGER_DEFINITION__VALUE = eINSTANCE.getIntegerDefinition_Value();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ImageUriImpl <em>Image Uri</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ImageUriImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getImageUri()
		 * @generated
		 */
		EClass IMAGE_URI = eINSTANCE.getImageUri();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMAGE_URI__NAME = eINSTANCE.getImageUri_Name();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMAGE_URI__SOURCE = eINSTANCE.getImageUri_Source();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.DefinitionsImpl <em>Definitions</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.DefinitionsImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getDefinitions()
		 * @generated
		 */
		EClass DEFINITIONS = eINSTANCE.getDefinitions();

		/**
		 * The meta object literal for the '<em><b>Strings</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DEFINITIONS__STRINGS = eINSTANCE.getDefinitions_Strings();

		/**
		 * The meta object literal for the '<em><b>Integers</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DEFINITIONS__INTEGERS = eINSTANCE.getDefinitions_Integers();

		/**
		 * The meta object literal for the '<em><b>Image Sources</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DEFINITIONS__IMAGE_SOURCES = eINSTANCE.getDefinitions_ImageSources();

		/**
		 * The meta object literal for the '<em><b>Positions</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DEFINITIONS__POSITIONS = eINSTANCE.getDefinitions_Positions();

		/**
		 * The meta object literal for the '<em><b>Tabulators</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DEFINITIONS__TABULATORS = eINSTANCE.getDefinitions_Tabulators();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabulatorPositionImpl <em>Tabulator Position</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabulatorPositionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorPosition()
		 * @generated
		 */
		EClass TABULATOR_POSITION = eINSTANCE.getTabulatorPosition();

		/**
		 * The meta object literal for the '<em><b>Floating Position</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABULATOR_POSITION__FLOATING_POSITION = eINSTANCE.getTabulatorPosition_FloatingPosition();

		/**
		 * The meta object literal for the '<em><b>Filling Position</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABULATOR_POSITION__FILLING_POSITION = eINSTANCE.getTabulatorPosition_FillingPosition();

		/**
		 * The meta object literal for the '<em><b>Delta Specification</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABULATOR_POSITION__DELTA_SPECIFICATION = eINSTANCE.getTabulatorPosition_DeltaSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.AttachmentPositionImpl <em>Attachment Position</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.AttachmentPositionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentPosition()
		 * @generated
		 */
		EClass ATTACHMENT_POSITION = eINSTANCE.getAttachmentPosition();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ContentImpl <em>Content</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ContentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getContent()
		 * @generated
		 */
		EClass CONTENT = eINSTANCE.getContent();

		/**
		 * The meta object literal for the '<em><b>Widget Set Items</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTENT__WIDGET_SET_ITEMS = eINSTANCE.getContent_WidgetSetItems();

		/**
		 * The meta object literal for the '<em><b>Container Items</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTENT__CONTAINER_ITEMS = eINSTANCE.getContent_ContainerItems();

		/**
		 * The meta object literal for the '<em><b>Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTENT__ELEMENTS = eINSTANCE.getContent_Elements();

		/**
		 * The meta object literal for the '<em><b>Compose Layout</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTENT__COMPOSE_LAYOUT = eINSTANCE.getContent_ComposeLayout();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.SetOfGuiElementsImpl <em>Set Of Gui Elements</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.SetOfGuiElementsImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSetOfGuiElements()
		 * @generated
		 */
		EClass SET_OF_GUI_ELEMENTS = eINSTANCE.getSetOfGuiElements();

		/**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference SET_OF_GUI_ELEMENTS__FIELD_FLAGS = eINSTANCE.getSetOfGuiElements_FieldFlags();

        /**
		 * The meta object literal for the '<em><b>Tabable Flag</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference SET_OF_GUI_ELEMENTS__TABABLE_FLAG = eINSTANCE.getSetOfGuiElements_TabableFlag();

        /**
		 * The meta object literal for the '<em><b>Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SET_OF_GUI_ELEMENTS__ELEMENTS = eINSTANCE.getSetOfGuiElements_Elements();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.AttachmentSpecificationImpl <em>Attachment Specification</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.AttachmentSpecificationImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentSpecification()
		 * @generated
		 */
		EClass ATTACHMENT_SPECIFICATION = eINSTANCE.getAttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.NoneAttachmentImpl <em>None Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.NoneAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getNoneAttachment()
		 * @generated
		 */
		EClass NONE_ATTACHMENT = eINSTANCE.getNoneAttachment();

		/**
		 * The meta object literal for the '<em><b>None</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute NONE_ATTACHMENT__NONE = eINSTANCE.getNoneAttachment_None();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ParentAttachmentImpl <em>Parent Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ParentAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getParentAttachment()
		 * @generated
		 */
		EClass PARENT_ATTACHMENT = eINSTANCE.getParentAttachment();

		/**
		 * The meta object literal for the '<em><b>Distance In Char</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute PARENT_ATTACHMENT__DISTANCE_IN_CHAR = eINSTANCE.getParentAttachment_DistanceInChar();

        /**
		 * The meta object literal for the '<em><b>Negative</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute PARENT_ATTACHMENT__NEGATIVE = eINSTANCE.getParentAttachment_Negative();

        /**
		 * The meta object literal for the '<em><b>Distance</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARENT_ATTACHMENT__DISTANCE = eINSTANCE.getParentAttachment_Distance();

		/**
		 * The meta object literal for the '<em><b>Relative</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARENT_ATTACHMENT__RELATIVE = eINSTANCE.getParentAttachment_Relative();

		/**
		 * The meta object literal for the '<em><b>Offset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PARENT_ATTACHMENT__OFFSET = eINSTANCE.getParentAttachment_Offset();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IElementOnWhichCanBeAttachedImpl <em>IElement On Which Can Be Attached</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IElementOnWhichCanBeAttachedImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIElementOnWhichCanBeAttached()
		 * @generated
		 */
		EClass IELEMENT_ON_WHICH_CAN_BE_ATTACHED = eINSTANCE.getIElementOnWhichCanBeAttached();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.SiblingAttachmentImpl <em>Sibling Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.SiblingAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSiblingAttachment()
		 * @generated
		 */
		EClass SIBLING_ATTACHMENT = eINSTANCE.getSiblingAttachment();

		/**
		 * The meta object literal for the '<em><b>Sibling Position</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SIBLING_ATTACHMENT__SIBLING_POSITION = eINSTANCE.getSiblingAttachment_SiblingPosition();

		/**
		 * The meta object literal for the '<em><b>Offset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SIBLING_ATTACHMENT__OFFSET = eINSTANCE.getSiblingAttachment_Offset();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.AbsoluteSiblingAttachmentImpl <em>Absolute Sibling Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.AbsoluteSiblingAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAbsoluteSiblingAttachment()
		 * @generated
		 */
		EClass ABSOLUTE_SIBLING_ATTACHMENT = eINSTANCE.getAbsoluteSiblingAttachment();

		/**
		 * The meta object literal for the '<em><b>Sibling</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ABSOLUTE_SIBLING_ATTACHMENT__SIBLING = eINSTANCE.getAbsoluteSiblingAttachment_Sibling();

		/**
		 * The meta object literal for the '<em><b>Field Part</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ABSOLUTE_SIBLING_ATTACHMENT__FIELD_PART = eINSTANCE.getAbsoluteSiblingAttachment_FieldPart();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.RelativeSiblingAttachmentImpl <em>Relative Sibling Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.RelativeSiblingAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRelativeSiblingAttachment()
		 * @generated
		 */
		EClass RELATIVE_SIBLING_ATTACHMENT = eINSTANCE.getRelativeSiblingAttachment();

		/**
		 * The meta object literal for the '<em><b>Relative Sibling</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute RELATIVE_SIBLING_ATTACHMENT__RELATIVE_SIBLING = eINSTANCE.getRelativeSiblingAttachment_RelativeSibling();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TabulatorAttachmentImpl <em>Tabulator Attachment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TabulatorAttachmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabulatorAttachment()
		 * @generated
		 */
		EClass TABULATOR_ATTACHMENT = eINSTANCE.getTabulatorAttachment();

		/**
		 * The meta object literal for the '<em><b>Tab Index</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABULATOR_ATTACHMENT__TAB_INDEX = eINSTANCE.getTabulatorAttachment_TabIndex();

		/**
		 * The meta object literal for the '<em><b>Sibling</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABULATOR_ATTACHMENT__SIBLING = eINSTANCE.getTabulatorAttachment_Sibling();

		/**
		 * The meta object literal for the '<em><b>Offset</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TABULATOR_ATTACHMENT__OFFSET = eINSTANCE.getTabulatorAttachment_Offset();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.OffsetImpl <em>Offset</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.OffsetImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getOffset()
		 * @generated
		 */
		EClass OFFSET = eINSTANCE.getOffset();

		/**
		 * The meta object literal for the '<em><b>Negative Char</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute OFFSET__NEGATIVE_CHAR = eINSTANCE.getOffset_NegativeChar();

        /**
		 * The meta object literal for the '<em><b>Value In Char</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute OFFSET__VALUE_IN_CHAR = eINSTANCE.getOffset_ValueInChar();

        /**
		 * The meta object literal for the '<em><b>Negative</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OFFSET__NEGATIVE = eINSTANCE.getOffset_Negative();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OFFSET__VALUE = eINSTANCE.getOffset_Value();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.FieldVariableImpl <em>Field Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.FieldVariableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldVariable()
		 * @generated
		 */
		EClass FIELD_VARIABLE = eINSTANCE.getFieldVariable();

		/**
		 * The meta object literal for the '<em><b>Field</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FIELD_VARIABLE__FIELD = eINSTANCE.getFieldVariable_Field();

		/**
		 * The meta object literal for the '<em><b>Access</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FIELD_VARIABLE__ACCESS = eINSTANCE.getFieldVariable_Access();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.XmaVariableImpl <em>Xma Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.XmaVariableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getXmaVariable()
		 * @generated
		 */
		EClass XMA_VARIABLE = eINSTANCE.getXmaVariable();

		/**
		 * The meta object literal for the '<em><b>Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMA_VARIABLE__REFERENCE = eINSTANCE.getXmaVariable_Reference();

		/**
		 * The meta object literal for the '<em><b>Access</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMA_VARIABLE__ACCESS = eINSTANCE.getXmaVariable_Access();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizeComponentModelImpl <em>Customize Component Model</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizeComponentModelImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizeComponentModel()
		 * @generated
		 */
		EClass CUSTOMIZE_COMPONENT_MODEL = eINSTANCE.getCustomizeComponentModel();

		/**
		 * The meta object literal for the '<em><b>Imports</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZE_COMPONENT_MODEL__IMPORTS = eINSTANCE.getCustomizeComponentModel_Imports();

		/**
		 * The meta object literal for the '<em><b>Component</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZE_COMPONENT_MODEL__COMPONENT = eINSTANCE.getCustomizeComponentModel_Component();

		/**
		 * The meta object literal for the '<em><b>Customizations</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZE_COMPONENT_MODEL__CUSTOMIZATIONS = eINSTANCE.getCustomizeComponentModel_Customizations();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfGuiElementImpl <em>Customization Of Gui Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizationOfGuiElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfGuiElement()
		 * @generated
		 */
		EClass CUSTOMIZATION_OF_GUI_ELEMENT = eINSTANCE.getCustomizationOfGuiElement();

		/**
		 * The meta object literal for the '<em><b>Page</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_GUI_ELEMENT__PAGE = eINSTANCE.getCustomizationOfGuiElement_Page();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfCompositeImpl <em>Customization Of Composite</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizationOfCompositeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfComposite()
		 * @generated
		 */
		EClass CUSTOMIZATION_OF_COMPOSITE = eINSTANCE.getCustomizationOfComposite();

		/**
		 * The meta object literal for the '<em><b>Composite</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_COMPOSITE__COMPOSITE = eINSTANCE.getCustomizationOfComposite_Composite();

		/**
		 * The meta object literal for the '<em><b>Compose Layout</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_COMPOSITE__COMPOSE_LAYOUT = eINSTANCE.getCustomizationOfComposite_ComposeLayout();

		/**
		 * The meta object literal for the '<em><b>Added Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_COMPOSITE__ADDED_ELEMENTS = eINSTANCE.getCustomizationOfComposite_AddedElements();

		/**
		 * The meta object literal for the '<em><b>Vertical Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CUSTOMIZATION_OF_COMPOSITE__VERTICAL_PARTITIONING = eINSTANCE.getCustomizationOfComposite_VerticalPartitioning();

		/**
		 * The meta object literal for the '<em><b>Horizontal Partitioning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CUSTOMIZATION_OF_COMPOSITE__HORIZONTAL_PARTITIONING = eINSTANCE.getCustomizationOfComposite_HorizontalPartitioning();

		/**
		 * The meta object literal for the '<em><b>Added Widget Set Items</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_COMPOSITE__ADDED_WIDGET_SET_ITEMS = eINSTANCE.getCustomizationOfComposite_AddedWidgetSetItems();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CustomizationOfTabFolderImpl <em>Customization Of Tab Folder</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CustomizationOfTabFolderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCustomizationOfTabFolder()
		 * @generated
		 */
		EClass CUSTOMIZATION_OF_TAB_FOLDER = eINSTANCE.getCustomizationOfTabFolder();

		/**
		 * The meta object literal for the '<em><b>Tab Folder</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_TAB_FOLDER__TAB_FOLDER = eINSTANCE.getCustomizationOfTabFolder_TabFolder();

		/**
		 * The meta object literal for the '<em><b>Added Tab Items</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUSTOMIZATION_OF_TAB_FOLDER__ADDED_TAB_ITEMS = eINSTANCE.getCustomizationOfTabFolder_AddedTabItems();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IElementWithLayoutDataImpl <em>IElement With Layout Data</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IElementWithLayoutDataImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIElementWithLayoutData()
		 * @generated
		 */
		EClass IELEMENT_WITH_LAYOUT_DATA = eINSTANCE.getIElementWithLayoutData();

		/**
		 * The meta object literal for the '<em><b>Layout Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IELEMENT_WITH_LAYOUT_DATA__LAYOUT_PROPERTIES = eINSTANCE.getIElementWithLayoutData_LayoutProperties();

		/**
		 * The meta object literal for the '<em><b>Field Flags</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IELEMENT_WITH_LAYOUT_DATA__FIELD_FLAGS = eINSTANCE.getIElementWithLayoutData_FieldFlags();

		/**
		 * The meta object literal for the '<em><b>Tabable Flag</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference IELEMENT_WITH_LAYOUT_DATA__TABABLE_FLAG = eINSTANCE.getIElementWithLayoutData_TabableFlag();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StyleSpecificationImpl <em>Style Specification</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StyleSpecificationImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSpecification()
		 * @generated
		 */
		EClass STYLE_SPECIFICATION = eINSTANCE.getStyleSpecification();

		/**
		 * The meta object literal for the '<em><b>Model Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_SPECIFICATION__MODEL_ELEMENTS = eINSTANCE.getStyleSpecification_ModelElements();

		/**
		 * The meta object literal for the '<em><b>Propagation</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_SPECIFICATION__PROPAGATION = eINSTANCE.getStyleSpecification_Propagation();

		/**
		 * The meta object literal for the '<em><b>Super Styles</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_SPECIFICATION__SUPER_STYLES = eINSTANCE.getStyleSpecification_SuperStyles();

		/**
		 * The meta object literal for the '<em><b>Style Property</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_SPECIFICATION__STYLE_PROPERTY = eINSTANCE.getStyleSpecification_StyleProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ModelElementSpecificationImpl <em>Model Element Specification</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ModelElementSpecificationImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getModelElementSpecification()
		 * @generated
		 */
		EClass MODEL_ELEMENT_SPECIFICATION = eINSTANCE.getModelElementSpecification();

		/**
		 * The meta object literal for the '<em><b>Model Element</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODEL_ELEMENT_SPECIFICATION__MODEL_ELEMENT = eINSTANCE.getModelElementSpecification_ModelElement();

		/**
		 * The meta object literal for the '<em><b>Combined Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODEL_ELEMENT_SPECIFICATION__COMBINED_ELEMENTS = eINSTANCE.getModelElementSpecification_CombinedElements();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.SelectedModelElementImpl <em>Selected Model Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.SelectedModelElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getSelectedModelElement()
		 * @generated
		 */
		EClass SELECTED_MODEL_ELEMENT = eINSTANCE.getSelectedModelElement();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SELECTED_MODEL_ELEMENT__TYPE = eINSTANCE.getSelectedModelElement_Type();

		/**
		 * The meta object literal for the '<em><b>Simple Type</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SELECTED_MODEL_ELEMENT__SIMPLE_TYPE = eINSTANCE.getSelectedModelElement_SimpleType();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SELECTED_MODEL_ELEMENT__NAME = eINSTANCE.getSelectedModelElement_Name();

		/**
		 * The meta object literal for the '<em><b>Pseudo Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SELECTED_MODEL_ELEMENT__PSEUDO_CLASS = eINSTANCE.getSelectedModelElement_PseudoClass();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CombinedModelElementImpl <em>Combined Model Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CombinedModelElementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCombinedModelElement()
		 * @generated
		 */
		EClass COMBINED_MODEL_ELEMENT = eINSTANCE.getCombinedModelElement();

		/**
		 * The meta object literal for the '<em><b>Child</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMBINED_MODEL_ELEMENT__CHILD = eINSTANCE.getCombinedModelElement_Child();

		/**
		 * The meta object literal for the '<em><b>Next</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COMBINED_MODEL_ELEMENT__NEXT = eINSTANCE.getCombinedModelElement_Next();

		/**
		 * The meta object literal for the '<em><b>Model Element</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMBINED_MODEL_ELEMENT__MODEL_ELEMENT = eINSTANCE.getCombinedModelElement_ModelElement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StyleSpecificationPropertyImpl <em>Style Specification Property</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StyleSpecificationPropertyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSpecificationProperty()
		 * @generated
		 */
		EClass STYLE_SPECIFICATION_PROPERTY = eINSTANCE.getStyleSpecificationProperty();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyFieldPartImpl <em>Style Property Field Part</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyFieldPartImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyFieldPart()
		 * @generated
		 */
		EClass STYLE_PROPERTY_FIELD_PART = eINSTANCE.getStylePropertyFieldPart();

		/**
		 * The meta object literal for the '<em><b>Parts</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_FIELD_PART__PARTS = eINSTANCE.getStylePropertyFieldPart_Parts();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyLeftImpl <em>Style Property Left</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyLeftImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyLeft()
		 * @generated
		 */
		EClass STYLE_PROPERTY_LEFT = eINSTANCE.getStylePropertyLeft();

		/**
		 * The meta object literal for the '<em><b>Attachment Specification</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_LEFT__ATTACHMENT_SPECIFICATION = eINSTANCE.getStylePropertyLeft_AttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyRightImpl <em>Style Property Right</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyRightImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyRight()
		 * @generated
		 */
		EClass STYLE_PROPERTY_RIGHT = eINSTANCE.getStylePropertyRight();

		/**
		 * The meta object literal for the '<em><b>Attachment Specification</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_RIGHT__ATTACHMENT_SPECIFICATION = eINSTANCE.getStylePropertyRight_AttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTopImpl <em>Style Property Top</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyTopImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTop()
		 * @generated
		 */
		EClass STYLE_PROPERTY_TOP = eINSTANCE.getStylePropertyTop();

		/**
		 * The meta object literal for the '<em><b>Attachment Specification</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_TOP__ATTACHMENT_SPECIFICATION = eINSTANCE.getStylePropertyTop_AttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBottomImpl <em>Style Property Bottom</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyBottomImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBottom()
		 * @generated
		 */
		EClass STYLE_PROPERTY_BOTTOM = eINSTANCE.getStylePropertyBottom();

		/**
		 * The meta object literal for the '<em><b>Attachment Specification</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_BOTTOM__ATTACHMENT_SPECIFICATION = eINSTANCE.getStylePropertyBottom_AttachmentSpecification();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyWidthImpl <em>Style Property Width</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyWidthImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyWidth()
		 * @generated
		 */
		EClass STYLE_PROPERTY_WIDTH = eINSTANCE.getStylePropertyWidth();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_WIDTH__WIDTH = eINSTANCE.getStylePropertyWidth_Width();

		/**
		 * The meta object literal for the '<em><b>Width In Char</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute STYLE_PROPERTY_WIDTH__WIDTH_IN_CHAR = eINSTANCE.getStylePropertyWidth_WidthInChar();

        /**
		 * The meta object literal for the '<em><b>Negative After Char</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute STYLE_PROPERTY_WIDTH__NEGATIVE_AFTER_CHAR = eINSTANCE.getStylePropertyWidth_NegativeAfterChar();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyHeightImpl <em>Style Property Height</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyHeightImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyHeight()
		 * @generated
		 */
		EClass STYLE_PROPERTY_HEIGHT = eINSTANCE.getStylePropertyHeight();

		/**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_HEIGHT__HEIGHT = eINSTANCE.getStylePropertyHeight_Height();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTabulatorImpl <em>Style Property Tabulator</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyTabulatorImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTabulator()
		 * @generated
		 */
		EClass STYLE_PROPERTY_TABULATOR = eINSTANCE.getStylePropertyTabulator();

		/**
		 * The meta object literal for the '<em><b>Tabulators</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_TABULATOR__TABULATORS = eINSTANCE.getStylePropertyTabulator_Tabulators();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBorderImpl <em>Style Property Border</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyBorderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBorder()
		 * @generated
		 */
		EClass STYLE_PROPERTY_BORDER = eINSTANCE.getStylePropertyBorder();

		/**
		 * The meta object literal for the '<em><b>None Border</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_BORDER__NONE_BORDER = eINSTANCE.getStylePropertyBorder_NoneBorder();

		/**
		 * The meta object literal for the '<em><b>Solid</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_BORDER__SOLID = eINSTANCE.getStylePropertyBorder_Solid();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyForegroundColorImpl <em>Style Property Foreground Color</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyForegroundColorImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyForegroundColor()
		 * @generated
		 */
		EClass STYLE_PROPERTY_FOREGROUND_COLOR = eINSTANCE.getStylePropertyForegroundColor();

		/**
		 * The meta object literal for the '<em><b>Red</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_FOREGROUND_COLOR__RED = eINSTANCE.getStylePropertyForegroundColor_Red();

		/**
		 * The meta object literal for the '<em><b>Blue</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_FOREGROUND_COLOR__BLUE = eINSTANCE.getStylePropertyForegroundColor_Blue();

		/**
		 * The meta object literal for the '<em><b>Green</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_FOREGROUND_COLOR__GREEN = eINSTANCE.getStylePropertyForegroundColor_Green();

		/**
		 * The meta object literal for the '<em><b>Color ID</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_FOREGROUND_COLOR__COLOR_ID = eINSTANCE.getStylePropertyForegroundColor_ColorID();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBackgroundColorImpl <em>Style Property Background Color</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyBackgroundColorImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBackgroundColor()
		 * @generated
		 */
		EClass STYLE_PROPERTY_BACKGROUND_COLOR = eINSTANCE.getStylePropertyBackgroundColor();

		/**
		 * The meta object literal for the '<em><b>Red</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_BACKGROUND_COLOR__RED = eINSTANCE.getStylePropertyBackgroundColor_Red();

		/**
		 * The meta object literal for the '<em><b>Blue</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_BACKGROUND_COLOR__BLUE = eINSTANCE.getStylePropertyBackgroundColor_Blue();

		/**
		 * The meta object literal for the '<em><b>Green</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_BACKGROUND_COLOR__GREEN = eINSTANCE.getStylePropertyBackgroundColor_Green();

		/**
		 * The meta object literal for the '<em><b>Color ID</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_BACKGROUND_COLOR__COLOR_ID = eINSTANCE.getStylePropertyBackgroundColor_ColorID();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyWidgetVariantImpl <em>Style Property Widget Variant</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyWidgetVariantImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyWidgetVariant()
		 * @generated
		 */
		EClass STYLE_PROPERTY_WIDGET_VARIANT = eINSTANCE.getStylePropertyWidgetVariant();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_WIDGET_VARIANT__NAME = eINSTANCE.getStylePropertyWidgetVariant_Name();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyWidgetStyleImpl <em>Style Property Widget Style</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyWidgetStyleImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyWidgetStyle()
		 * @generated
		 */
		EClass STYLE_PROPERTY_WIDGET_STYLE = eINSTANCE.getStylePropertyWidgetStyle();

		/**
		 * The meta object literal for the '<em><b>Widget Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_WIDGET_STYLE__WIDGET_STYLE = eINSTANCE.getStylePropertyWidgetStyle_WidgetStyle();

		/**
		 * The meta object literal for the '<em><b>Predefined Widget Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_WIDGET_STYLE__PREDEFINED_WIDGET_STYLE = eINSTANCE.getStylePropertyWidgetStyle_PredefinedWidgetStyle();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyImageImpl <em>Style Property Image</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyImageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyImage()
		 * @generated
		 */
		EClass STYLE_PROPERTY_IMAGE = eINSTANCE.getStylePropertyImage();

		/**
		 * The meta object literal for the '<em><b>Image Uri</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_IMAGE__IMAGE_URI = eINSTANCE.getStylePropertyImage_ImageUri();

		/**
		 * The meta object literal for the '<em><b>Image Uri Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_IMAGE__IMAGE_URI_REFERENCE = eINSTANCE.getStylePropertyImage_ImageUriReference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyAlignmentImpl <em>Style Property Alignment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyAlignmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyAlignment()
		 * @generated
		 */
		EClass STYLE_PROPERTY_ALIGNMENT = eINSTANCE.getStylePropertyAlignment();

		/**
		 * The meta object literal for the '<em><b>Alignment</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_ALIGNMENT__ALIGNMENT = eINSTANCE.getStylePropertyAlignment_Alignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTableImpl <em>Style Property Table</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyTableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTable()
		 * @generated
		 */
		EClass STYLE_PROPERTY_TABLE = eINSTANCE.getStylePropertyTable();

		/**
		 * The meta object literal for the '<em><b>One Way</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_TABLE__ONE_WAY = eINSTANCE.getStylePropertyTable_OneWay();

		/**
		 * The meta object literal for the '<em><b>Grid Visible</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_TABLE__GRID_VISIBLE = eINSTANCE.getStylePropertyTable_GridVisible();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyFontImpl <em>Style Property Font</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyFontImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyFont()
		 * @generated
		 */
		EClass STYLE_PROPERTY_FONT = eINSTANCE.getStylePropertyFont();

		/**
		 * The meta object literal for the '<em><b>Styles</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_FONT__STYLES = eINSTANCE.getStylePropertyFont_Styles();

		/**
		 * The meta object literal for the '<em><b>Size</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_FONT__SIZE = eINSTANCE.getStylePropertyFont_Size();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_FONT__NAME = eINSTANCE.getStylePropertyFont_Name();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyCharacterWidthImpl <em>Style Property Character Width</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyCharacterWidthImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyCharacterWidth()
		 * @generated
		 */
		EClass STYLE_PROPERTY_CHARACTER_WIDTH = eINSTANCE.getStylePropertyCharacterWidth();

		/**
		 * The meta object literal for the '<em><b>Char Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_CHARACTER_WIDTH__CHAR_WIDTH = eINSTANCE.getStylePropertyCharacterWidth_CharWidth();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyCharacterHeightImpl <em>Style Property Character Height</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyCharacterHeightImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyCharacterHeight()
		 * @generated
		 */
        EClass STYLE_PROPERTY_CHARACTER_HEIGHT = eINSTANCE.getStylePropertyCharacterHeight();

        /**
		 * The meta object literal for the '<em><b>Char Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute STYLE_PROPERTY_CHARACTER_HEIGHT__CHAR_HEIGHT = eINSTANCE.getStylePropertyCharacterHeight_CharHeight();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyFlagImpl <em>Style Property Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyFlagImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyFlag()
		 * @generated
		 */
		EClass STYLE_PROPERTY_FLAG = eINSTANCE.getStylePropertyFlag();

		/**
		 * The meta object literal for the '<em><b>Enabled Expression</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_FLAG__ENABLED_EXPRESSION = eINSTANCE.getStylePropertyFlag_EnabledExpression();

		/**
		 * The meta object literal for the '<em><b>Mandatory Expression</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_FLAG__MANDATORY_EXPRESSION = eINSTANCE.getStylePropertyFlag_MandatoryExpression();

		/**
		 * The meta object literal for the '<em><b>Visible Expression</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_FLAG__VISIBLE_EXPRESSION = eINSTANCE.getStylePropertyFlag_VisibleExpression();

		/**
		 * The meta object literal for the '<em><b>Collapsed Expression</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_FLAG__COLLAPSED_EXPRESSION = eINSTANCE.getStylePropertyFlag_CollapsedExpression();

		/**
		 * The meta object literal for the '<em><b>Available Expression</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference STYLE_PROPERTY_FLAG__AVAILABLE_EXPRESSION = eINSTANCE.getStylePropertyFlag_AvailableExpression();

        /**
		 * The meta object literal for the '<em><b>Editable Expression</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_FLAG__EDITABLE_EXPRESSION = eINSTANCE.getStylePropertyFlag_EditableExpression();

		/**
		 * The meta object literal for the '<em><b>Tabable Expression</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference STYLE_PROPERTY_FLAG__TABABLE_EXPRESSION = eINSTANCE.getStylePropertyFlag_TabableExpression();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyLineWrapImpl <em>Style Property Line Wrap</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyLineWrapImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyLineWrap()
		 * @generated
		 */
        EClass STYLE_PROPERTY_LINE_WRAP = eINSTANCE.getStylePropertyLineWrap();

        /**
		 * The meta object literal for the '<em><b>Wrap</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference STYLE_PROPERTY_LINE_WRAP__WRAP = eINSTANCE.getStylePropertyLineWrap_Wrap();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyMultiLineImpl <em>Style Property Multi Line</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyMultiLineImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyMultiLine()
		 * @generated
		 */
        EClass STYLE_PROPERTY_MULTI_LINE = eINSTANCE.getStylePropertyMultiLine();

        /**
		 * The meta object literal for the '<em><b>Multi</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference STYLE_PROPERTY_MULTI_LINE__MULTI = eINSTANCE.getStylePropertyMultiLine_Multi();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyBrowseControlImpl <em>Style Property Browse Control</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyBrowseControlImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyBrowseControl()
		 * @generated
		 */
        EClass STYLE_PROPERTY_BROWSE_CONTROL = eINSTANCE.getStylePropertyBrowseControl();

        /**
		 * The meta object literal for the '<em><b>Control Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute STYLE_PROPERTY_BROWSE_CONTROL__CONTROL_TYPE = eINSTANCE.getStylePropertyBrowseControl_ControlType();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingImpl <em>Style Property Paging</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPaging()
		 * @generated
		 */
		EClass STYLE_PROPERTY_PAGING = eINSTANCE.getStylePropertyPaging();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_PAGING__STYLE = eINSTANCE.getStylePropertyPaging_Style();

		/**
		 * The meta object literal for the '<em><b>Default</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_PAGING__DEFAULT = eINSTANCE.getStylePropertyPaging_Default();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingControlsImpl <em>Style Property Paging Controls</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingControlsImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPagingControls()
		 * @generated
		 */
		EClass STYLE_PROPERTY_PAGING_CONTROLS = eINSTANCE.getStylePropertyPagingControls();

		/**
		 * The meta object literal for the '<em><b>Controls</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_PAGING_CONTROLS__CONTROLS = eINSTANCE.getStylePropertyPagingControls_Controls();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingPageSizeImpl <em>Style Property Paging Page Size</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingPageSizeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPagingPageSize()
		 * @generated
		 */
		EClass STYLE_PROPERTY_PAGING_PAGE_SIZE = eINSTANCE.getStylePropertyPagingPageSize();

		/**
		 * The meta object literal for the '<em><b>Size</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_PAGING_PAGE_SIZE__SIZE = eINSTANCE.getStylePropertyPagingPageSize_Size();

		/**
		 * The meta object literal for the '<em><b>Max Size</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_PAGING_PAGE_SIZE__MAX_SIZE = eINSTANCE.getStylePropertyPagingPageSize_MaxSize();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingJumpSizeImpl <em>Style Property Paging Jump Size</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingJumpSizeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPagingJumpSize()
		 * @generated
		 */
		EClass STYLE_PROPERTY_PAGING_JUMP_SIZE = eINSTANCE.getStylePropertyPagingJumpSize();

		/**
		 * The meta object literal for the '<em><b>Size</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_PAGING_JUMP_SIZE__SIZE = eINSTANCE.getStylePropertyPagingJumpSize_Size();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingPositionImpl <em>Style Property Paging Position</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingPositionImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPagingPosition()
		 * @generated
		 */
		EClass STYLE_PROPERTY_PAGING_POSITION = eINSTANCE.getStylePropertyPagingPosition();

		/**
		 * The meta object literal for the '<em><b>Top</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_PAGING_POSITION__TOP = eINSTANCE.getStylePropertyPagingPosition_Top();

		/**
		 * The meta object literal for the '<em><b>Bottom</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_PAGING_POSITION__BOTTOM = eINSTANCE.getStylePropertyPagingPosition_Bottom();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyPagingCustomizerImageImpl <em>Style Property Paging Customizer Image</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyPagingCustomizerImageImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyPagingCustomizerImage()
		 * @generated
		 */
        EClass STYLE_PROPERTY_PAGING_CUSTOMIZER_IMAGE = eINSTANCE.getStylePropertyPagingCustomizerImage();

        /**
		 * The meta object literal for the '<em><b>Image Uri</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute STYLE_PROPERTY_PAGING_CUSTOMIZER_IMAGE__IMAGE_URI = eINSTANCE.getStylePropertyPagingCustomizerImage_ImageUri();

        /**
		 * The meta object literal for the '<em><b>Image Uri Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference STYLE_PROPERTY_PAGING_CUSTOMIZER_IMAGE__IMAGE_URI_REFERENCE = eINSTANCE.getStylePropertyPagingCustomizerImage_ImageUriReference();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PagingControlImpl <em>Paging Control</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PagingControlImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPagingControl()
		 * @generated
		 */
		EClass PAGING_CONTROL = eINSTANCE.getPagingControl();

		/**
		 * The meta object literal for the '<em><b>Control</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PAGING_CONTROL__CONTROL = eINSTANCE.getPagingControl_Control();

		/**
		 * The meta object literal for the '<em><b>End</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PAGING_CONTROL__END = eINSTANCE.getPagingControl_End();

		/**
		 * The meta object literal for the '<em><b>Next</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PAGING_CONTROL__NEXT = eINSTANCE.getPagingControl_Next();

		/**
		 * The meta object literal for the '<em><b>Customize</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PAGING_CONTROL__CUSTOMIZE = eINSTANCE.getPagingControl_Customize();

		/**
		 * The meta object literal for the '<em><b>Export</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute PAGING_CONTROL__EXPORT = eINSTANCE.getPagingControl_Export();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyTableCustomizerImpl <em>Style Property Table Customizer</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyTableCustomizerImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyTableCustomizer()
		 * @generated
		 */
		EClass STYLE_PROPERTY_TABLE_CUSTOMIZER = eINSTANCE.getStylePropertyTableCustomizer();

		/**
		 * The meta object literal for the '<em><b>Table Customizer</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STYLE_PROPERTY_TABLE_CUSTOMIZER__TABLE_CUSTOMIZER = eINSTANCE.getStylePropertyTableCustomizer_TableCustomizer();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyScrollableImpl <em>Style Property Scrollable</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyScrollableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyScrollable()
		 * @generated
		 */
        EClass STYLE_PROPERTY_SCROLLABLE = eINSTANCE.getStylePropertyScrollable();

        /**
		 * The meta object literal for the '<em><b>Not Scrollable</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute STYLE_PROPERTY_SCROLLABLE__NOT_SCROLLABLE = eINSTANCE.getStylePropertyScrollable_NotScrollable();

        /**
		 * The meta object literal for the '<em><b>Orientations</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute STYLE_PROPERTY_SCROLLABLE__ORIENTATIONS = eINSTANCE.getStylePropertyScrollable_Orientations();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyEnumerationDisplayTypeImpl <em>Style Property Enumeration Display Type</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyEnumerationDisplayTypeImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyEnumerationDisplayType()
		 * @generated
		 */
        EClass STYLE_PROPERTY_ENUMERATION_DISPLAY_TYPE = eINSTANCE.getStylePropertyEnumerationDisplayType();

        /**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute STYLE_PROPERTY_ENUMERATION_DISPLAY_TYPE__TYPE = eINSTANCE.getStylePropertyEnumerationDisplayType_Type();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyEnumerationSortOrderImpl <em>Style Property Enumeration Sort Order</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyEnumerationSortOrderImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyEnumerationSortOrder()
		 * @generated
		 */
        EClass STYLE_PROPERTY_ENUMERATION_SORT_ORDER = eINSTANCE.getStylePropertyEnumerationSortOrder();

        /**
		 * The meta object literal for the '<em><b>Sortorder</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute STYLE_PROPERTY_ENUMERATION_SORT_ORDER__SORTORDER = eINSTANCE.getStylePropertyEnumerationSortOrder_Sortorder();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StylePropertyOtherImpl <em>Style Property Other</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StylePropertyOtherImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStylePropertyOther()
		 * @generated
		 */
        EClass STYLE_PROPERTY_OTHER = eINSTANCE.getStylePropertyOther();

        /**
		 * The meta object literal for the '<em><b>Dynamic Tab Page</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference STYLE_PROPERTY_OTHER__DYNAMIC_TAB_PAGE = eINSTANCE.getStylePropertyOther_DynamicTabPage();

        /**
		 * The meta object literal for the '<em><b>Thousand Seperator</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference STYLE_PROPERTY_OTHER__THOUSAND_SEPERATOR = eINSTANCE.getStylePropertyOther_ThousandSeperator();

        /**
		 * The meta object literal for the '<em><b>Spacing</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference STYLE_PROPERTY_OTHER__SPACING = eINSTANCE.getStylePropertyOther_Spacing();

        /**
		 * The meta object literal for the '<em><b>Margin</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference STYLE_PROPERTY_OTHER__MARGIN = eINSTANCE.getStylePropertyOther_Margin();

        /**
		 * The meta object literal for the '<em><b>Customization</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_OTHER__CUSTOMIZATION = eINSTANCE.getStylePropertyOther_Customization();

								/**
		 * The meta object literal for the '<em><b>Toggle</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_OTHER__TOGGLE = eINSTANCE.getStylePropertyOther_Toggle();

								/**
		 * The meta object literal for the '<em><b>Widget Effects</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STYLE_PROPERTY_OTHER__WIDGET_EFFECTS = eINSTANCE.getStylePropertyOther_WidgetEffects();

								/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.TableCustomizerImpl <em>Table Customizer</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.TableCustomizerImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTableCustomizer()
		 * @generated
		 */
		EClass TABLE_CUSTOMIZER = eINSTANCE.getTableCustomizer();

		/**
		 * The meta object literal for the '<em><b>Instance Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TABLE_CUSTOMIZER__INSTANCE_TYPE = eINSTANCE.getTableCustomizer_InstanceType();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CommandImplementationImpl <em>Command Implementation</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CommandImplementationImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCommandImplementation()
		 * @generated
		 */
		EClass COMMAND_IMPLEMENTATION = eINSTANCE.getCommandImplementation();

		/**
		 * The meta object literal for the '<em><b>Statements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMMAND_IMPLEMENTATION__STATEMENTS = eINSTANCE.getCommandImplementation_Statements();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StatementImpl <em>Statement</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StatementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStatement()
		 * @generated
		 */
		EClass STATEMENT = eINSTANCE.getStatement();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.StatementVariableImpl <em>Statement Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.StatementVariableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStatementVariable()
		 * @generated
		 */
		EClass STATEMENT_VARIABLE = eINSTANCE.getStatementVariable();

		/**
		 * The meta object literal for the '<em><b>Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STATEMENT_VARIABLE__REFERENCE = eINSTANCE.getStatementVariable_Reference();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.IReferenceableByStatementVariableImpl <em>IReferenceable By Statement Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.IReferenceableByStatementVariableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getIReferenceableByStatementVariable()
		 * @generated
		 */
		EClass IREFERENCEABLE_BY_STATEMENT_VARIABLE = eINSTANCE.getIReferenceableByStatementVariable();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.AssignStatementImpl <em>Assign Statement</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.AssignStatementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAssignStatement()
		 * @generated
		 */
		EClass ASSIGN_STATEMENT = eINSTANCE.getAssignStatement();

		/**
		 * The meta object literal for the '<em><b>Variable Assignments</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ASSIGN_STATEMENT__VARIABLE_ASSIGNMENTS = eINSTANCE.getAssignStatement_VariableAssignments();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.VariableAssignmentImpl <em>Variable Assignment</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.VariableAssignmentImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVariableAssignment()
		 * @generated
		 */
		EClass VARIABLE_ASSIGNMENT = eINSTANCE.getVariableAssignment();

		/**
		 * The meta object literal for the '<em><b>Left</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VARIABLE_ASSIGNMENT__LEFT = eINSTANCE.getVariableAssignment_Left();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VARIABLE_ASSIGNMENT__VALUE = eINSTANCE.getVariableAssignment_Value();

		/**
		 * The meta object literal for the '<em><b>Service Call</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VARIABLE_ASSIGNMENT__SERVICE_CALL = eINSTANCE.getVariableAssignment_ServiceCall();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.VariableValueImpl <em>Variable Value</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.VariableValueImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVariableValue()
		 * @generated
		 */
		EClass VARIABLE_VALUE = eINSTANCE.getVariableValue();

		/**
		 * The meta object literal for the '<em><b>Variable</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VARIABLE_VALUE__VARIABLE = eINSTANCE.getVariableValue_Variable();

		/**
		 * The meta object literal for the '<em><b>Access</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VARIABLE_VALUE__ACCESS = eINSTANCE.getVariableValue_Access();

		/**
		 * The meta object literal for the '<em><b>String Literal</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VARIABLE_VALUE__STRING_LITERAL = eINSTANCE.getVariableValue_StringLiteral();

		/**
		 * The meta object literal for the '<em><b>Integer Literal</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VARIABLE_VALUE__INTEGER_LITERAL = eINSTANCE.getVariableValue_IntegerLiteral();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ProxyImpl <em>Proxy</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ProxyImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getProxy()
		 * @generated
		 */
		EClass PROXY = eINSTANCE.getProxy();

		/**
		 * The meta object literal for the '<em><b>Url</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute PROXY__URL = eINSTANCE.getProxy_Url();

        /**
		 * The meta object literal for the '<em><b>Properties</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PROXY__PROPERTIES = eINSTANCE.getProxy_Properties();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.PropertyJoinImpl <em>Property Join</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.PropertyJoinImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPropertyJoin()
		 * @generated
		 */
		EClass PROPERTY_JOIN = eINSTANCE.getPropertyJoin();

		/**
		 * The meta object literal for the '<em><b>Variable</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference PROPERTY_JOIN__VARIABLE = eINSTANCE.getPropertyJoin_Variable();

        /**
		 * The meta object literal for the '<em><b>Access</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute PROPERTY_JOIN__ACCESS = eINSTANCE.getPropertyJoin_Access();

        /**
		 * The meta object literal for the '<em><b>String Literal</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute PROPERTY_JOIN__STRING_LITERAL = eINSTANCE.getPropertyJoin_StringLiteral();

        /**
		 * The meta object literal for the '<em><b>Integer Literal</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute PROPERTY_JOIN__INTEGER_LITERAL = eINSTANCE.getPropertyJoin_IntegerLiteral();

        /**
		 * The meta object literal for the '<em><b>Join Direction</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute PROPERTY_JOIN__JOIN_DIRECTION = eINSTANCE.getPropertyJoin_JoinDirection();

        /**
		 * The meta object literal for the '<em><b>Property</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PROPERTY_JOIN__PROPERTY = eINSTANCE.getPropertyJoin_Property();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.InvokeableImpl <em>Invokeable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.InvokeableImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getInvokeable()
		 * @generated
		 */
		EClass INVOKEABLE = eINSTANCE.getInvokeable();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.ExecuteStatementImpl <em>Execute Statement</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.ExecuteStatementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getExecuteStatement()
		 * @generated
		 */
		EClass EXECUTE_STATEMENT = eINSTANCE.getExecuteStatement();

		/**
		 * The meta object literal for the '<em><b>Service</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EXECUTE_STATEMENT__SERVICE = eINSTANCE.getExecuteStatement_Service();

		/**
		 * The meta object literal for the '<em><b>Operation</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EXECUTE_STATEMENT__OPERATION = eINSTANCE.getExecuteStatement_Operation();

		/**
		 * The meta object literal for the '<em><b>Delegate Operation</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EXECUTE_STATEMENT__DELEGATE_OPERATION = eINSTANCE.getExecuteStatement_DelegateOperation();

		/**
		 * The meta object literal for the '<em><b>Parameter Values</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EXECUTE_STATEMENT__PARAMETER_VALUES = eINSTANCE.getExecuteStatement_ParameterValues();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.InvokeStatementImpl <em>Invoke Statement</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.InvokeStatementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getInvokeStatement()
		 * @generated
		 */
		EClass INVOKE_STATEMENT = eINSTANCE.getInvokeStatement();

		/**
		 * The meta object literal for the '<em><b>Invoke Able</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INVOKE_STATEMENT__INVOKE_ABLE = eINSTANCE.getInvokeStatement_InvokeAble();

		/**
		 * The meta object literal for the '<em><b>Target Panel</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference INVOKE_STATEMENT__TARGET_PANEL = eINSTANCE.getInvokeStatement_TargetPanel();

        /**
		 * The meta object literal for the '<em><b>Property Join</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference INVOKE_STATEMENT__PROPERTY_JOIN = eINSTANCE.getInvokeStatement_PropertyJoin();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.impl.CallStatementImpl <em>Call Statement</em>}' class.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.impl.CallStatementImpl
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getCallStatement()
		 * @generated
		 */
        EClass CALL_STATEMENT = eINSTANCE.getCallStatement();

        /**
		 * The meta object literal for the '<em><b>Command</b></em>' reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference CALL_STATEMENT__COMMAND = eINSTANCE.getCallStatement_Command();

        /**
		 * The meta object literal for the '<em><b>Left</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference CALL_STATEMENT__LEFT = eINSTANCE.getCallStatement_Left();

        /**
		 * The meta object literal for the '<em><b>Java Command</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EAttribute CALL_STATEMENT__JAVA_COMMAND = eINSTANCE.getCallStatement_JavaCommand();

        /**
		 * The meta object literal for the '<em><b>Parameter Values</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @generated
		 */
        EReference CALL_STATEMENT__PARAMETER_VALUES = eINSTANCE.getCallStatement_ParameterValues();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.EventType <em>Event Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.EventType
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getEventType()
		 * @generated
		 */
		EEnum EVENT_TYPE = eINSTANCE.getEventType();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.PredefinedCommand <em>Predefined Command</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.PredefinedCommand
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPredefinedCommand()
		 * @generated
		 */
		EEnum PREDEFINED_COMMAND = eINSTANCE.getPredefinedCommand();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.AttachmentOwnPosition <em>Attachment Own Position</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.AttachmentOwnPosition
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentOwnPosition()
		 * @generated
		 */
		EEnum ATTACHMENT_OWN_POSITION = eINSTANCE.getAttachmentOwnPosition();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.RelativeSibling <em>Relative Sibling</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.RelativeSibling
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getRelativeSibling()
		 * @generated
		 */
		EEnum RELATIVE_SIBLING = eINSTANCE.getRelativeSibling();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.AttachmentSiblingPosition <em>Attachment Sibling Position</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.AttachmentSiblingPosition
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getAttachmentSiblingPosition()
		 * @generated
		 */
		EEnum ATTACHMENT_SIBLING_POSITION = eINSTANCE.getAttachmentSiblingPosition();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.ContentAlignment <em>Content Alignment</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.ContentAlignment
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getContentAlignment()
		 * @generated
		 */
		EEnum CONTENT_ALIGNMENT = eINSTANCE.getContentAlignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.TabAlignment <em>Tab Alignment</em>}' enum.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.TabAlignment
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTabAlignment()
		 * @generated
		 */
        EEnum TAB_ALIGNMENT = eINSTANCE.getTabAlignment();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.HorizontalAlignment <em>Horizontal Alignment</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.HorizontalAlignment
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getHorizontalAlignment()
		 * @generated
		 */
		EEnum HORIZONTAL_ALIGNMENT = eINSTANCE.getHorizontalAlignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.VerticalAlignment <em>Vertical Alignment</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.VerticalAlignment
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getVerticalAlignment()
		 * @generated
		 */
		EEnum VERTICAL_ALIGNMENT = eINSTANCE.getVerticalAlignment();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.Orientation <em>Orientation</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.Orientation
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getOrientation()
		 * @generated
		 */
		EEnum ORIENTATION = eINSTANCE.getOrientation();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.ControlType <em>Control Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.ControlType
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getControlType()
		 * @generated
		 */
		EEnum CONTROL_TYPE = eINSTANCE.getControlType();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.FieldPart <em>Field Part</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.FieldPart
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getFieldPart()
		 * @generated
		 */
		EEnum FIELD_PART = eINSTANCE.getFieldPart();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.TitleButton <em>Title Button</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.TitleButton
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getTitleButton()
		 * @generated
		 */
		EEnum TITLE_BUTTON = eINSTANCE.getTitleButton();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.JoinDirection <em>Join Direction</em>}' enum.
		 * <!-- begin-user-doc -->
         * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.JoinDirection
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getJoinDirection()
		 * @generated
		 */
        EEnum JOIN_DIRECTION = eINSTANCE.getJoinDirection();

        /**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.StyleSelectorType <em>Style Selector Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.StyleSelectorType
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getStyleSelectorType()
		 * @generated
		 */
		EEnum STYLE_SELECTOR_TYPE = eINSTANCE.getStyleSelectorType();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.BrowseControlType <em>Browse Control Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.BrowseControlType
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getBrowseControlType()
		 * @generated
		 */
		EEnum BROWSE_CONTROL_TYPE = eINSTANCE.getBrowseControlType();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.pom.model.PredefinedWidgetStyle <em>Predefined Widget Style</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.pom.model.PredefinedWidgetStyle
		 * @see org.openxma.dsl.pom.model.impl.PomPackageImpl#getPredefinedWidgetStyle()
		 * @generated
		 */
		EEnum PREDEFINED_WIDGET_STYLE = eINSTANCE.getPredefinedWidgetStyle();

	}

} //PomPackage
